<?php
/**
* Generuj plik konfiguracyjny uzytkownika config/auto_config/product_config.inc.php
*
* @author  krzys@sote.pl
* @version $Id: gen_product_conf.inc.php,v 1.1 2007/01/08 11:36:48 krzys Exp $
*
* verified 2004-03-10 m@sote.pl
* @package    configure
* @subpackage product config
*/

/**
* Zacz obsug generowania pliku konfiguracyjnego.
*/
require_once ("include/gen_config.inc.php");

$gen_config = new GenConfig;
$gen_config->config_dir="/config/auto_config/";          // katalog zawierajacy generowany plik
$gen_config->config_file="product_config.inc.php";    // generowany plik konfiguracyjny
$gen_config->classname="ConfigProduct";               // 1) klasa tworzona w pliku, zawierajaca definicje zmeinnych
$gen_config->ext_classname="";           // jesli w/w klasa jest rozszezeniem klasy, to ext_classname okresla nazwa klasy nadrzednej
$gen_config->class_object="config_product";           // obiekt klasy 1)
$gen_config->vars=array(
"add_1_info",
"add_1_record",
"add_2_info",
"add_2_record",
"add_3_info",
"add_3_record",
"add_1_name",
"add_2_name",
"add_3_name",

);              // lista zmiennych generowanych w konfiguracji
$gen_config->config=&$config;                           // adres aktualnego obiektu klasy 1)
?>