<?php
/**
 * Wstawienie opisw z zaczonych plikw
 *
 * @author  m@sote.pl
 * @version $Id: edit_update_description_upload.inc.php,v 1.1.1.1 2006/09/02 13:24:32 marek Exp $
 * @package admin
 * @subpackage edit
 *
 * @verified 2004-03-16 m@sote.pl
 */

/**
 * Obsuga zaczonych plikw
 */
class FileUpload {
    var $error="";                       // komunikat o bledzie

    /**
    * Odczytaj zawarto zaczonego pliku
    *
    * @param array &$var   tablica z danymi zaczonego pliku
    * @global $this->error bdy wygenrowane podczas odczytu pliku
    * 
    * @return string zawartoc pliku    
    */
    function read_tmp_file(&$var) {
        global $config,$lang;
        
        $file_tmp_name=$var['tmp_name'];
        $file_size=$var['size'];
        $maxkb=intval($config->max_file_size/1000);
        if ($file_size>$config->max_file_size) {
            $this->error=$lang->edit_errors['file_to_big'].": ".$var['name'].". ".$lang->edit_errors['file_max'].": $maxkb";
            return;
        }
        
        $fd=fopen($file_tmp_name,"r");
        $o=fread($fd,filesize($file_tmp_name));
        fclose($fd);
        
        return $o;
    } // end read_tmp_file()
} // end class FileUpload

$upload = new FileUpload;

$item_upload=array();
// czy zalaczono plik opisu
if (! empty($_FILES['file_xml_description']['name'])) {
    $file_desc=$_FILES['file_xml_description'];
    $item_upload['xml_description']=$upload->read_tmp_file($file_desc);
}

// czy zalaczono plik opisu
if (! empty($_FILES['file_xml_short_description']['name'])) {
    $file_short_desc=$_FILES['file_xml_short_description'];
    $item_upload['xml_short_description']=$upload->read_tmp_file($file_short_desc);
}

?>