<?php 
/**
 * Aktuaklizacja zdjec
 * @author marcin.butlak@sote.pl
 * @package photo_edit
 * @version $Id: photo_update.inc.php,v 1.2 2007-09-24 15:23:31 marcin Exp $
 * @copyright sote
 */
include_once("config/auto_config/photo.inc.php");
global $config,$rec;

if (empty($photo_uid))
{
	$photo_uid=$image->gen_photo_uid($rec->data['user_id']);
}

if (empty($photo_checked))
$photo_part=$image->get_free_place($photo_uid, $photo_count)."_".$photo_uid;
else
$photo_part=$photo_checked."_".$photo_uid;

if ($photo_action!="DELETE")
{
	$product_big['name']=$photo_part.".jpg";

	$upload_1=false;
	// sprawdz czy zdjecie zostalo zalaczone
	if (! empty($product_big['tmp_name'])) {
		// sprawdz wielkosc pliku
		$size=$product_big['size'];

		if ($size>$config->max_file_size) {
			$debug->error("upload_size","Photo upload",1);
		} else {
			$upload_1=true; // zalacz duze zdjecie
		}
	}

	// otworz polaczenie FTP jesli nie jest jeszzcze otwarte
	$ftp->connect();


	if ($upload_1) {
		/* wygeneruj zdjecie orginalne */

		$image->create_photo_from_conf($photoconfig->product_orig, $product_big['tmp_name'],IMAGE_ORIG,$product_big['name']);

		/* wygeneruj zdjecie dla info.html.php */
		$image->create_photo_from_conf($photoconfig->product_big, $product_big['tmp_name'],IMAGE_BIG,$product_big['name']);

		/* wygeneruj zdjecie dla info.html.php */
		$image->create_photo_from_conf($photoconfig->product_info, $product_big['tmp_name'],IMAGE_INFO,$product_big['name']);

		/* wygeneruj zdjecie dla  pasazy */
		$image->create_photo_from_conf($photoconfig->product_pasaz, $product_big['tmp_name'],IMAGE_PASAZ,$product_big['name']);
		
		/* wygeneruj zdjecie dla record_row.html.php, random_record.html.php */
		$image->create_photo_from_conf($photoconfig->product_small,$product_big['tmp_name'], IMAGE_SMALL,$product_big['name']);

		/* wygeneruj zdjecie ikonki */
		$image->create_photo_from_conf($photoconfig->product_icon, $product_big['tmp_name'],IMAGE_ICON,$product_big['name']);

		/* wygeneruj miniaturke zdjecia dla panelu administracyjnego */
		$image->create_photo_from_conf($photoconfig->product_thumb, $product_big['tmp_name'],IMAGE_THUMB,$product_big['name']);
	
		/* wygeneruj miniaturke zdjecia dla galerii */
		$image->create_photo_from_conf($photoconfig->product_gallery, $product_big['tmp_name'],IMAGE_GALLERY,$product_big['name']);

		if ($photo_action!="UPDATE")
		{
			if (!$photo_count)
			{
				$photo=1;
				$photo_small=1;
			}
			$photo_count++;
		}

	}


	/* sprawdz czy odznaczono duze zdjecie i zweryfikuj czy aktualne bylo nim poprzednio, jesli nie pozostaw bez zmian */
	if ($photo_action=="UPDATE")
	{
		if (!empty($photo))
		{
			$photo=$photo_checked;
		}
		else
		if ($photo_checked==$rec->data['photo'])
		{

			$photo=0;
		}
		else
		$photo=$rec->data['photo'];

		/* sprawdz czy odznaczono male zdjecie i zweryfikuj czy aktualne bylo nim poprzednio, jesli nie pozostaw bez zmian */
		if (!empty($photo_small))
		{
			$photo_small=$photo_checked;
		}
		else
		if ($photo_checked==$rec->data['photo_small'])
		{

			$photo_small=0;

		}
		else
		$photo_small=$rec->data['photo_small'];
	}
	
}
else
if ($photo_action=='DELETE')
{
	if (!empty($photo_checked))
	{

		$files_del=$image->get_file($photo_part,array("product_orig","product_big", "product_small", "product_info", "product_icon", "product_thumb", "product_gallery","product_pasaz"));

		$ftp->connect();
		if ($photo_checked != $photo_count)
		{
			$files_end=$image->get_file($photo_count.'_'.$photo_uid,array("product_orig","product_big", "product_small", "product_info", "product_icon", "product_thumb", "product_gallery","product_pasaz"));

			foreach($files_del as $prefix=>$file_name)
			{

				$file_name=pathinfo($file_name);
				$dirname=substr($file_name['dirname'],strpos($file_name['dirname'],"/htdocs/photo/"));
				$ftp->put($files_end[$prefix], $config->ftp['ftp_dir'].$dirname, $file_name['basename']);
				if (is_file($files_end[$prefix]))
				{
					$file_name=array();
					$file_name=pathinfo($files_end[$prefix]);
					$dirname=substr($file_name['dirname'],strpos($file_name['dirname'],"/htdocs/photo/"));
					$ftp->delete($config->ftp['ftp_dir'].$dirname, $file_name['basename']);
				}
			}
			$photo_count--;
		}
		else {

			foreach($files_del as $file_name)
			{
				$file_name=pathinfo($file_name);
				$dirname=substr($file_name['dirname'],strpos($file_name['dirname'],"/htdocs/photo/"));
				$ftp->delete($config->ftp['ftp_dir'].$dirname, $file_name['basename']);
			}

			$photo_count--;
			if ($photo_checked==$photo)
			$photo=$photo_count;

			if ($photo_checked==$photo_small)
			$photo_small=$photo_count;

			$photo_checked=$rec->data['photo'];
		}

	}
}

if (($photo_action=="ADD" || $photo_action=="DELETE") && $photo_count >= 1)
{
	if (!@empty($rec->data['photo']))
	$photo=$rec->data['photo'];
	if (!@empty($rec->data['photo_small']))
	$photo_small=$rec->data['photo_small'];

	$rec->data['photo_count']=$photo_count;
}
$rec->data['photo']=$photo;
$rec->data['photo_small']=$photo_small;
$rec->data['photo_count']=$photo_count;
$rec->data['photo_uid']=$photo_uid;
$size=$image->get_max_size($rec,IMAGE_INFO);

$rec->data['photo_info_width']=$size['width'];
$rec->data['photo_info_height']=$size['height'];

$res=$db->Query("UPDATE main SET photo_uid='$photo_uid', photo_count=$photo_count, photo=$photo, photo_small=$photo_small,photo_info_width={$rec->data['photo_info_width']},photo_info_height={$rec->data['photo_info_height']} WHERE id=$id");

if ($res != 0)
{

}
else
die ($db->Error());

?>