<?php
/**
 * Konfiguracja importu danych z SOTEeSKLEP 3.0 do 3.1
 *
 * Definicje funkcji transferujcych i metod transformacji danych.
 * 
 * @author rdiak@sote.pl m@sote.pl
 * @version $Id: soteesklep35-config.inc.php,v 1.2 2007-07-03 15:41:54 krzys Exp $
 * @package importshop
 */

$this->config=array
(
    "main"=>array(
	    "key"=>"user_id",             
		"table"=>"main", 
		"max_rows"=>5,             
 		"data"=>array(
 		    "id"=>"id",
 		    "user_id"=>"user_id",
 		    "photo"=>"photo",
 		    "xml_description_L0"=>"xml_description_L0",
 		    "xml_description_L1"=>"xml_description_L1",
 		    "xml_description_L2"=>"xml_description_L2",
 		    "xml_description_L3"=>"xml_description_L3",
 		    "xml_description_L4"=>"xml_description_L4",
 		    "xml_short_description_L0"=>"xml_short_description_L0",
 		    "xml_short_description_L1"=>"xml_short_description_L1",
 		    "xml_short_description_L2"=>"xml_short_description_L2",
 		    "xml_short_description_L3"=>"xml_short_description_L3",
 		    "xml_short_description_L4"=>"xml_short_description_L4",
 		    "xml_options"=>"xml_options",
 		    "promotion"=>"promotion",
 		    "newcol"=>"newcol",
 		    "bestseller"=>"bestseller",
 		    "main_page"=>"main_page",
 		    "active"=>"active",
 		    "date_update"=>"date_update",
 		    "date_add"=>"date_add",
 		    "name_L0"=>"name_L0",
 		    "name_L1"=>"name_L1",
 		    "name_L2"=>"name_L2",
			"name_L3"=>"name_L3",
 		    "name_L4"=>"name_L4",
 		    "producer"=>"producer",
 		    "id_producer"=>"id_producer",
 		    "category1"=>"category1",
 		    "id_category1"=>"id_category1",			
 		    "category2"=>"category2",
 		    "id_category2"=>"id_category2",
 		    "category3"=>"category3",
 		    "id_category3"=>"id_category3",
 		    "category4"=>"category4",
 		    "id_category4"=>"id_category4",
 		    "category5"=>"category5",
 		    "id_category5"=>"id_category5",
			"price_brutto"=>"price_brutto",
            "id_currency"=>"id_currency",
            "vat"=>"vat",                     
			"price_brutto_detal"=>array("function"=>"changeOrZero"),	
			"id_available"=>"id_available",					
			"price_brutto_2"=>array("function"=>"changeOrZero"),
			"hidden_price"=>"hidden_price",
			"discount"=>"discount",
			"accessories"=>"accessories",
			"onet_category"=>"onet_category",
			"price_currency"=>"price_currency",
			"url"=>"url",
			"user_score"=>"user_score",
			"max_discount"=>"max_discount",
			"onet_export"=>"onet_export",
			"onet_status"=>"onet_status",
			"onet_image_export"=>"onet_image_export",
			"onet_image_desc"=>"onet_image_desc",
			"onet_image_title"=>"onet_image_title",
			"onet_attrib"=>"onet_attrib",
		    "main_keys_online"=>"main_keys_online",
		    "flash"=>"flash",
		    "pdf"=>"pdf",
		    "flash_html"=>"flash_html",
		    "google_title"=>"google_title",
		    "google_keywords"=>"google_keywords",
		    "google_description"=>"google_description",
		    "category_multi_1"=>"category_multi_1",
		    "category_multi_2"=>"category_multi_2",
		    "id_category_multi_1"=>"id_category_multi_1",
		    "id_category_multi_2"=>"id_category_multi_2",
			"ask4price"=>"ask4price",
			"wp_export"=>"wp_export",		
			"ceneo_export"=>array("function"=>"ceneoExport","other_table"=>true)							
            ),
		),						
	"order_register"=>array(
		"key"=>"id",
		"table"=>"order_register",
		"data"=>array(
		    "id"=>"id",
		    "order_id"=>"order_id",
		    "session_id"=>"session_id",
		    "amount"=>"amount",
		    "delivery_cost"=>"delivery_cost",
		    "id_pay_method"=>"id_pay_method",
		    "date_add"=>"date_add",
		    "time_add"=>"time_add",
		    "remote_ip"=>"remote_ip",
		    "id_users"=>"id_users",
		    "id_delivery"=>"id_delivery",
		    "id_status"=>"id_status",
		    "last_status_sent"=>"last_status_sent",		    
		    "confirm"=>"confirm",
		    "checksum"=>"checksum",
		    "confirm_partner"=>"confirm_partner",
		    "confirm_user"=>"confirm_user",
		    "description"=>"description",
		    "send_date"=>"send_date",
		    "send_number"=>"send_number",
		    "send_confirm"=>"send_confirm",
		    "confirm_online"=>"confirm_online",
		    "error"=>"error",
		    "error_desc"=>"error_desc",
		    "checksum_online"=>"checksum_online",
		    "partner_id"=>"partner_id",
		    "rake_off_amount"=>"rake_off_amount",
		    "partner_name"=>"partner_name",
		    "fraud"=>"fraud",
		    "amount_c"=>"amount_c",
		    "pay_status"=>"pay_status",
		    "amount_confirm"=>"amount_confirm",
		    "date_confirm"=>"date_confirm",
		    "test"=>"test",
		    "main_keys_status"=>"main_keys_status",
		    "id_promotions"=>"id_promotions",
		    "promotions_name"=>"promotions_name",
		    "promotions_discount"=>"promotions_discount",
		    "user1"=>"user1",
		    "user2"=>"user2",
		    "user3"=>"user3",
		    "total_amount"=>"total_amount",
		    "date_update"=>"date_update",
		    "id_admin_users"=>"id_admin_users",
		    "timer_off"=>"timer_off",
		    "id_users_data"=>"id_users_data",
		    "user_description"=>"user_description",
		    "record_version"=>"record_version",		    
		    ),		    
		),
	"order_products"=>array(
		"key"=>"id",
		"table"=>"order_products",
		"data"=>array(
		    "id"=>"id",
		    "order_id"=>"order_id",
		    "user_id_main"=>"user_id_main",
		    "price_brutto"=>"price_brutto",
		    "vat"=>"vat",
		    "name"=>"name",
		    "num"=>"num",
		    "currency"=>"currency",
		    "measure"=>"measure",
		    "id_category1"=>"id_category1",
		    "id_category2"=>"id_category2",
		    "id_category3"=>"id_category3",
		    "id_category4"=>"id_category4",
		    "id_category5"=>"id_category5",
		    "category1"=>"category1",
		    "category2"=>"category2",
		    "category3"=>"category3",
		    "category4"=>"category4",
		    "category5"=>"category5",
		    "id_producer"=>"id_producer",
		    "producer"=>"producer",
		    "promotion"=>"promotion",
		    "new"=>"new",
		    "bestseller"=>"bestseller",
		    "discount"=>"discount",
		    "date_add"=>"date_add",
		    "basket_pos"=>"basket_pos",
		    "time_from"=>"time_from",
		    "options"=>"options",
		    ),		    
		),
	"available"=>array(
		"key"=>"id",
		"table"=>"available",
		"data"=>array(
			"id"=>"id",
			"user_id"=>"user_id",
			"name"=>"name",
			),
		),
	"category1"=>array(
		"key"=>"id",
		"table"=>"category1",
		"data"=>array(
			"id"=>"id",
			"category1"=>"category1",
			),
		),
	"category2"=>array(
		"key"=>"id",
		"table"=>"category2",
		"data"=>array(
			"id"=>"id",
			"category2"=>"category2",
			),
		),
	"category3"=>array(
		"key"=>"id",
		"table"=>"category3",
		"data"=>array(
			"id"=>"id",
			"category3"=>"category3",
			),
		),
	"category4"=>array(
		"key"=>"id",
		"table"=>"category4",
		"data"=>array(
			"id"=>"id",
			"category4"=>"category4",
			),
		),
	"category5"=>array(
		"key"=>"id",
		"table"=>"category5",
		"data"=>array(
			"id"=>"id",
			"category5"=>"category5",
			),
		),
	"currency"=>array(
		"key"=>"id",
		"table"=>"currency",
		"data"=>array(
			"id"=>"id",
			"currency_name"=>"currency_name",
			"currency_val"=>"currency_val",
			"date_update"=>"date_update",
			),
		),
	"delivery"=>array(
		"key"=>"id",
		"table"=>"delivery",
		"data"=>array(
			"id"=>"id",
			"name"=>"name",
			"price_brutto"=>"price_brutto",
			"vat"=>"vat",
			"free_from"=>"free_from",
			"delivery_info"=>"delivery_info",
			"order_by"=>"order_by",
			),
		),
		
	"delivery_country"=>array(
		"key"=>"id",
		"table"=>"delivery_country",
		"data"=>array(
			"id"=>"id",
			"name_short"=>"name_short",
			"name_short"=>"name_short",
			"name_long"=>"name_long"
		),
	 ),
	 
	 "delivery_price"=>array(
	 	"key"=>"id",
	 	"table"=>"delivery_price",
	 	"data"=>array(
	 	"id"=>"id",
	 	"id_zone"=>"id_zone",
	 	"id_delivery"=>"id_delivery",
	 	"price"=>"price",
	 	
	 	),
	 ),
	 
	 	"delivery_volume"=>array(
	 	"key"=>"id",
	 	"table"=>"delivery_volume",
	 	"data"=>array(
	 	"id"=>"id",
	 	"name"=>"name",
	 	"range_max"=>"range_max",
	 	
	 	),
	 ),
	 
	 	"delivery_zone"=>array(
	 	"key"=>"id",
	 	"table"=>"delivery_zone",
	 	"data"=>array(
	 	"id"=>"id",
	 	"name"=>"name",
	 	"country"=>"country",
	 	
	 	),
	 ),	
		
		
	"dictionary"=>array(
		"key"=>"id",
		"table"=>"dictionary",
		"data"=>array(
			"id"=>"id",
			"wordbase"=>"wordbase",
			"key_md5"=>array("function"=>"dictionaryKeyMd5"),
			"pl"=>"pl",
			"de"=>"de",
			"en"=>"en",
			),
		),
	"discounts"=>array(
		"key"=>"id",
		"table"=>"discounts",
		"data"=>array(
			"id"=>"id",
			"idc"=>"idc",
			"idc_name"=>"idc_name",
			"producer_name"=>"producer_name",
			"id_producer"=>"id_producer",
			"discount"=>"discount",
			"discount_cat"=>"discount_cat",
			"discount_producer"=>"discount_producer",
			"checksum"=>array("function"=>"discountChecksum"),
			"active"=>array("function"=>"boolSet1"),
			),
		),
	"discounts_groups"=>array(
		"key"=>"id",
		"table"=>"discounts_groups",
		"data"=>array(
			"id"=>"id",
			"group_name"=>"group_name",
			"user_id"=>"user_id",
			"default_discount"=>"default_discount",
			"public"=>"public",
			"photo"=>"photo",
			"group_amount"=>"group_amount",
			"calculate_period"=>"calculate_period",
			"start_date"=>"start_date",
			"end_date"=>"end_date",
			),
		),
	"newsedit"=>array(
		"key"=>"id",
		"table"=>"newsedit",
		"data"=>array(
			"id"=>"id",
			"date_add"=>"date_add",
			"active"=>"active",
			"ordercol"=>"ordercol",
			"subject"=>"subject",
			"category"=>"category",
			"short_description"=>"short_description",
			"description"=>"description",
			"photo_small"=>"photo_small",
			"photo1"=>"photo1",
			"photo2"=>"photo2",
			"photo3"=>"photo3",
			"photo4"=>"photo4",
			"photo5"=>"photo5",
			"photo6"=>"photo6",
			"photo7"=>"photo7",
			"photo8"=>"photo8",
			"id_newsedit_groups"=>"id_newsedit_groups",
			"url"=>"url",
			"group1"=>"group1",
			"group2"=>"group2",
			"group3"=>"group3",
			"lang"=>"lang",
			),
		),
	"newsedit_groups"=>array(
		"key"=>"id",
		"table"=>"newsedit_groups",
		"data"=>array(
			"id"=>"id",
			"name"=>"name",
			"template_info"=>"template_info",
			"template_row"=>"template_row",
			"multi"=>"multi",
			),
		),
	"newsletter"=>array(
		"key"=>"id",
		"table"=>"newsletter",
		"data"=>array(
			"id"=>"id",
			"email"=>"email",
			"date_add"=>"date_add",
			"date_remove"=>"date_remove",
			"status"=>"status",
			"active"=>"active",
			"md5"=>"md5",
			"groups"=>"groups",
			"lang"=>"lang",
			),
		),
	"newsletter_groups"=>array(
		"key"=>"id",
		"table"=>"newsletter_groups",
		"data"=>array(
			"id"=>"id",
			"user_id"=>"user_id",
			"name"=>"name",
			"count"=>"count",
			),
		),
	"newsletter_send"=>array(
		"key"=>"id",
		"table"=>"newsletter_send",
		"data"=>array(
			"id"=>"id",
			"user_id"=>"user_id",
			"date_add"=>"date_add",
			"time_start"=>"time_start",
			"time_stop"=>"time_stop",
			"active"=>"active",
			"subject"=>"subject",
			"message"=>"message",
			"mail_from"=>"mail_from",
			"category"=>"category",
			),
		),
	"onet_category"=>array(
		"key"=>"id",
		"table"=>"onet_category",
		"data"=>array(
			"id"=>"id",
			"id_user"=>"id_user",
			"name"=>"name",
			"description"=>"description",
			"display_name"=>"display_name",
			"sub_category"=>"sub_category",
			"id_over_category"=>"id_over_category",
			),
		),
	"onet_error"=>array(
		"key"=>"id",
		"table"=>"onet_error",
		"data"=>array(
			"id"=>"id",
			"timedate"=>"timedate",
			"error"=>"error",
			"action"=>"action",
			),
		),
	"onet_main_category"=>array(
		"key"=>"id",
		"table"=>"onet_main_category",
		"data"=>array(
			"id"=>"id",
			"name"=>"name",
			),
		),
	"order_id"=>array(
		"key"=>"order_id",
		"table"=>"order_id",
		"data"=>array(
			"order_id"=>"order_id",
			),
		),
	"order_status"=>array(
		"key"=>"id",
		"table"=>"order_status",
		"data"=>array(
			"id"=>"id",
			"user_id"=>"user_id",
			"name"=>"name",
			"send_mail"=>"send_mail",
			"mail_content"=>"mail_content",
			"mail_title"=>"mail_title",
			),
		),
	"partners"=>array(
		"key"=>"id",
		"table"=>"partners",
		"data"=>array(
			"id"=>"id",
			"partner_id"=>"partner_id",
			"name"=>"name",
			"www"=>"www",
			"email"=>"email",
			"rake_off"=>"rake_off",
			),
		),
	"polcard_auth"=>array(
		"key"=>"id",
		"table"=>"polcard_auth",
		"data"=>array(
			"id"=>"id",
			"order_id"=>"order_id",
			"session_id"=>"session_id",
			"amount"=>"amount",
			"response_code"=>"response_code",
			"cc_number_hash"=>"cc_number_hash",
			"card_type"=>"card_type",
			"address_ok"=>"address_ok",
			"test"=>"test",
			"auth_code"=>"auth_code",
			"crypt_bin"=>"crypt_bin",
			"fraud"=>"fraud",
			"sequence"=>"sequence",
			"checksum"=>"checksum",
			),
		),
	"polcard_batch"=>array(
		"key"=>"batch_cfc",
		"table"=>"polcard_batch",
		"data"=>array(
			"batch_cfc"=>"batch_cfc",
			),
		),
	"polcard_cfcd"=>array(
		"key"=>"id",
		"table"=>"polcard_cfcd",
		"data"=>array(
			"id"=>"id",
			"batch"=>"batch",
			"format"=>"format",
			"crypt_data"=>"crypt_data",
			"date_send"=>"date_send",
			"status"=>"status",
			),
		),
	"producer"=>array(
		"key"=>"id",
		"table"=>"producer",
		"data"=>array(
			"id"=>"id",
			"producer"=>"producer",
			),
		),
	"promotions"=>array(
		"key"=>"id",
		"table"=>"promotions",
		"data"=>array(
			"id"=>"id",
			"name"=>"name",
			"active"=>"active",
			"discount"=>"discount",
			"amount"=>"amount",
			"short_description"=>"short_description",
			"description"=>"description",
			"photo"=>"photo",
			"code1"=>"code1",
			"code2"=>"code2",
			"code3"=>"code3",
			"code4"=>"code4",
			"code5"=>"code5",
			"code6"=>"code6",
			"code7"=>"code7",
			"code8"=>"code8",
			"code9"=>"code9",
			"code10"=>"code10",
			"active_code"=>"active_code",
			"lang"=>"lang",
			),
		),
	"przelewy24_auth"=>array(
		"key"=>"id",
		"table"=>"przelewy24_auth",
		"data"=>array(
			"id"=>"id",
			"p24_session_id"=>"p24_session_id",
			"p24_order_id"=>"p24_order_id",
			"p24_kwota"=>"p24_kwota",
			"date_time"=>"date_time",
			"confirm_auth"=>"confirm_auth",
			"response_auth"=>"response_auth",
			"id_shop"=>"id_shop",
			),
		),
	"reviews"=>array(
		"key"=>"id",
		"table"=>"reviews",
		"data"=>array(
			"id"=>"id",
			"id_product"=>"id_product",
			"description"=>"description",
			"date_add"=>"date_add",
			"state"=>"state",
			"score"=>"score",
			"author"=>"author",
			"user_id"=>"user_id",
			"md5"=>"md5",
			"lang"=>"lang",
			),
		),
	"scores"=>array(
		"key"=>"id",
		"table"=>"scores",
		"data"=>array(
			"id"=>"id",
			"id_product"=>"id_product",
			"score_amount"=>"score_amount",
			"scores_number"=>"scores_number",
			),
		),
	"users"=>array(
		"key"=>"id",
		"table"=>"users",
		"data"=>array(
			"id"=>"id",
			"type"=>"type",
			"crypt_login"=>"crypt_login",
			"crypt_password"=>"crypt_password",
			"crypt_firm"=>"crypt_firm",
			"crypt_name"=>"crypt_name",
			"crypt_surname"=>"crypt_surname",
			"crypt_street"=>"crypt_street",
			"crypt_street_n1"=>"crypt_street_n1",
			"crypt_street_n2"=>"crypt_street_n2",
			"crypt_country"=>"crypt_country",
			"crypt_postcode"=>"crypt_postcode",
			"crypt_nip"=>"crypt_nip",
			"crypt_city"=>"crypt_city",
			"crypt_phone"=>"crypt_phone",
			"crypt_email"=>"crypt_email",
			"date_add"=>"date_add",
			"date_update"=>"date_update",
			"crypt_ext_info"=>"crypt_ext_info",
			"last_ip"=>"last_ip",
			"checksum"=>"checksum",
			"hurt"=>"hurt",
			"id_discounts_groups"=>"id_discounts_groups",
			"limits"=>"limits",
			"crypt_new_password"=>"crypt_new_password",
			"lock_user"=>"lock_user",
			"user1"=>"user1",
			"user2"=>"user2",
			"user3"=>"user3",
			"user4"=>"user4",
			"user5"=>"user5",
			"order_data"=>"order_data",
			"crypt_cor_firm"=>"crypt_cor_firm",
			"crypt_cor_name"=>"crypt_cor_name",
			"crypt_cor_surname"=>"crypt_cor_surname",
			"crypt_cor_street"=>"crypt_cor_street",
			"crypt_cor_street_n1"=>"crypt_cor_street_n1",
			"crypt_cor_street_n2"=>"crypt_cor_street_n2",
			"crypt_cor_country"=>"crypt_cor_country",
			"crypt_cor_postcode"=>"crypt_cor_postcode",
			"crypt_cor_city"=>"crypt_cor_city",
			"crypt_cor_phone"=>"crypt_cor_phone",
			"crypt_cor_email"=>"crypt_cor_email",
			"record_version"=>"record_version",
			"crypt_user_description"=>"crypt_user_description",
			"id_wishlist"=>array("function"=>"id_wishlist"),
			),
		),
	"users_address_book"=>array(
		"key"=>"id",
		"table"=>"users_address_book",
		"data"=>array(
			"id"=>"id",
			"id_users"=>"id_users",
			"crypt_cor_firm"=>"crypt_cor_firm",
			"crypt_cor_name"=>"crypt_cor_name",
			"crypt_cor_surname"=>"crypt_cor_surname",
			"crypt_cor_street"=>"crypt_cor_street",
			"crypt_cor_street_n1"=>"crypt_cor_street_n1",
			"crypt_cor_street_n2"=>"crypt_cor_street_n2",
			"crypt_cor_postcode"=>"crypt_cor_postcode",
			"crypt_cor_city"=>"crypt_cor_city",
			"crypt_cor_email"=>"crypt_cor_email",
			"crypt_cor_phone"=>"crypt_cor_phone",
			"crypt_cor_country"=>"crypt_cor_country",
			"date_add"=>"date_add",
			"date_update"=>"date_update",
			"crypt_ext_info"=>"crypt_ext_info",
			"checksum"=>"checksum",
			),
		),
	"users_points"=>array(
		"key"=>"id",
		"table"=>"users_points",
		"data"=>array(
			"id"=>"id",
			"id_user"=>"id_user",
			"points"=>"points",
			),
		),
	"users_reminder"=>array(
		"key"=>"id",
		"table"=>"users_reminder",
		"data"=>array(
			"id"=>"id",
			"id_users"=>"id_users",
			"remind_date"=>"remind_date",
			"remind_occasion"=>"remind_occasion",
			"remind_event"=>"remind_event",
			"remind_advise"=>"remind_advise",
			"remind_handling1"=>"remind_handling1",
			"remind_handling2"=>"remind_handling2",
			"remind_handling3"=>"remind_handling3",
			"date_update"=>"date_update",
			),
		),
	"vat"=>array(
		"key"=>"id",
		"table"=>"vat",
		"data"=>array(
			"id"=>"id",
			"vat"=>"vat",
			),
		),
	"wp_advant"=>array(
		"key"=>"aid",
		"table"=>"wp_advant",
		"data"=>array(
			"aid"=>"aid",
			"name"=>"name",
			"img"=>"img",
			),
		),
	"wp_fields"=>array(
		"key"=>"cid",
		"table"=>"wp_fields",
		"data"=>array(
			"cid"=>"cid",
			"field1"=>"field1",
			"field2"=>"field2",
			),
		),
	"wp_filters"=>array(
		"key"=>"cid",
		"table"=>"wp_filters",
		"data"=>array(
			"cid"=>"cid",
			"lfid"=>"lfid",
			"lfname"=>"lfname",
			"lfvalue"=>"lfvalue",
			),
		),
	"wp_logs"=>array(
		"key"=>"id",
		"table"=>"wp_logs",
		"data"=>array(
			"id"=>"id",
			"name_action"=>"name_action",
			"date_add"=>"date_add",
			"order_id"=>"order_id",
			"result"=>"result",
			"result_info"=>"result_info",
			"errmsg"=>"errmsg",
			"res"=>"res",
			"msg"=>"msg",
			"show_info"=>"show_info",
			),
		),
	"wp_main_tree"=>array(
		"key"=>"name",
		"table"=>"wp_main_tree",
		"data"=>array(
			"name"=>"name",
			),
		),
	"wp_prod"=>array(
		"key"=>"prid",
		"table"=>"wp_prod",
		"data"=>array(
			"prid"=>"prid",
			"name"=>"name",
			),
		),
	"wp_tree"=>array(
		"key"=>"cid",
		"table"=>"wp_tree",
		"data"=>array(
			"cid"=>"cid",
			"path"=>"path",
			),
		),
	"wp_treekey"=>array(
		"key"=>"treekey",
		"table"=>"wp_treekey",
		"data"=>array(
			"treekey"=>"treekey",
			),
		),
);	
?>