<?php
/**
* Edycja wersji jzykowych - pozyskanie poszukiwanych zmiennych
*
* Skrypt pozyskuje poszukiwane zmienne przygotowuje formularz ich edycji
*
* @author  lech@sote.pl
* @version $Id: lang_editor_mainform.php,v 1.1.1.1 2006/09/02 13:34:53 marek Exp $
* @package    lang_editor
*/
$query = $editor->preparePathSearchQuery($_REQUEST); // przygotuj zapytanie do bazy
$paths = $editor->retreivePathsFromDB($query); // pobierz cieki do waciwych plikw z bazy

// print_r($paths);

/**
* Nagwek formularza.
*/
include("./html/lang_editor_mainform_begin.html.php"); // nagwek formularza
for($i = 0; $i < count($paths); $i++){ // dla kadej lokalizacji
    for($j = 0; $j < count($editor->fileArray); $j++){ // dla kadej pozycji w tablicy fileArray
/*
        echo "
        <br>[" .$paths[$i]. "]<br>
            [" . strstr($editor->fileArray[$j]['location'][$config->base_lang], '/./htdocs/') . "]<br>";
*/
        if(ereg("^" . $paths[$i], strstr($editor->fileArray[$j]['location'][$config->base_lang], '/./' . $editor->part . '/'))) { // jeli cieka z tablicy fileArray zgadza si ze ciek z bazy
            $editor->currentVars = array(); // wyczy tablic zmiennych
            for($l = 0; $l < count($editor->languages); $l++){
                $editor->readLangFileToCurrentVars($j, $editor->languages[$l]); //wpisz do CurrentVars zmienne ze zweryfikowanej lokalizacji dla wszystkich lokalizacji
                
            }
/**
* Przetwarzanie zmiennych.
*/
            include("./include/lang_editor_mainform_varset.php"); // zweryfikuj i wywietl zmienne
        }
    }
}

/**
* Stopka formularza.
*/
include("./html/lang_editor_mainform_end.html.php"); // stopka formularza

?>
