 <?php
 /**
 * PHP Template
 * 
 * Sprawdz poprawnosc formularza, dodatkowe funkcje
 *
 * @author m@sote.pl
 * @version $Id: form_check_functions.inc.php,v 1.7 2007-09-10 09:49:54 marcin Exp $
 * @return int $this->id
 * @package available
 */

 require_once ("include/form_check.inc");
 require_once ("include/metabase.inc");

 class FormCheckFunctions extends FormCheck {
     // lokalne definicja fukcji sptrawdzajacych poprawnosc pol formularza


     /**
     * Sprawd numer user_id. Nie moe si powtarza.
     * 
     * @param string user_id
     * @return bool
     */
     function user_id($user_id) {
         global $db;
         $query="SELECT user_id FROM available WHERE user_id=? LIMIT 1";
         $prepared_query=$db->PrepareQuery($query);
         if ($prepared_query) {
             $db->querySetInteger($prepared_query,1,$user_id);
             $result=$db->executeQuery($prepared_query);
             if ($result!=0) {
                 $num_rows=$db->numberOfRows($result);
                 if ($num_rows>0) {
                     return false;
                 }
             } else die ($db->error());
         } else die ($db->error());
         return $this->int($user_id);
     }

     /**
     * Sprawd numer user_id dla edycji
     * 
     * @param string user_id
     * @return bool
     */
     function user_id_edit($user_id) {
         return $this->int($user_id);
     }

     /**
     * Zapamitaj warto num_from
     *
     * @param int $num_from
     * @return true
     */
     function num_from($num_from) {
         $this->num_from=$num_from;
         return true;
     }

     /**
     * Sprawd zakres dostpnoci. Warto powinna by wieksza od num_from
     *     
     * @param  $num_to     
     * @return bool
     */
     function num_to($num_to) {
         global $mdbd,$lang;
         global $_REQUEST;

         if (@$_REQUEST['available']['num_to_ok']==1) return true;

         if ($num_to=="*")  {
             // Sprawdz czy w bazie jest juz wpisane *, nie zezwalaja na wpisanie kolejnego zakresu z *
             $dat=$mdbd->select("num_to","available","num_to=?",array("*"=>"text"));
             if ($dat=="*") return false;
             return true;
         }
		
         if (($this->num_from<$num_to) || ($this->num_from==0 && $num_to==0)) {
             /*
             if ($this->num_from==0) {

             // '10'=>'Nie mona edytowa 1 zakresu dostpnoci,
             // jeli kolejne zakresy zostay wprowadzone.
             //  Usu zakresy zaznaczajc przycisk [usu], eby moc edytowa 1 zakres.'

             // edytujemy 1 zakres, wartosc
             // sprawdzamy ile jest wszystkich rekordow w bazie
             $num=$mdbd->select("count(id)","available");
             if ($num>2) {
             $this->error_nr=10;
             return false;
             }
             }
             */
             return true;
         }

         return false;
     }

 } // end class FormCheckFunction
?>
