<?php
/**
* Nazwy elementow nad lista transakcji
* 
* @author  m@sote.pl
* @version $Id: list_th.inc.php,v 1.6 2007-09-07 08:58:07 krzys Exp $
* @package    order
*/

/**
* \@global bool $__disable_trash true - nie pokazuj pola "usun"
*/

require_once("./config/config_list.inc.php");

/**
* Nagowek tabeli listy transkacji.
*
* @return string HTML
*/
function order_list_th() {
    global $__disable_trash;
    global $lang;
    global $config,$theme, $__no_head, $_print_mode;
    global $order_list_config;

    $o="<p />";
    if(!$_print_mode)
    $o.="<table align=center>\n";
    else {
        $o.="<table align=center border=1 cellspacing=0 cellpadding=2>\n";
        $theme->bg_bar_color_light = "white";
    }

    /**
    * wyszukiwanie przy liscie
    */
    /*
    $o.="<tr>\n";
    $o.="<td><input type=text size=6 name=search[id]></td>\n";
    $o.="<td></td>\n";
    $o.="<td><input type=text size=10 name=search[date]></td>\n";
    $o.="<td><input type=text size=8 name=search[amount]></td>\n";
    $o.="<td><input type=text size=6 name=search[status]></td>\n";
    $o.="<td><input type=text size=8 name=search[payed]></td>\n";
    if (in_array("confirm_online",$config->plugins)) {
    $o.="<td><input type=text size=8 name=search[payed_online]></td>\n";
    }
    $o.="<td><input type=text size=12 name=search[payment]></td>\n";
    $o.="<td><input type=submit value=".$lang->search."></td>\n";
    $o.="</tr>\n";
    */

    $o.="<tr bgcolor=$theme->bg_bar_color_light><th>".$theme->nameOrder("ID",1)."</th>\n";
    if(!$_print_mode)
    $o.="<th>&nbsp;</th>\n";
    $o.="<th>".$theme->nameOrder($lang->order_list['date'],2)."</th>\n";

    // dodatkowe pola
    if ($order_list_config->time) $o.="<th>".$lang->order_list['time']."</th>\n";

    $o.="<th>".$theme->nameOrder($lang->order_list['amount'],3)."</th>\n";
    $o.="<th>".$theme->nameOrder($lang->order_list['status'],4)."</th>\n";
    $o.="<th>".$theme->nameOrder($lang->order_list['paid'],5)."</th>\n";
    $o.="<th>".$theme->nameOrder($lang->order_list['paid_online'],6)."</th>\n";


    if (in_array("confirm_online",$config->plugins)) {
        $o.="<th>".$theme->nameOrder($lang->order_list['paid_online'],6)."</th>\n";
    }

    $o.="<th>".$theme->nameOrder($lang->order_list['payment'],7)."</th>\n";

    // oddatkowe pola
    if ($order_list_config->confirm_user) $o.="<th>".$lang->order_list['confirm_user']."</th>\n";
    if ($order_list_config->delivery) $o.="<th>".$lang->order_list['delivery']."</th>\n";
    if ($order_list_config->email) $o.="<th>".$lang->order_list['email']."</th>\n";
    if ($order_list_config->firm) $o.="<th>".$lang->order_list['firm']."</th>\n";
    if ($order_list_config->name) $o.="<th>".$lang->order_list['name']."</th>\n";
	if ($order_list_config->invoice_order)  $o.="<th>".$lang->order_list['invoice_order']."</th>\n";

    if ((@$__disable_trash!=true) && (!$_print_mode)) {
        $o.="<th>$lang->trash</th>";
    }
    
    $o.="<th>".$lang->order_list['fv']."</th>\n";
    $o.="<th></th>\n";
    $o.="</tr>\n";

    return $o;
} // end order_list_th()

?>
