<?php
/**
* Sprawdzenie wersji sklepu oraz wersji bazy danych
*
* @author  m@sote.pl
* @version $Id: check_version.inc.php,v 1.1.1.1 2006/09/02 13:37:08 marek Exp $
* @package    upgrade
*/

/**
* Sprawed wersj struktury bazy danych
* @package upgrade
*/
class CheckDBVersion {
    
    /**
    * Konstruktor
    * @return none
    */
    function CheckDBVersion() {
        global $db;
        
        // jesli baza zostaa zbudowana na bazie 2.0 lub 2.5 to posiada tabele order_sessions
        // tabeli tej nie ma w wersji 3.0
        $query="SELECT order_id FROM order_session LIMIT 1";
        $result=$db->Query($query);           
        $error=$db->Error();
        if (empty($error)) {
            $this->_version="2.x";
        } else $this->_version="3.x";
        return;
    } // end CheckDBVersion()
    
    /**
    * Odczytaj numer wersji skruktury bazy danych
    * @return string numer wersji
    */ 
    function getDBVersion() {
        return $this->_version;   
    } // ned getDBVersion()
    
} // end class CheckVersion()
?>
