<?php
/**
* Wykonanie aktualizacji wg zaczonego pakietu.
*
* @author  m@sote.pl
* @version $Id: upgrade.php,v 1.12 2007/05/24 10:37:43 michal Exp $
* @package    upgrade
*/

// naglowek php
$global_database=true;$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../include/head.inc");
// end naglowek php

// naglowek
$theme->head();
$theme->page_open_head();

include_once ("./include/menu.inc.php");
$theme->bar($lang->upgrade_title);

print "<p />\n";
require_once ("include/upgrade.inc.php");

if (! empty($_REQUEST['upgrade_pkg'])) {
    $file=$_REQUEST['upgrade_pkg'];
    $file=ereg_replace("\.\.","",$file);
    $file=$DOCUMENT_ROOT."/upgrade/".$file;

    // pomin rozpakowanie odczytaj liste plikow z plikku listy txt
    /*    $file_tgz=$file.".tar.gz";
    require_once("Packer/packer.php");
    $packer =& new packer($file_tgz);
    $packer->unpack();
    */

    require_once ("tmp/filestruct.php");
    $packer->filestruct=unserialize($upgrade_filestruct);

    // Przejrzyli liste plikow wyszukaj 000-config.php
    reset($packer->filestruct);
    foreach ($packer->filestruct as $p_file_tmp=>$p_file) {
        if (ereg("000-config.php",$p_file)) {
            if (!$shop->home) $fx="$DOCUMENT_ROOT/../admin/tmp/$p_file_tmp";
            else $fx="/tmp/$p_file_tmp";
            $fd=fopen($fx,"r");
            $data_ver=intval(trim(fread($fd,filesize($fx))));
            fclose($fd);
            define("PATCH_VERSION",$data_ver);
        }
    }
    reset($packer->filestruct);

    //    print "<pre>";
    //    print_r($packer->filestruct);
    //    print "</pre>";

    // odczytaj wersje instalowanego pakietu
    $gver=DiffUpgrade::getVersion('static');
    if (! $mdbd->select("version","`upgrade`","version=?",array($gver=>"int"))) {


        print $lang->upgrade_files." (<b>".basename($file)."</b>):<p />";

        $ftp->connect();

        print "<table cellspacing=\"0\" cellpadding=\"0\">\n";
        foreach ($packer->filestruct as $file_tmp_pk=>$file_path_pk) {

            // Przegladamy rozpakowane pliki
            if ((! ereg("~",$file_path_pk)) && ($file_path_pk!="ZZZZ") && ($file_path_pk!="000-config.php")) {

                
                $upgrade = new DiffUpgrade('');
                $fc = new FileChecksum('','','');
                if ($upgrade->checksum($file_path_pk)) {
                    
                    // print "file_path_pk=$file_path_pk file_tmp_pk=$file_tmp_pk<br>";
                    /*
                    file_path_pk=000-upgrade_config.php file_tmp_pk=upgrade_9aca2d1e535c550bc0d9376c7d434653_000-upgrade_config.php
                    file_path_pk=123456/test.php        file_tmp_pk=upgrade_8fc20a44868e8019845147539c48a3ab_test.php
                    file_path_pk=test.php               file_tmp_pk=upgrade_56fd9694a2346dee5bf7dd16db975c95_test.php
                    file_path_pk=VERSION                file_tmp_pk=upgrade_825154f96b40292bf66e8dc089fc1a6c_VERSION
                    */

                    // Odzielamy katalog i nazwe pliku z $file_path_pk
                    $f_dir=dirname($file_path_pk); if ($f_dir=='.') $f_dir='';
                    $f_file=basename($file_path_pk);

                    // Kopiuj pliki z archiwum w odpowiednie miejsce

                    $local=$file_tmp_pk;
                    if (DiffUpgrade::installFileFTP($local,$f_dir,$f_file)) {
                        // suma kontrolna ok
                        
                        // zapisz nowa sume kontrolna w bazie
                        if (! empty($f_dir)) $filedir="./$f_dir/$f_file";
                        else $filedir="./$f_file";
                        $f_local="../../tmp/$local";                        
                        $fd=fopen($f_local,"r");
                        $f_data=fread($fd,filesize($f_local));
                        fclose($fd);
                        $f_md5=md5($f_data);
                        $fc->set($filedir,$f_md5);
                        // end
                        
                        
                        print "<tr>\n";
                        print "<td>";$theme->point("g");print "</td>";
                        print "<td>";print "&nbsp;".$file_path_pk;print "</td>\n";
                        print "</tr>\n";
                    } else {
                        // suma kontrolna sie nie zgadza
                        print "<tr>\n";
                        print "<td>";$theme->point("r");print "</td>";
                        print "<td>";print "&nbsp;".$file_path_pk;print "</td>\n";
                        print "</tr>\n";
                    }

                }
            }
        }
        
        // zapisz baze sum kontrolnych        
        $fc->saveDAT();
        
        print "</table>\n";
    } else {
        print "<font color=\"red\">$lang->upgrade_already_installed</font>\n";
    }
}


if (file_exists($file)) {
    $upgrade =& new DiffUpgrade($file);

    if ($upgrade->doUpgrade()) {
        $upgrade_status=$upgrade->showUpgradeInfo(UPGRADE_INSTALL_AUTO_MODE);

        $ver=$mdbd->select("version","`upgrade`","version=?",array($upgrade->getVersion()=>"text"),"LIMIT 1");
        if (empty($ver)) {


            // sprawd, czy dla danej sesji i dla danego pakietu s jakie poczone zmiany
            $mod=$mdbd->select("id","upgrade_files","session_id=? AND pkg_number=?",
            array($sess->id=>"text",$upgrade->getVersion()=>"int"),"LIMIT 1");

            if ($mod>0) {
                // wykryto modyfikacje, zapisz pakiet jako zmieniony
                $modifications='Modified';
            } else {
                $modifications='OK';
            }

            // print "<pre>";print_r($mod);print "</pre>";

            $mdbd->insert("`upgrade`","date_add,version,filename,status","?,?,?,?",
            array
            (
            "1,".date("Y-m-d")=>"text",
            "2,".$upgrade->getVersion()=>"text",
            "3,".basename($file)=>"text",
            "4,".$modifications=>"text",
            ));



            /**
            * Zaaduj modyfikacje bazy SQL (lub nowe tabele itp.)
            */
            $version_upgrade=$upgrade->getVersion();
            $version_pkg=$version_upgrade;
            require_once ("./include/upgrade_database.inc.php");

            /**
            * Zaaduj plik konfiguracyjny pakietu i wykonaj procedury jego obsugi. 
            */
            require_once ("./include/upgrade_conf.inc.php");

            /**
            * Dodaj wykoanie skryptu po zaadowaniu patcha ./soteesklep3/exe/$ver.php
            */
            include_once ("exe/$version_upgrade.php");

            // usu pliki SQL i PHP (exe) oraz pakiet
            if (!$shop->home) $file_sql=$DOCUMENT_ROOT."/../sql/".$version_upgrade.".mysql";
            else $file_sql="/sql/".$version_upgrade.".mysql";
            
            if (!$shop->home) $file_php=$DOCUMENT_ROOT."/../exe/$version_upgrade.php";
            else $file_php="/exe/$version_upgrade.php";

            $ftp->connect();

            if (file_exists($file_sql)) {
                //print "<br>file_sql=$file_sql";
                // wylaczenie usuwanie plikow sql - michal@sote.pl
				//$ftp->delete($config->ftp['ftp_dir']."/sql/",$version_upgrade.".mysql");
            }
            if (file_exists($file_php)) {
                //print "<br>file_php=$file_php";
                // wylaczenie usuwanie plikow exe - michal@sote.pl
                //$ftp->delete($config->ftp['ftp_dir']."/exe/",$version_upgrade.".php");
            }
            // end

        } // end if (empty($ver))

        print "<p /><b>$lang->upgrade_done</b><p />\n";

    } // end if ($upgrade->doUpgrade())

} // if file_exists($file))

$ftp->close();

$theme->page_open_foot();

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>