<?php
/**
* @version    $Id: config.inc.php,v 1.2 2007/05/14 13:02:17 marcin Exp $
* @package    wysiwyg
*/

/*
recommend_foot_product.html
recommend_foot_shop.html
recommend_head_product.html
recommend_head_shop.html
review_info.html
*/

$config->wysiwyg_files['pl']=array(
                             "main_page.html"=>array("text" => "Strona gwna", "editing" => "wysiwyg"),
                             "about_shop.html"=>array("text" => "O sklepie", "editing" => "wysiwyg"),
                             "newsletter_window.html"=>array("text" => "Okno newslettera", "editing" => "wysiwyg"),
                             "about_company.html"=>array("text" => "O firmie", "editing" => "wysiwyg"),
                             "contact.html"=>array("text" => "Kontakt", "editing" => "wysiwyg"),
                             "help.html"=>array("text" => "Pomoc", "editing" => "wysiwyg"),
                             "left_window.html"=>array("text" => "Lewe okno", "editing" => "wysiwyg"),
                             "over_basket_text.html"=>array("text" => "Tekst nad koszykiem", "editing" => "wysiwyg"),
                             "points.html"=>array("text" => "Punkty", "editing" => "wysiwyg"),
                             "right_window.html"=>array("text" => "Prawe okno", "editing" => "wysiwyg"),
                             "terms.html"=>array("text" => "Regulamin", "editing" => "wysiwyg"),
                             "user_registration.html"=>array("text" => "Rejestracja uytkownikw", "editing" => "wysiwyg"),
                             "order_mail_hello.html"=>array("text" => "Tekst powitania w mailu potwierdzajcym zamwienie", "editing" => "wysiwyg"),
                             "order_mail.html"=>array("text" => "Dodatkowy tekst w mailu z potwierdzeniem zamwienia", "editing" => "wysiwyg"),
                             "over_wishlist_text.html"=>array("text" => "Tekst pokazywany nad przechowalni", "editing" => "wysiwyg"),
                             "wishlist_up_empty.html"=>array("text" => "Tekst pokazywany nad przechowalni gdy nie ma w niej produktw", "editing" => "wysiwyg"),
                             "basket_up_empty.html"=>array("text" => "Tekst pokazywany nad koszykiem gdy nie ma w nim produktw", "editing" => "wysiwyg"),
                             "cardpay_info.html"=>array("text" => "Tekst zawierajcy objanienia widoczne nad formularzem patnoci kart offline", "editing" => "wysiwyg"),
								
                             "recommend_head_product.html"=>array("text" => "Tekst wysylany w mailu - Nagwek rekomendowanego produktu", "editing" => "wysiwyg"),					 
                             "recommend_foot_product.html"=>array("text" => "Tekst wysylany w mailu - Stopka rekomendowanego produktu", "editing" => "wysiwyg"),
							 "recommend_head_shop.html"=>array("text" => "Tekst wysylany w mailu - Nagwek rekomendowanego sklepu", "editing" => "wysiwyg"),
                             "recommend_foot_shop.html"=>array("text" => "Tekst wysylany w mailu - Stopka rekomendowanego sklepu", "editing" => "wysiwyg"),
							 "review_info.html"=>array("text" => "Tekst wyswietlany w okienku komentarza", "editing" => "wysiwyg"),
                             "custom_404.html"=>array("text"=>"Komunikat o braku strony")
                             );

$config->wysiwyg_files['en']=array(
                             "main_page.html"=>array("text" => "Main page", "editing" => "wysiwyg"),
                             "about_shop.html"=>array("text" => "About shop", "editing" => "wysiwyg"),
                             "newsletter_window.html"=>array("text" => "Newsletter window", "editing" => "wysiwyg"),
                             "about_company.html"=>array("text" => "About company", "editing" => "wysiwyg"),
                             "contact.html"=>array("text" => "Contact", "editing" => "wysiwyg"),
                             "help.html"=>array("text" => "Help", "editing" => "wysiwyg"),
                             "left_window.html"=>array("text" => "Left window", "editing" => "wysiwyg"),
                             "over_basket_text.html"=>array("text" => "Text over basket", "editing" => "wysiwyg"),
                             "points.html"=>array("text" => "Points", "editing" => "wysiwyg"),
                             "right_window.html"=>array("text" => "Right window", "editing" => "wysiwyg"),
                             "terms.html"=>array("text" => "Terms and conditions", "editing" => "wysiwyg"),
                             "user_registration.html"=>array("text" => "User registration", "editing" => "wysiwyg"),
                             "order_mail_hello.html"=>array("text" => "Text of welcome in order confirmation mail", "editing" => "wysiwyg"),
                             "order_mail.html"=>array("text" => "Additional text in order confirmation mail", "editing" => "wysiwyg"),
                             "over_wishlist_text.html"=>array("text" => "Text over wishlist", "editing" => "wysiwyg"),
                             "wishlist_up_empty.html"=>array("text" => "Text shown over a empty wishlist", "editing" => "wysiwyg"),
                             "basket_up_empty.html"=>array("text" => "Text shown over a empty basket", "editing" => "wysiwyg"),
                             
                             "cardpay_info.html"=>array("text" => "Text containing  explanations over form \"offline card payments\"", "editing" => "wysiwyg"),
		                     "recommend_head_product.html"=>array("text" => "Text shown in mail - Header of recomended product", "editing" => "wysiwyg"),					 
                             "recommend_foot_product.html"=>array("text" => "Text shown in mail - Footer of recomended product", "editing" => "wysiwyg"),
							 "recommend_head_shop.html"=>array("text" => "Text shown in mail - Header of recomended shop", "editing" => "wysiwyg"),
                             "recommend_foot_shop.html"=>array("text" => "Text shown in mail - Footer of recomended shop", "editing" => "wysiwyg"),
							 "review_info.html"=>array("text" => "Text shown in comment window", "editing" => "wysiwyg"),
							 "custom_404.html"=>array("text"=>"Site not Found")
                             );
$config->wysiwyg_files['de']=array(
                             "main_page.html"=>array("text" => "Hauptseite", "editing" => "wysiwyg"),
                             "about_shop.html"=>array("text" => "ber shop", "editing" => "wysiwyg"),
                             "newsletter_window.html"=>array("text" => "Newsletter", "editing" => "wysiwyg"),
                             "about_company.html"=>array("text" => "ber firm", "editing" => "wysiwyg"),
                             "contact.html"=>array("text" => "Kontakte", "editing" => "wysiwyg"),
                             "help.html"=>array("text" => "Hilfe", "editing" => "wysiwyg"),
                             "left_window.html"=>array("text" => "Left window", "editing" => "wysiwyg"),
                             "over_basket_text.html"=>array("text" => "Text over basket", "editing" => "wysiwyg"),
                             "points.html"=>array("text" => "Punkte", "editing" => "wysiwyg"),
                             "right_window.html"=>array("text" => "Right window", "editing" => "wysiwyg"),
                             "terms.html"=>array("text" => "Terms and conditions", "editing" => "wysiwyg"),
                             "user_registration.html"=>array("text" => "User registration", "editing" => "wysiwyg"),
                             "order_mail_hello.html"=>array("text" => "Text of welcome in order confirmation mail", "editing" => "wysiwyg"),
                             "order_mail.html"=>array("text" => "Additional text in order confirmation mail", "editing" => "wysiwyg"),
                             
                             "over_wishlist_text.html"=>array("text" => "Text over wishlist", "editing" => "wysiwyg"),
                             "wishlist_up_empty.html"=>array("text" => "Text shown over a empty wishlist", "editing" => "wysiwyg"),
                             "basket_up_empty.html"=>array("text" => "Text shown over a empty basket", "editing" => "wysiwyg"),
                             "cardpay_info.html"=>array("text" => "Text containing  explanations over form \"offline card payments\"", "editing" => "wysiwyg"),
		                     "recommend_head_product.html"=>array("text" => "Text shown in mail - Header of recomended product", "editing" => "wysiwyg"),					 
                             "recommend_foot_product.html"=>array("text" => "Text shown in mail - Footer of recomended product", "editing" => "wysiwyg"),
							 "recommend_head_shop.html"=>array("text" => "Text shown in mail - Header of recomended shop", "editing" => "wysiwyg"),
                             "recommend_foot_shop.html"=>array("text" => "Text shown in mail - Footer of recomended shop", "editing" => "wysiwyg"),
							 "review_info.html"=>array("text" => "Text shown in comment window", "editing" => "wysiwyg"),
							 "custom_404.html"=>array("text"=>"Site not Found")
                             );
                             
$config->wysiwyg_files['cz']=array(
                             "main_page.html"=>array("text" => "Hlavn strana", "editing" => "wysiwyg"),
                             "about_shop.html"=>array("text" => "O obchodu", "editing" => "wysiwyg"),
                             "newsletter_window.html"=>array("text" => "Newsletter", "editing" => "wysiwyg"),
                             "about_company.html"=>array("text" => "O firm", "editing" => "wysiwyg"),
                             "contact.html"=>array("text" => "Kontakt", "editing" => "wysiwyg"),
                             "help.html"=>array("text" => "Npovda", "editing" => "wysiwyg"),
                             "left_window.html"=>array("text" => "Lev okno", "editing" => "wysiwyg"),
                             "over_basket_text.html"=>array("text" => "Kok", "editing" => "wysiwyg"),
                             "points.html"=>array("text" => "Body", "editing" => "wysiwyg"),
                             "right_window.html"=>array("text" => "Praw okno", "editing" => "wysiwyg"),
                             "terms.html"=>array("text" => "Obchodn podmnky", "editing" => "wysiwyg"),
                             "user_registration.html"=>array("text" => "Pihlen, registrace", "editing" => "wysiwyg"),
                             "order_mail_hello.html"=>array("text" => "Text of welcome in order confirmation mail", "editing" => "wysiwyg"),
                             "order_mail.html"=>array("text" => "Additional text in order confirmation mail", "editing" => "wysiwyg"),
                             
                             "over_wishlist_text.html"=>array("text" => "Text over wishlist", "editing" => "wysiwyg"),
                             "wishlist_up_empty.html"=>array("text" => "Text shown over a empty wishlist", "editing" => "wysiwyg"),
                             "basket_up_empty.html"=>array("text" => "Text shown over a empty basket", "editing" => "wysiwyg"),
                             "cardpay_info.html"=>array("text" => "Text containing  explanations over form \"offline card payments\"", "editing" => "wysiwyg"),
		                     "recommend_head_product.html"=>array("text" => "Text shown in mail - Header of recomended product", "editing" => "wysiwyg"),					 
                             "recommend_foot_product.html"=>array("text" => "Text shown in mail - Footer of recomended product", "editing" => "wysiwyg"),
							 "recommend_head_shop.html"=>array("text" => "Text shown in mail - Header of recomended shop", "editing" => "wysiwyg"),
                             "recommend_foot_shop.html"=>array("text" => "Text shown in mail - Footer of recomended shop", "editing" => "wysiwyg"),
							 "review_info.html"=>array("text" => "Text shown in comment window", "editing" => "wysiwyg"),
							 "custom_404.html"=>array("text"=>"Site not Found")
                             );

$config->wysiwyg_files['ru']=array(
                             "main_page.html"=>array("text" => "Main page", "editing" => "wysiwyg"),
                             "about_shop.html"=>array("text" => "About shop", "editing" => "wysiwyg"),
                             "newsletter_window.html"=>array("text" => "Newsletter window", "editing" => "wysiwyg"),
                             "about_company.html"=>array("text" => "About company", "editing" => "wysiwyg"),
                             "contact.html"=>array("text" => "Contact", "editing" => "wysiwyg"),
                             "help.html"=>array("text" => "Help", "editing" => "wysiwyg"),
                             "left_window.html"=>array("text" => "Left window", "editing" => "wysiwyg"),
                             "over_basket_text.html"=>array("text" => "Text over basket", "editing" => "wysiwyg"),
                             "points.html"=>array("text" => "Points", "editing" => "wysiwyg"),
                             "right_window.html"=>array("text" => "Right window", "editing" => "wysiwyg"),
                             "terms.html"=>array("text" => "Terms and conditions", "editing" => "wysiwyg"),
                             "user_registration.html"=>array("text" => "User registration", "editing" => "wysiwyg"),
                             "order_mail_hello.html"=>array("text" => "Text of welcome in order confirmation mail", "editing" => "wysiwyg"),
                             "order_mail.html"=>array("text" => "Additional text in order confirmation mail", "editing" => "wysiwyg"),
                             "over_wishlist_text.html"=>array("text" => "Text over wishlist", "editing" => "wysiwyg"),
                             "wishlist_up_empty.html"=>array("text" => "Text shown over a empty wishlist", "editing" => "wysiwyg"),
                             "basket_up_empty.html"=>array("text" => "Text shown over a empty basket", "editing" => "wysiwyg"),
                             
                             "cardpay_info.html"=>array("text" => "Text containing  explanations over form \"offline card payments\"", "editing" => "wysiwyg"),
		                     "recommend_head_product.html"=>array("text" => "Text shown in mail - Header of recomended product", "editing" => "wysiwyg"),					 
                             "recommend_foot_product.html"=>array("text" => "Text shown in mail - Footer of recomended product", "editing" => "wysiwyg"),
							 "recommend_head_shop.html"=>array("text" => "Text shown in mail - Header of recomended shop", "editing" => "wysiwyg"),
                             "recommend_foot_shop.html"=>array("text" => "Text shown in mail - Footer of recomended shop", "editing" => "wysiwyg"),
							 "review_info.html"=>array("text" => "Text shown in comment window", "editing" => "wysiwyg"),
							 "custom_404.html"=>array("text"=>"Site not Found")
                             );

?>
