#!/bin/bash
# Zmiana praw plikow i katalogow
# @author m@sote.pl
# @version $Id: change_perm.sh,v 1.1.1.1 2007-06-19 13:24:51 michal Exp $


cd ../
for file in `find ./`  
do
   if [ -d "$file" ] ; then
     echo "zmieniam prawa katalogu: $file"
     chmod 0755 "$file"
   elif [ -f "$file" ] ; then
     echo "zmieniam prawa pliku: $file"
     chmod 0644 "$file"
   fi
done

chmod 0644 admin/.htaccess
chmod 0644 htdocs/.htaccess
chmod 0777 sessions/*
chmod 0733 sessions_secure
chmod 0777 admin/tmp
if [ ! -d admin/setup/tmp ] ; then
    mkdir admin/setup/tmp
fi
chmod 0777 admin/setup/tmp
chmod 777 htdocs/tmp

chmod 0755 bin/*
chmod 0755 install.sh

echo "Prawa zostaly zmienione"
