<?php
/**
 * Obsluga kategorii  i podkategorii na podstawie klasy lib/Menu
 *
 * @author m@sote.pl
 * @version $Id: category.inc,v 1.3 2007/04/25 09:45:48 marcin Exp $
 * @package soteesklep
 */

global $sess;
global $DOCUMENT_ROOT;
global $_REQUEST;
global $__producer_filter;
global $shop;

//require_once ("lib/Menu/Menu.inc");

// odczytaj konfiguracje(dane) wszystkich kategorii i podkategorii
// dane, te sa zapisywane w aktualizacji w postaci tablicy w pliku PHP
// dzieki temu, nie trzeba dokonywac zapytania do bazy danych o kategorie

// odczytaj kategorie dla danego producenta
if (ereg("^[0-9]+$",@$_REQUEST['producer_filter'])) {
    $__producer_filter=$_REQUEST['producer_filter'];
    $sess->unregister("__producer_filter");
} elseif (ereg("^[0-9]+$",@$_SESSION['__producer_filter'])) {
    $__producer_filter=$_SESSION['__producer_filter'];
} else {
    $__producer_filter=0;
}

if (! empty($__producer_filter)) {
    $file="$DOCUMENT_ROOT/../config/tmp/producers/$__producer_filter"."_category.php";
    $file_include="config/tmp/producers/$__producer_filter"."_category.php";
    // jesli nie ma kategorii dla producenta to odzytaj glowne kategorie
    if ((! file_exists($file)) && (! $shop->home)) {
        $file="$DOCUMENT_ROOT/../config/tmp/category.php";
        $file_include="config/tmp/category.php";
    } else {
        $sess->register("__producer_filter",$__producer_filter);
    }
} else {
    $sess->register("__producer_filter",$__producer_filter);
    $file="$DOCUMENT_ROOT/../config/tmp/category.php";
    $file_include="config/tmp/category.php";
}


if ((file_exists($file)) || ($shop->home)) {
    include($file_include);
}

if (empty($category)) {
    // odczytaj gloalna wartosc - ponad klasa $theme
    // jesli wczesniej plik caregory.php zostal zalaczony, to nie jest on tu domylsnie widoczny
    if (! empty($GLOBALS['category'])) {
        $category=$GLOBALS['category'];
    } else $category=array();
}

$__global_category_array = $category;

if(!empty($__global_category_array)) {
    $sess->register("__global_category_array", $__global_category_array);
}
require_once("include/categoryTree.inc.php");

$categoryTree=new categoryTree($category);
if (isset($_REQUEST['idc']))
$idc=$_REQUEST['idc'];
else 
$idc='';

$categoryTree->showTree($idc);

// celowy brak zamkniecia PHP