// I18N constants

HTMLArea.I18N = {

	// the following should be the filename without .js extension
	// it will be used for automatically load plugin language.
	lang: "pl",

	tooltips: {
		bold:           "Pogrubienie",
		italic:         "Pochylenie",
		underline:      "Podkrelenie",
		strikethrough:  "Przekrelenie",
		subscript:      "Indeks dolny",
		superscript:    "Indeks grny",
		justifyleft:    "Wyrwnaj do lewej",
		justifycenter:  "Wyrodkuj",
		justifyright:   "Wyrwnaj do prawej",
		justifyfull:    "Wyjustuj",
		orderedlist:    "Numerowanie",
		unorderedlist:  "Wypunktowanie",
		outdent:        "Zmniejsz wcicie",
		indent:         "Zwiksz wcicie",
		forecolor:      "Kolor czcionki",
		hilitecolor:    "Kolor ta",
		horizontalrule: "Linia pozioma",
		createlink:     "Wstaw adres sieci Web",
		insertimage:    "Wstaw obraz",
		inserttable:    "Wstaw tabel",
		htmlmode:       "Edycja WYSIWYG/w rdle strony",
		popupeditor:    "Peny ekran",
		about:          "Informacje o tym edytorze",
		help:           "Pomoc",
		textindicator:  "Obecny styl",
		showhelp:       "Pomoc w korzystaniu z edytora",
		undo:           "Cofnij ostatni akcj",
		redo:           "Przywr ostatni akcj",
		cut:            "Wytnij",
		copy:           "Kopiuj",
		paste:          "Wklej",
		lefttoright:    "Kierunek od lewej do prawej",
		righttoleft:    "Kierunek od prawej do lewej"
	},
	
	buttons: {
		"ok":           "OK",
		"cancel":       "Anuluj"
	},

	msg: {
		"Path":         "cieka",
		"TEXT_MODE":    "Jeste w TRYBIE TEKSTOWYM.  Uyj przycisku [<>], by przeczy si do WYSIWYG.",

		"IE-sucks-full-screen" :
		// translate here
		"The full screen mode is known to cause problems with Internet Explorer, " +
		"due to browser bugs that we weren't able to workaround.  You might experience garbage " +
		"display, lack of editor functions and/or random browser crashes.  If your system is Windows 9x " +
		"it's very likely that you'll get a 'General Protection Fault' and need to reboot.\n\n" +
		"You have been warned.  Please press OK if you still want to try the full screen editor."
	},

	dialogs: {
		"Cancel"                                            : "Anuluj",
		"Insert/Modify Link"                                : "Wstaw/Modyfikuj Link",
		"New window (_blank)"                               : "Nowe okno (_blank)",
		"None (use implicit)"                               : "None (use implicit)",
		"OK"                                                : "OK",
		"Other"                                             : "Inne",
		"Same frame (_self)"                                : "To samo okno (_self)",
		"Target:"                                           : "Cel:",
		"Title (tooltip):"                                  : "Tytu (dymek):",
		"Top frame (_top)"                                  : "Okno nadrzdne (_top)",
		"URL:"                                              : "URL:",
		"You must enter the URL where this link points to"  : "Musisz wpisa URL, do ktrego ma prowadzi ten link"
	}

	
};
