<?php
include("include/dbedit_list.inc");

class ExtDBEditList extends DBEditList {

	function page_url($page=1,$my_GET_VARS=array()) {
		global $_SERVER,$REQUEST,$SCRIPT_NAME, $theme;

		$HTTP_HOST=$_SERVER['HTTP_HOST'];
		$SCRIPT_NAME=$_SERVER['SCRIPT_NAME'];

		if (empty($my_GET_VARS)) { $my_GET_VARS=$_GET; }
		else {
			reset($my_GET_VARS);
			$_COPY=$_REQUEST;
			foreach ($my_GET_VARS as $var=>$val) {
				$_COPY[$var]=$my_GET_VARS[$var];
			}
			$my_GET_VARS=$_COPY;
		}

		$url=$SCRIPT_NAME;
		if (! empty($page)) { $my_GET_VARS["$this->page_var"]=$page; }

		// Values submitted via GET method:
		$i=0; reset($my_GET_VARS);
		ksort($my_GET_VARS);

		while (list($key, $val) = each($my_GET_VARS)){

			// sprawdz czy element formularza jest tablica, jesli tak,
			// to dodaj elementy tablicy jako parametry do wywolania
			if (is_array($val)) {
				while (list($k,$v) = each($val)) {
					if ($key != 'clickedFolder' && $key!='lang')
					{
						$url=$this->_add_param($key.'['.$k.']',$v,$i,$url);
						$i++;
					}
				}
			} else {
				// przekaz paramter do wywolania skryptu
				if ($key!=$this->session_var) {
					if ($key != 'clickedFolder' && $key!='lang' && strpos($key,"__utm") !== 0 && $val !== '')
					{
						$url=$this->_add_param($key,$val,$i,$url);
						$session_first=true;
						$i++;
					}
				}
			} // end if (is_array($val))
		}
		
		
		return $theme->google_url($url, '');
	} // end page_url()	 
 

} // end class DBEditList
?>
