<?php
/**
 * Lista producentow w danej kategorii
* @version    $Id: producers.inc.php,v 1.6 2007/06/12 12:07:16 marcin Exp $
* @package    category
 */
include_once("include/lang_functions.inc");
require_once("config/tmp/category_producer.php");
class ProducerList {
	var $url="/go/_category/";
	var $data=array();          // tablica z listami producentow
	var $idc;                   // aktualna wartosc id kategorii $idc (lub $cidc)

	/**
     * Wyswietl liste producentow w danej kategorii z linkami
     */
	function show() {
		global $_SESSION;
		global $theme;

		// sprawdz czy jest zalaczony filtr producenta
		if (! empty($theme->producer_filter_name)) {
			print LangF::translate($theme->producer_filter_name);
			return(0);
		}
		if ((empty($this->idc)) || (! ereg("^[id0-9_]+$",$this->idc))) return(0);
		$producers=@$this->data[$this->idc];
		if (! empty($producers)) {
			reset($producers);
			foreach ($producers as $id=>$name) {

				$url="/go/_category/?idc=$this->idc";
				if (isset($_SESSION['__order_main']) && !empty($_SESSION['__order_main'])) {
					$url.="&amp;order=".$_SESSION['__order_main'];
				} elseif (isset($_REQUEST['order']) && !empty($_REQUEST['order'])) {
					$url.="&amp;order=".$_REQUEST['order'];
				} else {
					$order_id=array_search($config->main_order_default,$config->dbedit_order_names['main']);
					$url.="&amp;order=$order_id";
				}

				$url.="&amp;page=1";

			
				$url.="&amp;producer_id=".$id;
				

				if (isset($_SESSION['__record_row_type']) && !empty($_SESSION['__record_row_type'])) {
					$url.="&amp;record_row=".$_SESSION['__record_row_type'];
				} else {
					$url.="&amp;record_row=".$config->record_row_type_default;
				}


				$url=$theme->google_url($url,$name);
				print "<a href=\"$url\">";
				print "<u>".LangF::translate($name)."</u>";
				print "</a> ";
			} // end foreach
		}

		return(0);
	} // end show()
} // end class ProducerList
$producer_list = new ProducerList;
$producer_list->data=@$__producers;
$producer_list->idc=$__get_idc;

?>
