<?php
/**
 * Informacja szczegolowa o produkcie
 * 
 * @author m@sote.pl
 * \@modified_by piotrek@sote.pl
 * @version $Id: accessories.php,v 1.2 2007-07-24 17:54:18 krzys Exp $ 
* @package    info
 */
$global_database=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../include/head.inc");
require_once ("include/image.inc");
require_once ("include/description.inc");
require_once ("themes/include/buttons.inc.php");
require_once("include/gallery.inc");
// dostepnosc towaru (funkcja wyswietlajaca nformacje o dosteonosci)
require_once ("include/available.inc");

// inicjuj obsluge Walut
$shop->currency();

// sprawdz czy przeslano numer user_id produktu
if (! empty($_REQUEST['user_id'])) {
    $user_id=$_REQUEST['user_id'];
} else $user_id='';

// odczytaj numer id produktu
$id="";
if (!empty($_REQUEST['id'])) {
    $id=$_REQUEST['id'];
}

// sprawdz poprawnosc numery ID
if ((! ereg("^[0-9]+$",$id)) && (empty($user_id))) {
	phpHeader::notFound();
}

if (!empty($_REQUEST['item'])) {
    $item=$_REQUEST['item'];
} else $item="0";

// sprawdz poprawnosc parametru item
if (! ereg("^[0-4]$",$item)) {
	phpHeader::notFound();
}

$q_unavailable = '';
if ($config->depository['show_unavailable'] != 1) {
	$q_unavailable = " AND id_available <> " . $config->depository['available_type_to_hide'];
}

if (empty($user_id)) {
	$query = "SELECT * FROM main WHERE id=? AND active='1' $q_unavailable";
} else {
	$query = "SELECT * FROM main WHERE user_id=? AND active='1' $q_unavailable";
}

$prepared_query=$db->PrepareQuery($query);
if (empty($user_id)) {
	$db->QuerySetText($prepared_query,1,"$id");
} else {
	$db->QuerySetText($prepared_query,1,"$user_id");
}
$result=$db->ExecuteQuery($prepared_query);
if ($result!=0) {
	$num_rows=$db->NumberOfRows($result);
	if ($num_rows>0) {
		// produkt odczytany poprawnie
	} else {
		phpHeader::notFound();
	}
} else die ($db->Error());

// odczytaj parametry zapytania $rec->data['name'] itp.
$secure_test=true;
include_once("./include/query_rec.inc.php");

if (isset($_REQUEST['product_name']))
{
	$product_name=$_REQUEST['product_name'];
	/**
 * w przypadku zmiany nazwy produktu wyslij komunikat o zmianie adresu strony i przekieruj na poprawny adres
 */
	if ($product_name != $theme->replace_titles($rec->data['name']))
	{
		phpHeader::redirect("/go/_info/index.php?user_id={$rec->data['user_id']}&product_name={$rec->data['name']}");
	}
}

// dodaj obsluge pola xml_options
include_once ("include/xml_options.inc");
global $ajax, $navigationPath;

$navigationPath->genProductPath($rec);


$theme->gallery=new Gallery(1,$photoconfig->config['on_page'],$rec->data['photo_uid'],$rec->data['photo_count'], true);
// naglowek
$theme->head();

$theme->page_open("left","record_info","right","","","","page_open_2");

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
