<?php
/**
 * "Przypomnienie" hasla klienta, obsluga wyslania nowego hasla na konto email klienta
 * System ze wzgledow bezp. nie przechwuje hasel w postaci jawnej i nie moze ich odtworzyc
 * dlatego zakladane jest nowe haslo i wysylane do klienta. Po zmianie hasla przekodowywane
 * sa dane klienta nowym kluczem.
 *
 * \@global bool $__email_not_exists true nie ma takiego adresu email w bazie (parametr przekazywany z remind2.php)
 *
 * @author  m@sote.pl
 * @version $Id: remind.php,v 1.2 2007/04/30 07:25:10 marek Exp $
* @package    users
 */

$global_database=false;
$global_secure_test=true; 
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../include/head.inc");

// naglowek
$theme->head();
$theme->page_open_head("page_open_1_head");

$theme->bar($lang->users_remind_title);

// Security 17
require_once("include/security.inc");

// odczytaj email
if (! empty($_REQUEST['email'])) {
    $email=SSecurity::secureURL($_REQUEST['email']); 
} else $email='';
// end Security 17

if (@$__email_not_exists==true) {
    print "<br><center><b>".$email."</b> - <font color=red>$lang->users_email_not_exists</font></center><p>";
}
$theme->theme_file("_users/remind.html.php");

$theme->page_open_foot("page_open_1_foot");
// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
