<?php
/**
 * Copyright (c) 1999-2004 SOTE www.sote.pl                             
 *
 * SOTEeSKLEP - program do prowadzenia sklepu internetowego. 
 * Program objety jest licencja SOTE.                                           
 *
 * Niniejszy plik odpowiada wywolaniu glownej strony sklepu.            
 *
 *
 * @author  m@sote.pl
 * @version $Id: index.php,v 1.4 2007-08-06 14:24:18 krzys Exp $
 * @package    default
 */

/**
 * Security #1
 */
$__security_1=true;
if ((! empty($_REQUEST['id'])) && (! eregi("^[0-9a-z_-]+$",$_REQUEST['id']))) $__security_1=false;
if ((! empty($_REQUEST['recom_code'])) && (! eregi("^[0-9a-z]+$",$_REQUEST['recom_code']))) $__security_1=false;
if ((! empty($_REQUEST['recom_prod'])) && (! eregi("^[0-9a-z_-]+$",$_REQUEST['recom_prod']))) $__security_1=false;
if ((! empty($_REQUEST['recom_user'])) && (! eregi("^[0-9]+$",$_REQUEST['recom_user']))) $__security_1=false;
if ((! empty($_REQUEST['recom_t'])) && (! eregi("^[0-9]{10}$",$_REQUEST['recom_t']))) $__security_1=false;
if ((! empty($_REQUEST['partner_id'])) && (! eregi("^[0-9]+$",$_REQUEST['partner_id']))) $__security_1=false;
if ((! empty($_REQUEST['code'])) && (! eregi("^[0-9a-z]+$",$_REQUEST['code']))) $__security_1=false;
if ($__security_1==true) {
	// end Security #1
	if (! empty($_REQUEST['id']) && ! empty($_REQUEST['recom_code']) && ! empty($_REQUEST['recom_product']) && ! empty($_REQUEST['recom_user']) && ! empty($_REQUEST['recom_t']) ) {

		header ("Location: http://".$HTTP_SERVER_VARS['HTTP_HOST']."/go/_info/?user_id=".$_REQUEST['id']."&recom_code=".$_REQUEST['recom_code']."&recom_product=".$_REQUEST['recom_product']."&recom_user=".$_REQUEST['recom_user']."&recom_t=".$_REQUEST['recom_t']);
	}
	// przekierowanie na info o produkcie (jesli przekazano w glownym wywolaniu parametr 'id')
	elseif (! empty($_REQUEST['id'])) {
		header ("Location: http://".$HTTP_SERVER_VARS['HTTP_HOST']."/go/_info/?user_id=".$_REQUEST['id']."&partner_id=".$_REQUEST['partner_id']."&code=".$_REQUEST['code']);
	}

} // +line Security #1

// generuj Last-Modified na wczoraj w formacie Last-Modified: Tue, 15 Nov 1994 12:45:26 GMT
header ("Last-Modified: ".date("D, d M Y h:i:m",(time())-(3600*24))." GMT");

// informacja o wywolaniu glownej strony
$__start_page=true;

$global_database=true;
$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
include_once ("../include/head.inc");

// naglowek
$theme->head();
// odczytaj id filtru producenta
if (isset($_REQUEST['producer_filter'])) {
	$producer_id=$_REQUEST['producer_filter'];
	$__producer_filter;
} elseif (! empty($_SESSION['__producer_filter'])) {
	$producer_id=$_SESSION['__producer_filter'];
} else $producer_id='';


// odczytaj id producenta
if (! empty($_REQUEST['producer_id'])) {
	$producer_id=$_REQUEST['producer_id'];
}
if (! ereg("^[0-9]+$",$producer_id)) {
	$producer_id='';
}

// zapytanie o produkty, ktore maja sie znalzc na 1 stronie
global $config;
$q_unavailable = '';
if ($config->depository['show_unavailable'] != 1) {
	$q_unavailable = " AND id_available <> " . $config->depository['available_type_to_hide'];
}
// funkcja prezentujaca wynik zapytania w glownym oknie strony
include_once ("include/dbedit_list.inc");
$dbedit = new DBEditList;

if (!empty($producer_id))
{
	$dbedit->top_links=true;     // nie pokazuj linkow do podstron
	$producer_where = " AND id_producer=$producer_id";
	$sql = "SELECT * FROM main WHERE active=1{$q_unavailable}{$producer_where}";
}
else {
	$dbedit->top_links=true;
	$dbedit->top_dbedit_show=false;
	$producer_where='';
	$sql = "SELECT * FROM main WHERE active=1 AND main_page='1'{$q_unavailable}{$producer_where}";
	// wywolaj funkcje przed wyswietleniem glownej zawartosci "main" (po tytule)
	$theme->before_main_obj=&$theme;
	$theme->before_main_func="main_html";
}



// funkcja wywolana po zaladowaniu rekordow ze strony glownej "main" (po liscie rekordow)
$theme->after_main_obj=&$theme;
$theme->after_main_func="mainBottom";
// wykonaj procedure wyswietlania strony glownej "main"
$theme->page_open_object("show",$dbedit,"page_open");

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
