<?php
/**
* @version    $Id: send.php,v 1.4 2007-09-19 17:34:59 marcin Exp $
* @package    ask4price
* \@ask4price
*/

$global_database=true;
$global_secure_test=true;
global $_POST;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../include/head.inc");

require_once ("lib/Mail/MyMail.php");

/**
  * Security 22
  */
require_once("include/security.inc");
require_once("plugins/_check_code/_check_code.php");
global $mdbd,$config;

$ask4price_list = @$_SESSION['ask4price_list'];

$mail = new MyMail;
// ustalenie typu wysylanego maila do sprzedawcy
if (!empty($config->email_HTML_merchant)) {
	$config->mail_type_path="html";
	$mail->allowHTML(true);
} else {
	$config->mail_type_path="txt";
	$mail->allowHTML(false);
}
$name_company = SSecurity::secureString(addslashes(@$_REQUEST['ask4price_name_company']));  // Security 22
$comment = SSecurity::secureString(addslashes(@$_REQUEST['ask4price_comment']));  // Security 22
$email=SSecurity::secureString(addslashes(@$_REQUEST['ask4price_email'])); // Security 22

// parametry maila
$from = $email;  // od kogo // Security 22
$to = $config->order_email;  // do kogo
$reply = $from;

if(!empty($_SESSION['global_id_user'])) {
	$user_text = " (" . $lang->ask4price_user_logged . " " . intval($_SESSION['global_id_user']) . ") "; // Security 22
}
else {
	$user_text = " (" . $lang->ask4price_user_not_logged . ") ";
}

$subject = $lang->ask4price_subject;
$content = "$name_company $user_text" . $lang->ask4price_intro . "<br /><br />";

reset($ask4price_list);
while (list($key, $val) = each($ask4price_list)) {
	$content .= intval($val['id']) . ': ' . SSecurity::secureString($val['name']) . " (" . SSecurity::secureString($val['producer']) . ")<br /><br />"; // Security 22
}

if(!empty($_REQUEST['ask4price_comment'])) {
	$content .= $lang->ask4price_comment . ":<br />";
	$content .= $comment;
}

// wysylam maila
if(empty($_REQUEST['ask4price_email'])) {
	$theme->theme_file("plugins/_ask4price/ask4price_send_error1.html.php");     // nie podales swojego maila!
}
else {
	if (!empty($_SESSION['ask4price_list'])) {
		if ($check_code) {
			if($mail->send($from,$to,$subject,nl2br(@$content),$reply)){
				reset($ask4price_list);
				$guid = intval(@$_SESSION['global_id_user']); // Security 22
				if(empty($guid))
				$guid = 0;
				$res = $mdbd->select("MAX(request_id)", "ask4price", "1=1", array($guid => "int", $from => "string"), "", "array");
				$request_id = $res[0]["MAX(request_id)"];
				$request_id = $request_id + 1;

				while (list($key, $val) = each($ask4price_list)) {
					$vid = $val['id'];
					$vname = $val['name'];
					$vproducer = $val['producer'];
					$request_id = addslashes($request_id);
					$guid = addslashes($guid);
					$name_company = addslashes($name_company);
					$from = addslashes($from);
					$vid = addslashes($vid);
					$vname = addslashes($vname);
					$vproducer = addslashes($vproducer);
					$comment = addslashes($comment);
					$mdbd->insert("ask4price",
					"request_id,id_users,name_company,email,prod_user_id,name,producer,date_add,date_update,comments",
					"$request_id, $guid, '$name_company', '$from', '$vid', '$vname', '$vproducer', NOW(), NOW(), '$comment'"
					);
				}

				$theme->theme_file("plugins/_ask4price/ask4price_send_ok.html.php");  // udalo sie wyslac maila
			}
			else {
				$theme->theme_file("plugins/_ask4price/ask4price_send_error.html.php");      // nie udalo sie wyslac
			}

		}
		else
		{
			$theme->theme_file("plugins/_ask4price/window.html.php");
		}
	}
	else {
		$theme->theme_file("plugins/_ask4price/ask4price_send_error.html.php");      // nie udalo sie wyslac
	}
}


?>
