<?php
/**
* Nagwek strony.
* The header displayed on most of the shop's pages
*
* @version    $Id: head.html.php,v 1.2 2007-07-09 16:39:12 krzys Exp $
* @package    themes
* @subpackage base_theme
*/

/**
 * Funkcje PHP zwizane head.html.php
 */
$this->theme_file('include/head.inc.php');
global $t_head;
global $lang;
global $navigationPath;
global $config_map_site;
global $gray_theme_config;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $config->lang;?>" lang="<?php print $config->lang;?>">
	<head>
    	<meta http-equiv="content-type" content="text/html; <?php print $config->encoding;?>" />
      	<meta http-equiv="content-style-type" content="text/css" />
      	<title><?php $t_head->googleTitle();?></title>   
		<meta name="keywords" content="<?php $t_head->googleKeywords();?>" />
      	<meta name="description" content="<?php $t_head->googleDescription();?>" />
      	<link rel="stylesheet" href="<?php print $this->filepath("_style/style.css");?>" type="text/css" />
      	
        <!--[if IE6]>
        <style type="text/css">
        #magicDiv {
        position: absolute;
        z-index: 10000000;
        }
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: 19px;
            width: 144px; 
            left: -149px;
            background-color: white;
            z-index: 10000000;
        }
        <![endif]-->
        <!--[if IE7]>
        <style type="text/css">
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: -3px;
            width: 144px; 
            left: 12px;
            z-index: 1;
            background-color: white;
        }
        </style>
        <![endif]-->
      	<script type="text/javascript" src="<?php print $this->filepath("_common/javascript/script.js");?>"></script>
      	
      	<?php 
      	// ajax functions
		global $ajax;
		if (is_object($ajax))$ajax->xajax->printJavascript('/lib/xajax/');
		?>
     </head>

<?php $this->desktop();?>
<?php
$check_background=$this->config['box_background_site'][1];

if($check_background{0}=="#"){
	?>
<body onload="Init()" bgcolor="<?php print $this->config['box_background_site'][1]; ?>">	
<?php
}
if($check_background=="empty"){
	?>
<body onload="Init()">	
<?php
}

if($check_background{0}!="#" && $check_background!="empty"){
	?>
<body onload="Init()" background="<?php $this->desktopPathImage('box_background_site');?>">	
<?php
}

?>

<!-- start head -->
<center>
<?php
// wcz wybr tematw, jeli jest to sklep demo
if(strpos($_SERVER['HTTP_HOST'],"demo.sote.pl")!==false){
	$this->show_themes();
}
?>
<center>
<div id="actionAlertDiv" style="z-index: 1000; display:none; background: transparent; position: fixed; top: 30%; left: 40%;">
<?php
$this->DesktopOpen8($this->config['box8_ajax_alert'],"250");
?>
<center>
<div id="actionAlertMessage" style="font-size: 20px;"></div>
</center>
<?php
$this->DesktopClose8($this->config['box8_ajax_alert']);
?>
</div>

<?php $this->DesktopOpenBox($this->config['box_top']); ?>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
<td><a href="/"><?php $this->desktopBoxImage('box_logo'); ?></a></td>
<td>
<?php
$iden=$_SERVER['HTTP_USER_AGENT'];

if(ereg("Opera","$iden")=='1'){$x='15'; $y='40';}
if(ereg("Firefox","$iden")=='1'){$x='15'; $y='40';}else{$x='15'; $y='40';}
if(ereg("MSIE 7.0","$iden")=='1'){$x='15'; $y='40';}
if(ereg("MSIE 6.0","$iden")=='1'){$x='15'; $y='40';}
?>
<?php $this->SetOpenPosition($x,$y,"relative"); ?>
<?php $this->DesktopOpen3Horizontal($this->config['boxh3_bar_top'],"380","","middle","center"); ?>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
	<td style="padding-top:3px;"><?php $t_head->flags(); ?></td>
	<td width="20"></td>
	<td></td>
	</tr>
	</table>
<?php $this->DesktopClose3Horizontal($this->config['boxh3_bar_top']); ?>
<?php $this->SetClosePosition(); ?>
</td>
</tr>
</table>
<?php $this->DesktopCloseBox($this->config['box_top']); 

if($gray_theme_config->show_bread_crumps==1){ 
// poka cieki powrotu, jeli konfiguracja tematu gray na to pozwala	
?>
<table border="0" cellpadding="0" cellspacing="0" width="980">
<tr>
	<td style="padding: 5px 0px;">
	<a href="/"><?php print $lang->head_home;?></a><?php $navigationPath->showPath();?>
	
	</td>
</tr>
</table>
<?php } ?>
</center>

<!-- end head -->
