<?php
/**
* @version    $Id: theme.inc.php,v 1.3 2007-09-03 15:04:51 krzys Exp $
* @package    themes
* @subpackage bluelight
*/
$config->base_theme="base_theme";

class MyTheme Extends Theme {

	function show_check_code($request_vars=array()) {
		global $asc, $check_code, $lang;
	
		if (!$check_code)
		echo '<p><img src="'.$asc->get_img_path().'" alt=\"\" /></p>';

		echo '<form action="'.$_SERVER['PHP_SELF'].'" id="show_check_code" name="show_check_code" method="post"><p>';
		echo $lang->check_code['code'].'<br /><input type="text" name="code" /> ';
		if (isset($_REQUEST['CHECK_CODE']))
		echo '<p style="color:red; margin: 10px 0">'.$lang->check_code['auth'].'</p>';
		echo '<input type="hidden" name="CHECK_CODE" />';
		foreach ($request_vars as $k => $v)
		{
			if ($k != 'sess_id' && $k != 'clickedFolder' && $k != 'CHECK_CODE' && $k != 'code')
			echo '<input type="hidden" name="'.$k.'" value="'.$v.'" />';
		}
		
		echo "<div style=\"text-align: center\"><span style=\"cursor: pointer; cursor: hand;color: #000\" onclick=\"document.getElementById('show_check_code').submit();\">[ $lang->send ]</span></div>";
		
		echo '</p></form>';
		
		return(0);
	} // end foot()

	/**
    * Wyswietl plik z katalogu _tematu html_files
    */
	function file($file,$lang_name='') {
		global $config;
		global $DOCUMENT_ROOT;

		if($lang_name=="") {
			$lang_name=$config->lang;
		}

		global $_SERVER;
		@include_once("$DOCUMENT_ROOT/themes/_$lang_name/_html_files/$file");

		return(0);
	}

	/**
    * Wywietl pelna sciezke do pliku lub domyslna bitmape systemowa
    * Funkcja ma m.in. na celu wyeliminowanie pojawiania sie okienek z bledami, jeli nie ma zdjcia
    *
    * @author rp@sote.pl m@sote.pl
    * @param string $file_name nazwa pliku
    *
    * @deprecated since 3.0 alfa
    * @return none
    */
	function path($file_name="_img/_mask.gif"){
		return $this->img($file_name);
	} // end path()

	/**
    * Lewa strona
    */
	function left() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="left.html.php";$include_once=true;
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end left()

	/**
    * Prawa strona
    */
	function right() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="right.html.php";
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end right()

	/**
    * Glowna czesc strony, srodek
    */
	function main() {
		$this->theme_file("main.html.php");
		return(0);
	} // end main()

	/**
    * Tytul
    */
	function title($title) {
		print "<table border=1><tr><td>$title</td></tr></table>";
		return(0);
	} // end title()

	/**
    * Wywietl formularz dodania produktu do koszyka.
    * Jeli nie przekazujemy do funkcji adnych opcji (np. L, XL itp), to zostanie wywietlony
    * standardowy koszyk. Jeli dla danego produktu s zdefiniowane jakie opcje, pokae si formularz
    * wybrania opcji + przycisk submit->zamw.
    *
    * @param  int    $id           identyfikator produktu (id z tabeli main)
    * @param  string $xml_options  opcje   
    * @access private
    * @return none
    */
	function _basket($id,$xml_options) {
		if (! empty($xml_options)) return $this->_basketOptions($id,$xml_options);
		$this->_basketSimple($id);
		return;
	} // end _basket()

	/**
    * Sprawd czy mona wywietli ikonk koszyk i jeli tak, to wywietl j.
    * Funckja ta zastpuje wczeniejsze wywoania postaci $theme->basket().
    *
    * @author m@sote.pl
    * @param  int     $id  id produktu (z tabeli main)
    * @param  object &$rec adres obiektu z danymi produktu $rec->data
    * @return none
    */
	function recBasket($id,&$rec) {
		if ($this->checkView("basket",$rec)) {
			return $this->_basket($id,@$rec->data['xml_options']);
		} elseif ($this->checkView("ask4price",$rec)) {
			//$this->ask4price($rec);
		} elseif (ereg("^music",@$rec->data['xml_options'])) {
			// nawet jeli jest zaczona opcja "nie pokazuj ceny", ale
			// produkt zawiera utwory do zakupu, to poka list atrybutw
			//return $this->_basket($id,@$rec->data['xml_options']);
		}
		return;
	} // end recInfo()
	// end Basket:



	/**
    * Formularz wyszukiwania
    *
    * @param string $view rodzaj prezentacji fromularza wyszukiwania "vertical" - pionowo, "horizontal" - poziomo
    */
	function search_form(){
		global $lang;
		global $config;
		global $gray_theme_config;

		// start plugin cd:
		if ($config->cd==1) return;
		// end plugin cd:ss


		print "<div align=\"left\">\n";
		print "<form action=\"/go/_search/full_search.php\" method=\"get\">";
		print "<table border=\"0\">";
		print "<tr>";
		print "<td>";
		print "Szukaj:&nbsp;";
		print "<input type=\"hidden\" name=\"SEARCH_FORM\" />";
		print "    <input id=\"search_query_words\" type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		//		print "    <input id='search_query_words' type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		print "<div id='magicDiv'><div id='searchHint' class='searchDivHidden' onmouseout=\"hideHints();\" onmouseover=\"showHints();\"></div></div>";
		print "</td>";
		print "<td>";


		print "</td>";
		print "</tr>";
		if ($gray_theme_config->show_adv_seach==1){
		print "<tr>";
		print "<td style=\"padding-left:44px;\" colspan=\"2\">";

		print "<a style=\"font-size:10px;\" href='/go/_search/advanced_search.php'>".@$lang->search_advanced."</a>";
		print "</td>";
		print "</tr>";
		}
		print "</table>";
		print "</form>";
		print "</div>\n";
	} // end search_form()

/**
    *
    * @param string $name nazwa produktu
    * @public
    */
	function ask4price($rec = '') {
		global $lang,$config, $_SESSION;
		if((!empty($_SESSION['ask4price_list'])) || (!empty($rec))) {
			//        if(1) {
			if(!empty($rec)) {
				$name_url=urlencode($rec->data['name']);
				$producer_url=urlencode($rec->data['producer']);
				$id_url=urlencode($rec->data['user_id']);
				print "<a href='/plugins/_ask4price/?action=add&id=$id_url&name=$name_url&producer=$producer_url' onclick=\"window.open('','window','width=400,height=300,scrollbars=1,menubar=0,status=0,location=0,directories=0,toolbar=0,resizable=1');\" target='window'>".$lang->ask4price."</a>";
			}
			else {
				print "<a href='/plugins/_ask4price/?action=show' onclick=\"window.open('','window','width=400,height=300,scrollbars=1,menubar=0,status=0,location=0,directories=0,toolbar=0,resizable=1');\" target='window'>".$lang->ask4price_list."</a>";
			}
		}
		return(0);
	}


	}
 // end class Theme

$theme = new MyTheme;
?>
