<?php
/**
* Nagwek strony.
* The header displayed on most of the shop's pages
*
* @version    $Id: head.html.php,v 1.3 2007-09-03 14:11:57 krzys Exp $
* @package    themes
* @subpackage base_theme
*/

/**
 * Funkcje PHP zwizane head.html.php
 */
$this->theme_file('include/head.inc.php');
global $t_head,$theme;
global $lang;
global $navigationPath;
global $config_map_site;
global $orangegray_theme_config;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $config->lang;?>" lang="<?php print $config->lang;?>">
	<head>
    	<meta http-equiv="content-type" content="text/html; <?php print $config->encoding;?>" />
      	<meta http-equiv="content-style-type" content="text/css" />
      	<title><?php $t_head->googleTitle();?></title>   
		<meta name="keywords" content="<?php $t_head->googleKeywords();?>" />
      	<meta name="description" content="<?php $t_head->googleDescription();?>" />
      	<link rel="stylesheet" href="<?php print $this->filepath("_style/style.css");?>" type="text/css" />
      	
        <!--[if IE6]>
        <style type="text/css">
        #magicDiv {
        position: absolute;
        z-index: 10000000;
        }
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: 19px;
            width: 144px; 
            left: -149px;
            background-color: white;
            z-index: 10000000;
        }
        <![endif]-->
        <!--[if IE7]>
        <style type="text/css">
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: -3px;
            width: 144px; 
            left: 12px;
            z-index: 1;
            background-color: white;
        }
        </style>
        <![endif]-->
      	<script type="text/javascript" src="<?php print $this->filepath("_common/javascript/script.js");?>"></script>
      	
      	<?php 
      	// ajax functions
      	global $ajax;
      	if (is_object($ajax))$ajax->xajax->printJavascript('/lib/xajax/');
		?>
     </head>

<?php $this->desktop();?>
<?php
$check_background=$this->config['box_background_site'][1];

if($check_background{0}=="#"){
	?>
<body onload="Init()" bgcolor="<?php print $this->config['box_background_site'][1]; ?>">	
<?php
}
if($check_background=="empty"){
	?>
<body onload="Init()">	
<?php
}

if($check_background{0}!="#" && $check_background!="empty"){
	?>
<body onload="Init()" background="<?php $this->desktopPathImage('box_background_site');?>">	
<?php
}

?>

<!-- start head -->
<center>
<?php
// wcz wybr tematw, jeli jest to sklep demo
if(strpos($_SERVER['HTTP_HOST'],"demo.sote.pl")!==false){
	$this->show_themes();
}
?>

<?php $this->google();?>
<div id='actionAlertDiv' style="z-index: 1000; display:none; background: transparent; position: fixed; top: 30%; left: 40%;">
<?php
$this->DesktopOpen8($this->config['box8_ajax_alert'],"250");
?>
<center>
<div id='actionAlertMessage' style='font-size: 20px;'></div>
</center>
<?php
$this->DesktopClose8($this->config['box8_ajax_alert']);
?>
</div>

<?php $theme->DesktopOpenBox($theme->config['box_space1'],"992","","","center"); ?>
<table cellpadding="0" cellspacing="0" border="0" width="990">
<tr>
<td><a href="/"><?php $this->desktopBoxImage('box_logo1'); ?></a></td>
<td><?php $this->desktopBoxImage('box_logo2'); ?></td>
</tr>
</table>


<?php //$t_head->search();  ?>
<table cellpadding="0" cellspacing="0" border="0" width="990">
<tr>
<td class="konto" style="padding-left:19px;" align="left">
	 <?php $t_head->userRegisterLogin(); ?>
	 &nbsp;&nbsp;
	 <?php $t_head->userLogin();?>
</td>
<td align="right" style="padding-right: 30px; padding-top: 5px;">
<?php
if ($orangegray_theme_config->show_users_online==1){
	 // poka uytkownikw on-line, jeli konfiguracja tematu orangegray na to pozwala
	$t_head->usersOnline();
}
?>
</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0" width="990">
<tr>
	<td style="padding-top:8px; padding-bottom:8px; padding-left:10px;" width="900">
	<table class="white" cellpadding="0" cellspacing="0" border="0">
    <tr>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top1'],"","","middle","center");
    $t_head->link2MainPage();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top1']);
    ?>
    </td>
    <?php
	if ($orangegray_theme_config->show_promotion==1){
	// poka promocje, jeli konfiguracja tematu orangegray na to pozwala
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top3'],"","","middle","center");
    $t_head->link2Promotions();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top3']);
    ?>
    </td>
    <?php
	}
	if ($orangegray_theme_config->show_new_products==1){
	// poka nowoci, jeli konfiguracja tematu orangegray na to pozwala	
	?>
	<td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top2'],"","","middle","center");
    $t_head->link2News();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top2']);
    ?>
    </td>
    <?php
	}
	if ($orangegray_theme_config->show_bestseller==1){
	// poka bestseller, jeli konfiguracja tematu orangegray na to pozwala	
	?>
     <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top4'],"","","middle","center");
    $t_head->link2Bestseller();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top4']);
    ?>
    </td>
    <?php 
	} 
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top5'],"","","middle","center");
    $t_head->link2About();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top5']);
    ?>
    </td>
    
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top6'],"","","middle","center");
    $t_head->link2Terms();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top6']);
    ?>
    </td>
    <?php 
    if ($config->catalog_mode==0){
    // pokazuj link do koszyka, gdy tryb katalog jest wyczony 
	?>
     <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top7'],"","","middle","center");?>
 	<a href="/go/_basket/index.php"><?php print $lang->head_your_basket;?></a>
    <?php $this->DesktopClose3Horizontal($this->config['boxh3_button_top7']);
    ?>
    </td>
    <?php 
    }
    ?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top8'],"","","middle","center");?>
 	<a href="<?php print $this->google_url("/go/_files/?file=help.html");?>"><?php print $lang->head_help;?></a>
    <?php $this->DesktopClose3Horizontal($this->config['boxh3_button_top8']);
    ?>
    </td>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top10'],"","","middle","center");?>
 	<a href="<?php print $this->google_url("/go/_files/?file=contact.html");?>"><?php print $lang->head_contact ?></a>
    <?php $this->DesktopClose3Horizontal($this->config['boxh3_button_top10']);
    ?>
    </td>
    	
    <td>

<?php
// Polazuj jeli mapa strony jest wczona
if ($config_map_site->map_site_on=="1"){
?>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top9'],"","","middle","center");?>
<a href="<?php echo $this->google_url("/go/_map_site/index.php",$lang->google_up_link) ?>"><?php print $lang->google_up_link;?></a> 
 <?php $this->DesktopClose3Horizontal($this->config['boxh3_button_top9']);
    ?>
<?php
}
?>
    </td>
	</tr>
    </table>
	
	</td>
    <td style="padding-right: 10px; width: 250px;" align="right">
	 <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top11'],"","","middle","center");?>
 	<?php $t_head->search();  ?>
    <?php $this->DesktopClose3Horizontal($this->config['boxh3_button_top11']);?>
	 
	</td>
	
</tr>
</table> 
<?php
if (($orangegray_theme_config->show_bread_crumps==1) || ($orangegray_theme_config->show_adv_seach==1)) {
// poka cieki powrotu oraz wyszukiwanie zaawansowane, jeli konfiguracja tematu bazowego na to pozwala
?>
	<table width="990" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr>
	<td width="80%" style="padding: 1px 2px 15px 20px;" align="left">
	<?php 
	if($orangegray_theme_config->show_bread_crumps==1){ 
	// poka cieki powrotu, jeli konfiguracja tematu bazowego na to pozwala	
	?>
	<a href="/"><?php print $lang->head_home;?></a><?php $navigationPath->showPath();?>
	<?php } ?>
	</td>
	<td width="20%" style="padding: 1px 40px 15px 10px;" align="right">
	<?php 
	if($orangegray_theme_config->show_adv_seach==1){ 
	// poka cieki wyszukiwanie zaawansowane, jeli konfiguracja tematu bazowego na to pozwala
	?>
	<a href='/go/_search/advanced_search.php'><?php print @$lang->search_advanced;?></a>
	<?php } ?>
	</td>
	</tr>
	</table>
<?php
}else{
	print "<br />";
}
?>
<?php $theme->DesktopCloseBox($theme->config['box_space1']); ?> 
</center>
<!-- end head -->
