<?php
/**
* @version    $Id: theme.inc.php,v 1.5 2007-09-05 17:23:38 michal Exp $
* @package    themes
* @subpackage bluelight
*/
$config->base_theme="orangegray";

class MyTheme Extends Theme {


	function show_check_code($request_vars=array()) {
		global $asc, $check_code, $lang;

		if (!$check_code)
		echo '<p><img src="'.$asc->get_img_path().'" alt=\"\" /></p>';

		echo '<form action="'.$_SERVER['PHP_SELF'].'" id="show_check_code" name="show_check_code" method="post"><p>';
		echo $lang->check_code['code'].'<br /><input type="text" name="code" /> ';
		if (isset($_REQUEST['CHECK_CODE']))
		echo '<p style="color:red; margin: 10px 0">'.$lang->check_code['auth'].'</p>';
		echo '<input type="hidden" name="CHECK_CODE" />';
		foreach ($request_vars as $k => $v)
		{
			if ($k != 'sess_id' && $k != 'clickedFolder' && $k != 'CHECK_CODE' && $k != 'code')
			echo '<input type="hidden" name="'.$k.'" value="'.$v.'" />';
		}
		$this->DesktopOpen3Horizontal($this->config['boxh3_button_newsletter'],"","","middle","center");
		echo "<span style=\"cursor: pointer; cursor: hand;color: #fff\" onclick=\"document.getElementById('show_check_code').submit();\">$lang->send</span>";
		$this->DesktopClose3Horizontal($this->config['boxh3_button_newsletter'],"","","middle","center");
		echo '</p></form>';

		return(0);
	} // end foot()


	/**
    * Wyswietl plik z katalogu _tematu html_files
    */
	function file($file,$lang_name='') {
		global $config;
		global $DOCUMENT_ROOT;

		if($lang_name=="") {
			$lang_name=$config->lang;
		}

		global $_SERVER;
		@include_once("$DOCUMENT_ROOT/themes/_$lang_name/_html_files/$file");

		return(0);
	}


	/**
    * Wywietl pelna sciezke do pliku lub domyslna bitmape systemowa
    * Funkcja ma m.in. na celu wyeliminowanie pojawiania sie okienek z bledami, jeli nie ma zdjcia
    *
    * @author rp@sote.pl m@sote.pl
    * @param string $file_name nazwa pliku
    *
    * @deprecated since 3.0 alfa
    * @return none
    */
	function path($file_name="_img/_mask.gif"){
		return $this->img($file_name);
	} // end path()


	/**
    * Lewa strona
    */
	function left() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="left.html.php";$include_once=true;
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end left()

	/**
    * Prawa strona
    */
	function right() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="right.html.php";
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end right()

	/**
    * Glowna czesc strony, srodek
    */
	function main() {
		$this->theme_file("main.html.php");
		return(0);
	} // end main()



	/**
    * Tytul
    */
	function title($title) {
		print "<table border=1><tr><td>$title</td></tr></table>";
		return(0);
	} // end title()



	/**
    * Wywietl formularz dodania produktu do koszyka.
    * Jeli nie przekazujemy do funkcji adnych opcji (np. L, XL itp), to zostanie wywietlony
    * standardowy koszyk. Jeli dla danego produktu s zdefiniowane jakie opcje, pokae si formularz
    * wybrania opcji + przycisk submit->zamw.
    *
    * @param  int    $id           identyfikator produktu (id z tabeli main)
    * @param  string $xml_options  opcje   
    * @access private
    * @return none
    */
	function _basket($id,$xml_options) {
		if (! empty($xml_options)) return $this->_basketOptions($id,$xml_options);
		$this->_basketSimple($id);
		return;
	} // end _basket()


	/**
    * Formularz wyszukiwania
    *
    * @param string $view rodzaj prezentacji fromularza wyszukiwania "vertical" - pionowo, "horizontal" - poziomo
    */
	function search_form(){
		global $lang;
		global $config;

		// start plugin cd:
		if ($config->cd==1) return;
		// end plugin cd:ss


		print "<div align=\"left\">\n";
		print "<form action=\"/go/_search/full_search.php\" method=\"get\">";
		print "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" >";
		print "<tr>";
		print "<td>";
		print "<input type=\"hidden\" name=\"SEARCH_FORM\" />";
		print "    <input id=\"search_query_words\" type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		//		print "    <input id='search_query_words' type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		print "<div id='magicDiv'><div id='searchHint' class='searchDivHidden' onmouseout=\"hideHints();\" onmouseover=\"showHints();\"></div></div>";
		print "</td>";
		print "<td>";
		print "<input style=\"border-style: none; padding-left: 2px;\" type=\"image\" src=\"";
		$this->desktopPathImage('box_magnifying');
		print "\" />\n";

		print "</td>";
		print "</tr>";
		print "<tr><td></td>";
		print "</tr>";
		print "</table>";
		print "</form>";
		print "</div>\n";
	} // end search_form()



	/**
    * Wywietl wszystkie kategorie przegldajc je w gb rekurencyjnie
    *
    * Funkcja wywouje sam siebie dla kadej podkategorii, ktra nie jest liciem
    *
    * @author lech@sote.pl
    * @param array $sub_arr Tablica kategorii (kopia $__category) lub przekazana podtablica
    * @param int $level Poziom zagniedenia rekurencji
    * @param string $type google -> linki do stron statycznych, "other" -> linki do stron dynamicznych
    *
    * @see config/tmp/category.php
    */
	function categoriesRecursive($sub_arr, $level = 0, $type="other") {
		global $ocnfig;
		reset($sub_arr);
		while (list($key, $val) = each($sub_arr)) {
			$id_cat = $key;
			$subtree = array();
			unset($subtree);
			$subtree = $val;
			if($level > 0) {
				if ((is_array($val)) && (empty($val['name']))) {
					$arr = array_keys($val);
					$subtree = $val[$arr[0]];
					$id_cat = $arr[0];
				}
			}

			if((!empty($subtree['name'])) && (is_array($subtree))) {
				if($level == 0) {
					if ($type=="google") {
						echo "<li><a href='/html/cat_$id_cat".".html'>" . $subtree['name'] . "</a></li>\n";
					} else {
						echo "<li><a href='/go/_category/?idc=$id_cat'>" . $subtree['name'] . "</a></li>\n";
					}
				}
				else {
					if ($type=="google") {
						echo "<li><a href='/html/cat_$id_cat".".html'>" . $subtree['name'] . "</a></li>\n";
					} else {
						echo "<li><a href='/go/_category/?idc=$id_cat'>" . $subtree['name'] . "</a></li>\n";
					}
				}
				if (!empty($subtree['elements'])) {
					$subsubtree = array();
					$subsubtree = $subtree['elements'];
					// print "<ul>\n";
					$this->CategoriesRecursive($subsubtree, $level + 1);
					// print "</ul>\n";
				}
			}
			else {
				if ($type=="google") {
					echo "<li><a href='/html/cat_$val".".html'>" . $key . "</a></li>\n";
				} else {
					echo "<li><a href='/go/_category/?idc=$val'>" . $key . "</a></li>\n";
				}
			}

			//        if (is_array())
		}
		return;
	}

	function orange_gray_basket($rec){
		global $config, $lang;
		//print "<pre>";
		//print_r ($rec->data);
		//print "</pre>";
		if (($config->catalog_mode==0) && ($rec->data['hidden_price']==0)){
			// poka link do koszyka, jeli tryb katalog na to pozwala i produkt nie ma opcji nie pokazuj ceny
			if ($rec->data['ask4price']==0){
				$this->DesktopOpen3Horizontal($this->config['boxh3_basket'],"","","middle","right");
				if (@$config->ajax_basket) {
					print "<a style=\"color: #fff; font-size:11px; font-weight:normal;\" onclick=\"xajax_add2basket(".$rec->data['id'].",0);\" title=\"".$lang->tooltip['basket']."\"  alt=\"\" />$lang->wishlist_th_move</a>";
				} else {
					print "<a href=\"/go/_basket/index.php?id=".$rec->data['id']."\" style=\"color: #fff; font-size:11px; font-weight:normal;\">";
					print $lang->wishlist_th_move."</a>";
				}
				$this->DesktopClose3Horizontal($this->config['boxh3_basket']);
			}else{
				$this->ask4price($rec);
			}
		}
		return;
	}

	/**
    * Wstaw link zapytaj o cene
    *
    * @param string $name nazwa produktu
    * @public
    */
	function ask4price($rec = '') {
		global $lang,$config, $_SESSION, $record_row_short;

		if((!empty($_SESSION['ask4price_list'])) || (!empty($rec))) {
			//        if(1) {
			if(!empty($rec)) {
				$name_url=urlencode($rec->data['name']);
				$producer_url=urlencode($rec->data['producer']);
				$id_url=urlencode($rec->data['user_id']);
				if ($record_row_short!=1){
					$this->DesktopOpen3Horizontal($this->config['boxh3_basket'],"","","middle","right");
				}
				print "<a href='/plugins/_ask4price/?action=add&id=$id_url&name=$name_url&producer=$producer_url' onclick=\"window.open('','window','width=600,height=450,scrollbars=1,menubar=0,status=0,location=0,directories=0,toolbar=0,resizable=1');\" target='window'";
				if ($record_row_short!=1){
					print "style=\"color: white;";
				}
				print "\">".$lang->ask4price."</a>";
				if ($record_row_short!=1){
					$this->DesktopClose3Horizontal($this->config['boxh3_basket']);
				}
			}
			return(0);
		}
	}

} // end class Theme

$theme = new MyTheme;
?>
