<?php
/**
* @version    $Id: theme.inc.php,v 1.2 2007-10-08 20:18:04 marcin Exp $
* @package    themes
* @subpackage bluelight
*/
$config->base_theme="clouds";

class MyTheme Extends Theme {

	function show_check_code($request_vars=array()) {
		global $asc, $check_code, $lang;

		if (!$check_code)
		$form = '<p><img src="'.$asc->get_img_path().'" alt=\"\" /></p>';

		$form .='<form action="'.$_SERVER['PHP_SELF'].'" method="post"><p>';
		$form .='<input type="text" name="code" />';
		if (isset($_REQUEST['CHECK_CODE']))
		$form .= '<p style="color:red; margin: 10px 0">'.$lang->check_code['auth'].'</p>';
		$form .='<input type="hidden" name="CHECK_CODE" />';
		foreach ($request_vars as $k => $v)
		{
			if ($k != 'sess_id' && $k != 'clickedFolder' && $k != 'CHECK_CODE' && $k != 'code')
			$form .= '<input type="hidden" name="'.$k.'" value="'.$v.'" />';
		}
		$form .='<input type="submit" value="'.$lang->send.'" />';

		$form .= '</p></form>';
		echo $form;
		return(0);
	} // end foot()


	/**
    * Wyswietl plik z katalogu _tematu html_files
    */
	function file($file,$lang_name='') {
		global $config;
		global $DOCUMENT_ROOT;

		if($lang_name=="") {
			$lang_name=$config->lang;
		}

		global $_SERVER;
		@include_once("$DOCUMENT_ROOT/themes/_$lang_name/_html_files/$file");

		return(0);
	}


	/**
    * Wywietl pelna sciezke do pliku lub domyslna bitmape systemowa
    * Funkcja ma m.in. na celu wyeliminowanie pojawiania sie okienek z bledami, jeli nie ma zdjcia
    *
    * @author rp@sote.pl m@sote.pl
    * @param string $file_name nazwa pliku
    *
    * @deprecated since 3.0 alfa
    * @return none
    */
	function path($file_name="_img/_mask.gif"){
		return $this->img($file_name);
	} // end path()


	/**
    * Lewa strona
    */
	function left() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="left.html.php";$include_once=true;
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end left()

	/**
    * Prawa strona
    */
	function right() {
		global $rand_prod;
		if (! is_object($rand_prod)) {
			include_once ("include/random_products.inc");
			$rand_prod =  new RandProduct;
		}

		global $DOCUMENT_ROOT;
		$file="right.html.php";
		include ("$DOCUMENT_ROOT/themes/include/theme_file.inc.php");

		return(0);
	} // end right()

	/**
    * Glowna czesc strony, srodek
    */
	function main() {
		$this->theme_file("main.html.php");
		return(0);
	} // end main()

	/**
    * Wywietl formularz dodania produktu do koszyka.
    * Jeli nie przekazujemy do funkcji adnych opcji (np. L, XL itp), to zostanie wywietlony
    * standardowy koszyk. Jeli dla danego produktu s zdefiniowane jakie opcje, pokae si formularz
    * wybrania opcji + przycisk submit->zamw.
    *
    * @param  int    $id           identyfikator produktu (id z tabeli main)
    * @param  string $xml_options  opcje   
    * @access private
    * @return none
    */
	function _basket($id,$xml_options) {
		if (! empty($xml_options)) return $this->_basketOptions($id,$xml_options);
		$this->_basketSimple($id);
		return;
	} // end _basket()

	/**
    * Formularz wyszukiwania
    *
    * @param string $view rodzaj prezentacji fromularza wyszukiwania "vertical" - pionowo, "horizontal" - poziomo
    */
	function search_form(){
		global $lang;
		global $config, $clouds_theme_config;

		// start plugin cd:
		if ($config->cd==1) return;
		// end plugin cd:ss


		print "<div align=\"right\">\n";
		print "<form action=\"/go/_search/full_search.php\" method=\"get\">";
		print "<table border=\"0\">";
		print "<tr>";
		print "<td>";
		print "<input type=\"hidden\" name=\"SEARCH_FORM\" />";
		print "    <input id=\"search_query_words\" type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		//		print "    <input id='search_query_words' type=\"text\" name=\"search_query_words\" onkeyup=\"hintMe();\" size=\"23\" onmouseover=\"showHints();\" onmouseout=\"hideHints();\" />\n";
		print "<div style=\"padding-left:0px;\" id='magicDiv'><div id='searchHint' class='searchDivHidden' onmouseout=\"hideHints();\" onmouseover=\"showHints();\"></div></div>";
		print "</td>";
		print "<td>";
		print "    <input style=\"border-style: none;\" type=\"image\" src=\"";
		//	$this->img('_img/magnifying.gif');
		$this->desktopPathImage('box_magnifying');
		print "\" />\n";
		print "</td>";
		if ($clouds_theme_config->show_adv_seach==1){
			// poka wyszukiwanie zaawansowane, jeli konfiguracja tematu clouds na to pozwala
			print "<td>";
			print "<a href=\"/go/_search/advanced_search.php\">";
			print "<img src=\"";
			$this->img('_img/adv1.gif');
			print "\" style=\"border-style:none;\" alt=\"".$lang->search_advanced."\" />";
			print "</a>";
			print "</td>";
		}
		print "</tr>";
		print "</table>";
		print "</form>";
		print "</div>\n";
	} // end search_form()



} // end class Theme

$theme = new MyTheme;
?>
