<?php
/**
 * Interfejs obiektow ktore beda podpinane do modulu SPorownywarkiCen
 * Obiekty ktore beda korzystac z modulu SPorownywarkiCen _MUSZA_ implementowac ten interfejs
 * 
 * @author michal.prochowski@sote.pl
 * @package SPorownywarkiCen
 * @subpackage SPorownywarkiCenInterface
 * @version $Id: SPorownywarkiCen.interface.inc.php,v 1.2 2007/03/29 10:31:35 michal Exp $
 * @copyright sote 
 */

interface SPorownywarkiCenInterface {

	/**
	 * Generowanie nagwka pliku
	 *
	 */
    public function fileHead();
    
    /**
	 * Generowanie rodka pliku - produkty
	 *
	 */
    public function fileBody();
    
    /**
	 * Generowanie stopki pliku
	 *
	 */
    public function fileFoot();
    
    /**
     * Wyciganie danych z bazy danych
     *
     * @param unknown_type $offset
     */
    public function getDatabase( $offset = 0 );
     
    /**
     * Wyciganie sumy produktw z bazy danych
     * 
     */
    public function getCountDatabase();
    
    /**
     * Funkcja zwracajca nazwe pliku np. ceneo.xml
     *
     */
    public function getFileName();
    
    /**
     * Funkcja zwracajca nazwe moduu np. Ceneo
     *
     */
    public function getModuleName();
}

?>