<?php

/**
 * Makieta klasy z wyjatkami zeby miec co lapac w klasie SProgressBar'a
 *
 * @author lukasz.andrzejak@sote.pl
 * @package SProgressBar
 * @subpackage SProgressBarExceptions
 * @license SOTE
 * @version $Id: SProgress.exceptions.inc.php,v 1.2 2007/02/16 13:55:13 lukasz Exp $
 */

/**
 * Klasa jest taka jak zazwyczaj.
 * Stworzona po to zeby mozna bylo lapac konkretne wyjatki
 * Parametr $code z konstruktora jest interpretowany nastepujaco:
 * 1 = wszystko ok, proces zakonczony, przesunac progres na 100%, pokazac komunikat
 * 2 = blad, powtorzyc operacje z tymi samymi parametrami, nie informowac usera
 * 3 = blad, j/w poinformowac usera o zaistnialej sytuacji
 * 4 = blad, powtorzyc operacje od zera, nie informowac uzytkownika
 * 5 = blad, j/w poinformowac uzytkownika
 * 6 = blad, blokada na ta procedure (ktos inny juz ja wywoluje), abort z skrocona informacja dla uzytkownika
 * 7 = blad, j/w z pelna informacja dla uzytkownika
 * 99 = blad, fatalny wyjatek, proces nie bedzie wznawiany w ogole
 *
 */
class SProgressException extends Exception {
}
?>