<?php
/**
 * Generowanie konfiguracji modulu SAllpay
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SAllpay
 * @version $Id: gen_allpay_config.inc.php,v 1.1 2007/04/27 14:12:24 michal Exp $
 * @copyright sote 
 */

/**
 * Includowanie pliku do generowania konfiguracji
 */
require_once ("include/gen_config.inc.php");

$gen_config = new GenConfig;
$gen_config->config_dir="/config/auto_config/";            // katalog generowanego pliku
$gen_config->config_file="allpay_config.inc.php";    // generowany plik konfiguracyjny
$gen_config->classname="allpayConfig";                 // 1) klasa tworzona w pliku, zawierajaca definicje zmeinnych
$gen_config->ext_classname="";           // jesli w/w klasa jest rozszezeniem klasy, to ext_classname okresla nazwa klasy nadrzednej
$gen_config->class_object="allpay_config";                // obiekt klasy 1)
$gen_config->vars=array(
						"allpay_id",
						"allpay_url",
						"allpay_urlc",
						"allpay_active",
						"allpay_status",
						"allpay_ch_lock",
						"allpay_onlinetransfer",
						"allpay_channel",
						"allpay_type",
						"allpay_txtguzik",
						"allpay_buttontext",
						"allpay_pr_set",
						"allpay_pin"
                       );              // lista zmiennych generowanych w konfiguracji
$gen_config->config=&$config;                      // adres aktualnego obiektu klasy 1)
?>
