<?php
/**
 * Generowanie konfiguracji modulu SEcard
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SEcard
 * @version $Id: gen_ecard_config.inc.php,v 1.1 2007/05/09 15:42:04 michal Exp $
 * @copyright sote 
 */

/**
 * Includowanie pliku do generowania konfiguracji
 */
require_once ("include/gen_config.inc.php");

$gen_config = new GenConfig;
$gen_config->config_dir="/config/auto_config/";            // katalog generowanego pliku
$gen_config->config_file="ecard_config.inc.php";         // nazwa generowanego pliku 
$gen_config->classname="ecardConfig";                    // nazwa klasy generowanego pliku
$gen_config->class_object="ecard_config";                // 1) nazwa tworzonego obiektu klasy w/w 
$gen_config->vars=array(
                           "ecardAccount",
                           "ecardPassword",
                           "ecardReturnUrl",
                           "ecardCancelReturnUrl",
                           "ecardActive",
                           "ecardStatus",
                           "ecardPayType",
                           "ecardAddressCheck",
                           );
$gen_config->config=&$ecard_config;                      // przekaz aktualne wartosci obiektu 1)

?>
