<?php
/**
 * PHP Template:
 * Dodaj nowy rekord do tabeli vat wykonaj komende SQL dodanie rekordu do bazy
 *
 * @author m@sote.pl
 * \@global string $table nazwa tabeli do ktorej dodajemy rekord
 * \@template_version Id: insert.inc.php,v 2.1 2003/03/13 11:28:51 maroslaw Exp
 * @version $Id: insert.inc.php,v 1.2 2007/01/31 12:06:14 michal Exp $
 * @return int $this->id
* @package    options
* @subpackage vat
 */

if (@$this->secure_test!=true) die ("Bledne wywolanie");

global $db,$mdbd,$ile;

function czy($arg){
	if(empty($arg) || strlen($arg)==0)
		return true;
	else
		return false;
}


if(czy($this->data['login']) || 
   czy($this->data['password']) ||
   czy($this->data['password2'])
  )
	$errors = 'Naley wypeni wymagane pola!<br>';

if (strlen(@$errors) == 0){
	
	if ($this->data['password'] != $this->data['password2'])
	$errors.="Wpisane hasa nie pasuj do siebie.<br>";
}

	
if(strlen(@$errors)>1)
	print '<font color="red"><b>' . $errors . '</b></font>';
else{
	

	
require_once ("include/upper_lower_name.inc");   	
require_once ("include/my_crypt.inc");
if (empty($crypt)) $crypt =& new MyCrypt;
// zamien tekst na male litery + pierwsza litera ma byc wielka
$name_ul=upper_lower_name(@$this->data['name']);
$surname_ul=upper_lower_name(@$this->data['surname']);

// zamien na male litery
$email=strtolower(@$this->data['email']);

$crypt_login=$crypt->endecrypt('',$this->data['login'],"");
$crypt_password=md5(@$this->data['password']);
$crypt_firm=$crypt->endecrypt('',@$this->data['firm'],"");
$crypt_name=$crypt->endecrypt('',@$name_ul,"");
$crypt_surname=$crypt->endecrypt('',@$surname_ul,"");
$crypt_street=$crypt->endecrypt('',@$this->data['street'],"");
$crypt_street_n1=$crypt->endecrypt('',@$this->data['street_n1'],"");
$crypt_street_n2=$crypt->endecrypt('',@$this->data['street_n2'],"");
$crypt_postcode=$crypt->endecrypt('',@$this->data['postcode'],"");
$crypt_city=$crypt->endecrypt('',@$this->data['city'],"");
$crypt_nip=$crypt->endecrypt('',@$this->data['nip'],"");
$crypt_phone=$crypt->endecrypt('',@$this->data['phone'],"");
$crypt_email=$crypt->endecrypt('',@$email,'');
$crypt_country=$crypt->endecrypt('',@$this->data['country']);
$crypt_user_description=$crypt->endecrypt('',@$this->data['note']);
	

// zamien tekst na male litery + pierwsza litera ma byc wielka
$cor_name=upper_lower_name(@$this->data['cor_name']);
$cor_surname=upper_lower_name(@$this->data['cor_surname']);

// zamien na male litery
$cor_email=strtolower(@$this->data['cor_email']);

$crypt_cor_firm=$crypt->endecrypt('',@$this->data['cor_firm'],"");
$crypt_cor_name=$crypt->endecrypt('',@$cor_name,"");
$crypt_cor_surname=$crypt->endecrypt('',@$cor_surname,"");
$crypt_cor_street=$crypt->endecrypt('',@$this->data['cor_street'],"");
$crypt_cor_street_n1=$crypt->endecrypt('',@$this->data['cor_street_n1'],"");
$crypt_cor_street_n2=$crypt->endecrypt('',@$this->data['cor_street_n2'],"");
$crypt_cor_postcode=$crypt->endecrypt('',@$this->data['cor_postcode'],"");
$crypt_cor_city=$crypt->endecrypt('',@$this->data['cor_city'],"");
$crypt_cor_country=$crypt->endecrypt('',@$this->data['cor_country'],"");
$crypt_cor_phone=$crypt->endecrypt('',@$this->data['cor_phone'],"");
$crypt_cor_email=$crypt->endecrypt('',@$cor_email,'');

if ( $crypt_cor_firm=="" ) $crypt_cor_firm = "";
if ( $crypt_cor_name=="" ) $crypt_cor_name = "";
if ( $crypt_cor_surname=="" ) $crypt_cor_surname = "";
if ( $crypt_cor_street=="" ) $crypt_cor_street = "";
if ( $crypt_cor_street_n1=="" ) $crypt_cor_street_n1 = "";
if ( $crypt_cor_street_n2=="" ) $crypt_cor_street_n2 = "";
if ( $crypt_cor_postcode=="" ) $crypt_cor_postcode = "";
if ( $crypt_cor_city=="" ) $crypt_cor_city = "";
if ( $crypt_cor_country=="" ) $crypt_cor_country = "";
if ( $crypt_cor_phone=="" ) $crypt_cor_phone = "";
if ( $crypt_cor_email =="" ) $crypt_cor_email = "";

$date_add=date('Y-m-d');
$type = @$this->data['type'];

$query = "INSERT INTO users (type,crypt_login,crypt_password,crypt_firm,crypt_name,crypt_surname,crypt_street,crypt_street_n1,crypt_street_n2,crypt_country,crypt_postcode,crypt_nip,crypt_city,crypt_phone,crypt_email,date_add,crypt_cor_firm,crypt_cor_name,crypt_cor_surname,crypt_cor_street,crypt_cor_street_n1,crypt_cor_street_n2,crypt_cor_country,crypt_cor_postcode,crypt_cor_city,crypt_cor_phone,crypt_cor_email,crypt_user_description,record_version)
		  VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)"; 
	$prepared_query=$db->prepareQuery($query);
        if ($prepared_query) {
            $db->querySetText($prepared_query,1,$type);
            $db->querySetText($prepared_query,2,$crypt_login);
            $db->querySetText($prepared_query,3,$crypt_password);
            $db->querySetText($prepared_query,4,$crypt_firm);
            $db->querySetText($prepared_query,5,$crypt_name);
            $db->querySetText($prepared_query,6,$crypt_surname);
            $db->querySetText($prepared_query,7,$crypt_street);
            $db->querySetText($prepared_query,8,$crypt_street_n1);
            $db->querySetText($prepared_query,9,$crypt_street_n2);
            $db->querySetText($prepared_query,10,$crypt_country);
            $db->querySetText($prepared_query,11,$crypt_postcode);
            $db->querySetText($prepared_query,12,$crypt_nip);
            $db->querySetText($prepared_query,13,$crypt_city);
            $db->querySetText($prepared_query,14,$crypt_phone);
            $db->querySetText($prepared_query,15,$crypt_email);
            $db->querySetText($prepared_query,16,$date_add);
            $db->querySetText($prepared_query,17,$crypt_cor_firm);
            $db->querySetText($prepared_query,18,$crypt_cor_name);
            $db->querySetText($prepared_query,19,$crypt_cor_surname);
            $db->querySetText($prepared_query,20,$crypt_cor_street);
            $db->querySetText($prepared_query,21,$crypt_cor_street_n1);
            $db->querySetText($prepared_query,22,$crypt_cor_street_n2);
            $db->querySetText($prepared_query,23,$crypt_cor_country);
            $db->querySetText($prepared_query,24,$crypt_cor_postcode);
            $db->querySetText($prepared_query,25,$crypt_cor_city);
            $db->querySetText($prepared_query,26,$crypt_cor_phone);
            $db->querySetText($prepared_query,27,$crypt_cor_email);
            $db->querySetText($prepared_query,28,$crypt_user_description);
            $db->querySetText($prepared_query,29,'30');
            $result=$db->executeQuery($prepared_query);

        	$dodanie_ok = true; 	   	    	
    	
		} else die ($db->Error());
	
}
/*
Dostosowuja ten skrypt do odpowiedniego zadania, nalezy edytowac obszarku okreslone jako 
// config
... tu edytujemy
// end
 
*/
?>