<?php
include("plugins/_allegro.pl/include/allegro.inc.php");
include_once("lib/SProgress/SProgress.interface.inc.php");

class SAllegroSendAuc extends SAllegro implements SProgressInterface {

	/**
     * Funkcja liczaca wszystkie jednostki ktore sa do przetworzenia
     * 
     * @return int
     */
    public function progressCountAll()
    {
        return $_SESSION['AllegroSendAuctionsCount'];
    }
    
    /**
     * Funkcja liczaca ile jest jednostek w pojedynczym pakiecie
     * 
     * @return int
     */
    public function progressCountPackage()
    {
    	return 1;
    }
    
    /**
     * Ostatni element, ktory byl przetworzony w poprzednim wywolaniu
     *      
     * @param int $last
     * @return int
     */
    public function progressNext($last=0)
    {
    	global $lang,$sess;

    	if (empty($_SESSION['AllegroSendAuctionsCount']))
    	{
    		throw new SProgressException($lang->allegro_send_auction['empty'],"1");
    	}
    	$this->setMessage($lang->allegro_send_auction['send']);
    	$this->sendAuction($_SESSION['AllegroSendAuctions'][$last]);
    	
    	$next = $last+1;
        if ($next == $_SESSION['AllegroSendAuctionsCount']) 
        {	
        	$sess->unregister("AllegroSendAuctions");
        	$sess->unregister("AllegroSendAuctionsCount");
        	$this->endMessage($lang->allegro_send_auction['end_ok']);
        }
    	else return $next;
    }
}

?>