<?php

class desktop{

	public $config=array();

	/**
     * Kod HTML wywietlajcy ikony po prawej stronie pola Desktop.
     *
     * @var string
     */
	private $_icons='';


	var $last_frame = '';
	function __construct(){
		global $theme;
		//global $$type;
		ThemeAdmin::theme_file("config/decs.config.php");
		//include("new40/config/decs.config.php");
		//$this->config=$$type;
	}

	function BorderType($type){
		$this->config=$type;
	}

	/**
     * Ustaw ikony wywietlane wraz z obszarem desktop. 
     * Ikony(kod HTML) zostan wywietlone przy wywoaniu desktopClose()
     *
     * @param string $icons
     * @return void
     * @author m@sote.pl
     */
	function setIcons($icons) {
		$this->_icons=$icons;
	}

	/**
     * Wywietl zdefiniowane ikony.
     * @see setIcons()
     */
	function showIcons() {
		if ($this->_icons!='') print $this->_icons;
	}

	/**
     * Wycz wywietlanie icons przy kolejnym wywietleniu obszaruy dektop.
     */
	function unsetIcons() {
		$this->_icons='';
	}



	/**
     * Wywietl obszar typu desktop (ramka).
     *
     * @param int $width
     * @param int $height
     * @param string $valign
     * @param string $align
     */
	function desktop_open($width='',$height='',$valign='',$align=''){
		global $theme;
		global $config;
		global $border_img1;

		if (!$this->config){
			$desctopData=$border_img1;
		}else{
			$desctopData=$this->config;
		}
		$this->last_frame = $desctopData;
		$prefix=ThemeAdmin::img('_img/lt_glowna.jpg',false);
		$prefix=dirname($prefix);
		print "<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"$width\" height=\"$height\">";
		print "<tr>";
		print "<td width=\"$desctopData[0]\" height=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[1]);\"></td>";
		print "<td style=\"background-image:url($prefix/$desctopData[2]);\"></td>";
		print "<td width=\"$desctopData[0]\" height=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[3]);\"></td><td></td>";
		print "</tr>";
		print "<tr>";
		print "<td width=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[4]);\"></td>";
		print "<td valign=\"$valign\" align=\"$align\"
		if($desctopData[5]{0}==\"#\"){
		style=\"background-image:url($prefix/$desctopData[5]);\";
		}else{
		bgcolor=\"$desctopData[5]\";
		}
		>";        
		$this->config=$border_img1;
	}

	function desktop_close(){
		global $theme;
		global $config;

		global $border_img1;

		if (!$this->config){
			$desctopData=$border_img1;
		}else{
			$desctopData=$this->config;
		}

		if (($this->last_frame))
		{
			$desctopData = $this->last_frame;
		}

		$prefix=ThemeAdmin::img('_img/lt_glowna.jpg',false);
		$prefix=dirname($prefix);

		print "</td>";
		print "<td width=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[6]);\"></td>";

		print "<td valign=top align=\"left\">";
		$this->showIcons();
		print "</td>";

		print "</tr>";
		print "<tr>";
		print "<td width=\"$desctopData[0]\" height=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[7]);\"></td>";
		print "<td style=\"background-image:url($prefix/$desctopData[8]);\"></td>";
		print "<td width=\"$desctopData[0]\" height=\"$desctopData[0]\" style=\"background-image:url($prefix/$desctopData[9]);\"></td><td></td>";
		print "</tr>";
		print "</table>";
		$this->config=$border_img1;
		$this->last_frame = '';

		// wyzeruj icons
		$this->unsetIcons();
	}

	function show_icon($src,$img,$desription){
		print "<a href=\"$src\" title='$desription'><img src=\"$img\" border=\"0\"></a>";
	}

	function hintP($type,$desription,$position='left'){

		$this->hintDescription($type,$desription,$position);
	}

	function hintR($type,$desription,$position='left'){

		return	$this->hintDescriptionReturn($type,$desription,$position);
	}

	function hintDescription($type,$desription,$position='left',$width='180'){

		global $theme;
		global $config;

		$prefix=ThemeAdmin::img('_img/lt_glowna.jpg',false);
		$prefix=dirname($prefix);

		$img_info=$prefix."/"."info.gif";
		$img_system=$prefix."/"."uwaga.gif";
		$img_error=$prefix."/"."blad.gif";

		$img_middle_top=$prefix."/"."middle_top.gif";
		$img_right_top=$prefix."/"."right_top.gif";

		$img_left_middle=$prefix."/"."left_middle.gif";
		$img_right_middle=$prefix."/"."right.gif";

		$img_left_bottom=$prefix."/"."left_bottom.gif";
		$img_middle_bottom=$prefix."/"."bottom.gif";
		$img_right_bottom=$prefix."/"."right_bottom.gif";

		$helphint=$config->hint;
		if($helphint=='1'){

			if($type==1){
				if ($position=='right')
				{
					$img_right_top=$img_info;
					$img_info=$prefix."/"."left_top.gif";
				}
				print $position;
				print '<table border=0 cellpadding=0 cellspacing=0>';

				print '<tr>';
				print '<td background='.$img_info.'>';

				print '</td>';
				print '<td background='.$img_middle_top.' height=17>';
				print '</td>';
				print '<td background='.$img_right_top.' width=17 height=17>';
				print '</td>';
				print '</tr>';

				print '<tr>';
				print '<td background='.$img_left_middle.' width=17 height=17>';
				print '</td>';
				print '<td bgcolor=#ffffff width='.$width.'>';
				print $desription;
				print '</td>';
				print '<td background='.$img_right_middle.' width=17 height=17>';
				print '</td>';
				print '</tr>';

				print '<tr>';
				print '<td background='.$img_left_bottom.' width=17 height=17>';
				print '</td>';
				print '<td background='.$img_middle_bottom.' height=17>';
				print '</td>';
				print '<td background='.$img_right_bottom.' width=17 height=17>';
				print '</td>';
				print '</tr>';

				print '</table>';
			}
		}

		if($type==2){
			if ($position=='right')
			{
				$img_right_top=$img_system;
				$img_system=$prefix."/"."left_top.gif";
			}

			print $position;
			print '<table border=0 cellpadding=0 cellspacing=0>';

			print '<tr>';
			print '<td background='.$img_system.'>';

			print '</td>';
			print '<td background='.$img_middle_top.' height=17>';
			print '</td>';
			print '<td background='.$img_right_top.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '<tr>';
			print '<td background='.$img_left_middle.' width=17 height=17>';
			print '</td>';
			print '<td bgcolor=#ffffff width='.$width.'>';
			print $desription;
			print '</td>';
			print '<td background='.$img_right_middle.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '<tr>';
			print '<td background='.$img_left_bottom.' width=17 height=17>';
			print '</td>';
			print '<td background='.$img_middle_bottom.' height=17>';
			print '</td>';
			print '<td background='.$img_right_bottom.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '</table>';
		}

		if($type==3){
			if ($position=='right')
			{
				$img_right_top=$img_error;
				$img_error=$prefix."/"."left_top.gif";
			}
			print $position;
			print '<table border=0 cellpadding=0 cellspacing=0>';

			print '<tr>';
			print '<td background='.$img_error.'>';

			print '</td>';
			print '<td background='.$img_middle_top.' height=17>';
			print '</td>';
			print '<td background='.$img_right_top.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '<tr>';
			print '<td background='.$img_left_middle.' width=17 height=17>';
			print '</td>';
			print '<td bgcolor=#ffffff width='.$width.'>';
			print $desription;
			print '</td>';
			print '<td background='.$img_right_middle.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '<tr>';
			print '<td background='.$img_left_bottom.' width=17 height=17>';
			print '</td>';
			print '<td background='.$img_middle_bottom.' height=17>';
			print '</td>';
			print '<td background='.$img_right_bottom.' width=17 height=17>';
			print '</td>';
			print '</tr>';

			print '</table>';

		}
	}

	function hintDescriptionReturn($type,$desription,$position='left',$width='180'){

		global $theme;
		global $config;

		$prefix=ThemeAdmin::img('_img/lt_glowna.jpg',false);
		$prefix=dirname($prefix);

		$img_info=$prefix."/"."info.gif";
		$img_system=$prefix."/"."uwaga.gif";
		$img_error=$prefix."/"."blad.gif";

		$img_middle_top=$prefix."/"."middle_top.gif";
		$img_right_top=$prefix."/"."right_top.gif";

		$img_left_middle=$prefix."/"."left_middle.gif";
		$img_right_middle=$prefix."/"."right.gif";

		$img_left_bottom=$prefix."/"."left_bottom.gif";
		$img_middle_bottom=$prefix."/"."bottom.gif";
		$img_right_bottom=$prefix."/"."right_bottom.gif";

		$helphint=$config->hint;
		if($helphint=='1'){

			if($type==1){
				if ($position=='right')
				{
					$img_right_top=$img_info;
					$img_info=$prefix."/"."left_top.gif";
				}

				$bufor=$position.'
            	<table border=0 cellpadding=0 cellspacing=0>

                <tr>
                <td background='.$img_info.'>
                </td>
                <td background='.$img_middle_top.' height=17>
                </td>
                <td background='.$img_right_top.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_middle.' width=17 height=17>
                </td>
                <td bgcolor=#ffffff width='.$width.'>'.$desription.'</td>
                <td background='.$img_right_middle.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_bottom.' width=17 height=17>
                </td>
                <td background='.$img_middle_bottom.' height=17>
                </td>
                <td background='.$img_right_bottom.' width=17 height=17>
                </td>
                </tr>

                </table>';
				return $bufor;
			}
		}

		if($type==2){
			if ($position=='right')
			{
				$img_right_top=$img_system;
				$img_system=$prefix."/"."left_top.gif";
			}
			$bufor=$position.'
            	<table border=0 cellpadding=0 cellspacing=0>

                <tr>
                <td background='.$img_system.'>
                </td>
                <td background='.$img_middle_top.' height=17>
                </td>
                <td background='.$img_right_top.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_middle.' width=17 height=17>
                </td>
                <td bgcolor=#ffffff width='.$width.'>'.$desription.'</td>
                <td background='.$img_right_middle.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_bottom.' width=17 height=17>
                </td>
                <td background='.$img_middle_bottom.' height=17>
                </td>
                <td background='.$img_right_bottom.' width=17 height=17>
                </td>
                </tr>

                </table>';
			return $bufor;
		}

		if($type==3){
			if ($position=='right')
			{
				$img_right_top=$img_error;
				$img_error=$prefix."/"."left_top.gif";
			}
			$bufor=$position.'
            	<table border=0 cellpadding=0 cellspacing=0>

                <tr>
                 <td background='.$img_error.'>
                </td>
                <td background='.$img_middle_top.' height=17>
                </td>
                <td background='.$img_right_top.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_middle.' width=17 height=17>
                </td>
                <td bgcolor=#ffffff width='.$width.'>'.$desription.'</td>
                <td background='.$img_right_middle.' width=17 height=17>
                </td>
                </tr>

                <tr>
                <td background='.$img_left_bottom.' width=17 height=17>
                </td>
                <td background='.$img_middle_bottom.' height=17>
                </td>
                <td background='.$img_right_bottom.' width=17 height=17>
                </td>
                </tr>

                </table>';
			return $bufor;

		}
	}

	function run_tooltip()
	{
		print '
<script type="text/javascript">

	onload=function(d,E,b,i,a){
	  d=document;
	  E=d.documentElement;
	  b=d.body;
	  if(!E)return;
	  
	  for(i=0;a=(d.all?b.all:b.getElementsByTagName("*"))[i];i++){

	  	if(a.title){
	      a.t=d.createElement("div");
	      with(a.t){
	      	className="tooltip";
	      	
	      	var buf=a.title.substr(0,4);
			
	      	a.t.modtop=0;
	      	a.t.modleft=0;
			
	      	var txtleft="left";
			var txtright="righ";
			var txtbottom="bott";
			
	      	if(buf!=txtleft && buf!=txtright && buf!=txtbottom){
			innerHTML=a.title;
	      	}
	      	
			if(buf==txtleft){
			a.t.modleft=0;
			innerHTML=a.title.substring(4);
	      	}
	      	
			if(buf==txtright){
			a.t.modleft=-230;
			innerHTML=a.title.substring(5);
			}
			
			if(buf==txtbottom){
			a.t.modtop=-120;
			innerHTML=a.title.substring(6);
			}
	      	
	      	 	
	        
	      }
	      
	      a.onmouseover=function(e){
	        with(this){title="";onmousemove(e)}
	        b.appendChild(this.t)
	      }
	      
	      a.onmouseout=function(){
	        with(this){title=t.innerHTML}
	        b.removeChild(this.t)
	      }
	      
	      a.onmousemove=function(e){
	        e=e||event;with(this.t.style){
	         left=e.clientX+(E.scrollLeft||b.scrollLeft)+this.t.modleft+"px"
	         top=e.clientY+(E.scrollTop||b.scrollTop)+this.t.modtop+"px"
	        }
	      }
	    
	  	}
	  	
	  }
	}
</script> 
';
	}

}
?>
