<?php
/**
* Generowanie pliku hase do  .htaccess na podstawie danych z tabeli admin_users.
* Generowanie sum kontrolnych dla logujcych sie utkownikow.
*
* @author  m@sote.pl
* @version $Id: save_params.inc.php,v 1.2 2007-07-04 13:45:51 marek Exp $
* @package    admin_users
*/

global $DOCUMENT_ROOT;
global $ftp;
global $gen_config;

/**
* Utworz plik z loginem i hasem dostpu do Auth Basic .htaccess
*/
require_once("include/htaccess.inc.php");
/**
* Obsuga kodowania.
*/
require_once ("include/my_crypt.inc");
$my_crypt = new MyCrypt;
/**
* Obsuga generowania pliku konfiguracyjnego uytkwonika.
*/
require_once("include/gen_user_config.inc.php");

// start odczytaj liste uzytkownikow i odkoduj hasla, wynik zapamietaj w tablicy $htaccess_users=array("login"=>"haslo",...)
$query="SELECT login,password FROM admin_users WHERE active=1 ORDER BY id";
$result=$db->Query($query);
if ($result!=0) {
    $num_rows=$db->NumberOfRows($result);
    $i=0;
    $htaccess_users=array();
    $auth_sign_password=array();
    while ($i<$num_rows) {
        $login=$db->FetchResult($result,$i,"login");
        $crypt_password=$db->FetchResult($result,$i,"password");
        $password=$my_crypt->endecrypt($__secure_key,$crypt_password,"de");
        $htaccess_users[$login]=$password;
        $auth_sign_users[md5($login)]=$login;
        $i++;
    } // end while
} else die ($db->Error());
// end

//
//print "<pre>";
//print_r($htaccess_users);
//print "</pre>";

// zapisz pliki z haslami do htaccess
$ftp->connect();
$htaccess = new htaccess;
$htaccess->gen_passwd_file($htaccess_users,"passwd.www");
$tmp_file="$DOCUMENT_ROOT/setup/tmp/passwd.www";
$ftp->put($tmp_file,$config->ftp_dir."/config/etc","passwd.www");
unlink ($tmp_file);


// zapisz plik konfiguracyjny z sumami kontrolnymi
$gen_config->gen(array("auth_sign"=>$auth_sign_users));

$ftp->close();
?>
