<?php
/**
* Konfiguracja sklepu, tryb katalogu.
* Skrypt odczytuje dane z formularza i zapisuje odpowiednie wartoci w pliku konfiguracyjnym uytkownika.
* Plik do ktrego zapisywane s dane: config/auto_config/user_config.inc.php
*
* @author  krzys@sote.pl
* 
* @package    configure
* @subpackage configure-catalog
*/
$global_database=true;
$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];

/**
* Nagwek skryptu.
*/
require_once ("../../../include/head.inc");
/**
* Obsuga generowania pliku konfiguracyjnego uytkownika.
*/
require_once("include/gen_product_conf.inc.php");

if (! empty($_POST['item'])) {
    $configure=$_POST['item'];
}

// naglowek
$theme->head();
$theme->page_open_head();

// zapisz dane w pliku konfiguracyjnym usera
if (! empty($_POST['update'])) {
    $ftp->connect();
      
    if (empty($configure['add_1_info'])) $configure['add_1_info']=0;
    else $configure['add_1_info']=1;
    if (empty($configure['add_1_record'])) $configure['add_1_record']=0;
    else $configure['add_1_record']=1;
    if (empty($configure['add_2_info'])) $configure['add_2_info']=0;
    else $configure['add_2_info']=1;
    if (empty($configure['add_2_record'])) $configure['add_2_record']=0;
    else $configure['add_2_record']=1;
    if (empty($configure['add_3_info'])) $configure['add_3_info']=0;
    else $configure['add_3_info']=1;
    if (empty($configure['add_3_record'])) $configure['add_3_record']=0;
    else $configure['add_3_record']=1;

    $gen_config->gen(array(
                    "add_1_info"=>$configure['add_1_info'],
                    "add_1_record"=>$configure['add_1_record'],
                    "add_2_info"=>$configure['add_2_info'],
                    "add_2_record"=>$configure['add_2_record'],
                    "add_3_info"=>$configure['add_3_info'],
                    "add_3_record"=>$configure['add_3_record'],
                    "add_1_name"=>$configure['add_1_name'],
                    "add_2_name"=>$configure['add_2_name'],
                    "add_3_name"=>$configure['add_3_name'],
                    )
                 );
    
    $ftp->close();
    
    $config_product->add_1_info=$configure['add_1_info'];
    $config_product->add_1_record=$configure['add_1_record'];
    $config_product->add_2_info=$configure['add_2_info'];
    $config_product->add_2_record=$configure['add_2_record'];
    $config_product->add_3_info=$configure['add_3_info'];
    $config_product->add_3_record=$configure['add_3_record'];
    $config_product->add_1_name=$configure['add_1_name'];
    $config_product->add_2_name=$configure['add_2_name'];
    $config_product->add_3_name=$configure['add_3_name'];
    
}

  // end config


include_once ("./html/product_conf.html.php");

$theme->page_open_foot();

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
