<?php
/**
 * Usun produkt i kategorie, jesli wybrany produkt, jest ostatnim produktem z danej kategorii
 *
 * @author  m@sote.pl
 * @version $Id: delete.inc.php,v 1.3 2007-09-24 15:23:47 marcin Exp $
 * @package soteesklep
 * \@lang
 */
require_once('include/image.inc');
require_once('include/ftp.inc.php');
class Delete {

	/**
     * Usun pusta kategorie
     * @deprecated since 3.0
     */
	function del_cat($column,$id_column) {
		retrun;
	} // end del_cat()

	/**
     * Usun produkt.
     * Konstruktor
     *
     * @param int $id id usuwanego produktu
     */
	function delete($id="") {
		global $lang,$db, $image;
		global $ftp;
		global $DOCUMENT_ROOT;
		global $config;
		$lang_id = @$config->lang_id;

		if (empty($id)) return;

		$query="SELECT user_id,name_L$lang_id,photo_uid,photo_count,producer,price_brutto,id_category1,id_category2,id_category3,id_category4,id_category5,id_producer
                       FROM main WHERE id=?";
		$prepared_query=$db->PrepareQuery($query);
		if ($prepared_query) {
			$db->QuerySetText($prepared_query,1,$id);
			$result=$db->ExecuteQuery($prepared_query);
			if ($result!=0) {
				$num_rows=$db->NumberOfRows($result);
				if ($num_rows>0) {
					$user_id=$db->FetchResult($result,0,"user_id");
					$name=$db->FetchResult($result,0,"name");
					$producer=$db->FetchResult($result,0,"producer");
					$price_brutto=$db->FetchResult($result,0,"price_brutto");

					$id_columns['id_producer']=$db->FetchResult($result,0,"id_producer");
					$id_columns['id_category1']=$db->FetchResult($result,0,"id_category1");
					$id_columns['id_category2']=$db->FetchResult($result,0,"id_category2");
					$id_columns['id_category3']=$db->FetchResult($result,0,"id_category3");
					$id_columns['id_category4']=$db->FetchResult($result,0,"id_category4");
					$id_columns['id_category5']=$db->FetchResult($result,0,"id_category5");
					$photo_uid=$db->FetchResult($result,0,"photo_uid");
					$photo_count=$db->FetchResult($result,0,"photo_count");

					// usun produkt
					for($i=1; $i <= $photo_count; $i++)
					{
						$files=$image->get_file($i."_".$photo_uid,array("product_orig","product_big", "product_small", "product_info", "product_icon", "product_thumb", "product_gallery","product_pasaz"));


						$ftp->connect();
						foreach($files as $file_name)
						{
							$file_name=pathinfo($file_name);
							$dirname=substr($file_name['dirname'],strpos($file_name['dirname'],"/htdocs/photo/"));
							$ftp->delete($config->ftp['ftp_dir'].$dirname, $file_name['basename']);
						}
					}
					$query="DELETE FROM main WHERE id=?";
					$prepared_query=$db->PrepareQuery($query);
					if ($prepared_query) {
						$db->QuerySetText($prepared_query,1,$id);
						$result=$db->ExecuteQuery($prepared_query);
						if ($result!=0) {
							
							// usuwanie stanw magazynowych
							$prepared_query = $db->PrepareQuery('DELETE FROM depository WHERE user_id_main=?');
							if ($prepared_query) {
								$db->QuerySetText($prepared_query,1,$user_id);
								$result = $db->ExecuteQuery($prepared_query);
							} else die ($db->Error());
							
							print "&nbsp; &nbsp; $name $producer $price_brutto - ".$lang->deleted."<br>";
						} else die ($db->Error());
					} else die ($db->Error());

					// usun opis html do produktu, jesli taki opis istnieje
					if (file_exists("$DOCUMENT_ROOT/../htdocs/products/$user_id.html.php")) {
						$ftp->connect();  // polacz sie dopiero wtedy, kiedy jest choc jeden opis html do usuniecia
						$ftp->delete($config->ftp['ftp_dir']."/htdocs/products","$user_id.html.php");
					}
				} else {
					print $lang->delete_not_found." id=$id<BR>";
				}
			} else die ($db->Error());
		} else die ($db->Error());

		return(0);
	} // end delete

} // end class Delete

$delete = new Delete;
?>