<?php
/**
* Klasa obsugujca import danych do sklepu z wersji 3.0
*
* @author  m@sote.pl
* @version $Id: soteesklep30.inc.php,v 1.1.1.1 2006/09/02 13:34:45 marek Exp $
* @package importshop
*/

/**
* Klasa z funkcjami globalnymi dot. importu danych. Funkcje niezalene od rodzaju programu, z ktrego simportowane dane.
*/
require_once ("./include/importshop_main.inc.php");
require_once ("include/my_crypt.inc");

$__import_class="SOTEeSKLEP30";

/**
* Import danych z SOTEeSKLEP 3.0
* @package importshop
*/
class SOTEeSKLEP30 extends ImportShopMain {

    var $name="soteesklep30";

    /**
    * Konstruktor    
    */
    function SOTEeSKLEP30() {
        require_once ("./config/$this->name"."-config.inc.php");
        return true;
    } // end SOTEeSKLEP30()

    /**
    * Jeli id_curreny jest>1 to wstaw warto 0, jeli id_currency=1 to skopiuj warto
    *
    * @param mixed $value
    * @return float
    */
    function changeOrZero($value) {
        if ($this->values['id_currency']==1) {
            return $value;
        } else return 0;
    } // end changeOrZero()

    /**
    * Oblicz sume kontrol dla sowa bazowego. 
    *    
    * @return string 
    */
    function dictionaryKeyMd5() {
        if (! empty($this->values['wordbase'])) {
            return md5($this->values['wordbase']);
        }
    } // end dictionary_key_md5()

    /**
    * Generuj sum kontroln potrzebn w celu uniemoliwienia dodania dwch identycznych rekordow, tj. rabatw 
    *
    * @param string $value wartoc aktualna checksum
    * @return string
    */
    function discountChecksum($value) {
        // suma kontrolna potrzebna w celu uniemozliwienia dodania dwoch identycznych rekordow
        if (empty($value)) {
            return md5($this->values['idc_name'].$this->values['producer_name']);
        } else return $value;
    } // end discountChecksum()

    /**
     *  Crypt login - jesli login jest pusty nadaj login jako ID
     * 
     *  @param string $value warto aktualna checksum
     *  @return string
     */
     function crypt_login($value) {
	global $my_crypt;
	if (empty($value)) {
        return $my_crypt->endecrypt("",$this->values['id']);	
	} else return $value;
     } // end crypt_login()
    
     /**
      * Zwraca id dodanej dla uytkownika przechowalni
      *
      * @return int
      */
     function id_wishlist() {
     	global $db;
     	$empty_basket='a:1:{i:0;s:5:"Blank";}';
     	$sql="INSERT INTO basket (data) VALUES ('$empty_basket')";
     	$result=$db->Query($sql);
     	if ($result!=0) {
     		$sql="SELECT max(id) FROM basket";
			$res=$db->Query($sql);
			$id_wishlist=$db->FetchResult($res,0,'max(id)');
			return $id_wishlist;
     	}
     	return (0);
     }
} // end class SOTEeSKLEP30
?>
