<?php
/**
* Upgrade pakietu. Automatyczna aktualizacja programu.
* Strona z formularzem zaczenia pakietu upgrade oraz odczytanie zaczonego pliku.
*
* @author m@sote.pl
* @version $Id: index.php,v 1.2 2007-10-08 14:20:53 michal Exp $
* @package    upgrade
*/

// naglowek php
$global_database=true;$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../include/head.inc");
// end naglowek php

/**
* Dodaj obsug sprawdzania wersji bazy danych i sklepu
*/
require_once ("./include/check_version.inc.php");

/**
 * KlAsa glown obslugI UPGRADE
 */
require_once ("./include/upgrade.inc.php");
$upgrade =& new DiffUpgrade('');


// naglowek
$theme->head();
$theme->page_open_head();
print "<script>";
include_once ("./html/script.js");
print "</script>";

include_once ("./include/menu.inc.php");
$theme->bar($lang->upgrade_title);


// usu pliki konfiguracyjne pakietu instalacyjnego
require_once ("include/ftp.inc.php");
$ftp->connect();
print "<p />\n";

$file_md5="$DOCUMENT_ROOT/../sum.md5";

if (empty($_FILES['upgrade_pkg']['name'])) {
    // formularsz html do zaladowania pakietow
    include_once ("./html/upgrade.html.php");
    DiffUpgrade::showUpgradeList();
} else {
    // nazwa zaczonego pliku
    $file_name=$_FILES['upgrade_pkg']['name'];

    /**
     * sprawdzamy czy plik ma poprawna nazwe
     */

    if (! ereg("\.tar\.gz$",$file_name)) {
        // wystapil blad w nazwie, wyswietl info i formularz do zalaczenia pliku jeszcze raz
        print "<font color=\"red\">$lang->upgrade_error_ext</font>\n";
        include_once ("./html/upgrade.html.php");

    } else {

        /**
         * Plik z aktualizcja zostal zalaczony.        
         */
        $file_tmp=$_FILES['upgrade_pkg']['tmp_name'];
        print "<p />\n".$lang->upgrade_files_simulation."<p .>\n";

        /**
         * Zapamietaj w admin/upgrade pakiet. Rozpakuj upgrade_XXX.spk.gz         
         * Zapisz pakiet tar.gz w ./admin/upgrade    
         */        
        if ($ftp->put($file_tmp,$config->ftp['ftp_dir']."/admin/upgrade/",$file_name)) {

            /**
             * Rozpakuj pakiet do admin/tmp/upgrade_[code]_file.php
             */
            require_once("Packer/packer.php");
			if($shop->home == 1) $file_tmp = "/upgrade/".$file_name;
			$packer =& new packer($file_tmp);
			$packer->unpack();
            // zapisz filestruct do pliku admin/upgrade
            $fd=fopen("../../tmp/filestruct.php","w+");
            $code="
            <?php 
            \$upgrade_filestruct='".serialize($packer->filestruct)."';
            ?>";
            fwrite($fd,$code,strlen($code));
            fclose($fd);

            // Przejrzyli liste plikow wyszukaj 000-config.php
            reset($packer->filestruct);
            foreach ($packer->filestruct as $p_file_tmp=>$p_file) {
                if (ereg("000-config.php",$p_file)) {
                	if (!$shop->home) $fx="$DOCUMENT_ROOT/../admin/tmp/$p_file_tmp";
                	else $fx="/tmp/$p_file_tmp";
                    $fd=fopen($fx,"r");
                    $data_ver=intval(trim(fread($fd,filesize($fx))));
                    fclose($fd);
                    define("PATCH_VERSION",$data_ver);
                }
            }
            reset($packer->filestruct);
            // print "<pre>";print_r ($packer->filestruct);print "</pre>";

            /**
             * Sprawd wersje pakietu aktualizacyjnego
             */             
            if (@$upgrade->checkVersion(PATCH_VERSION)) {

                /**
                 * Przegladamy rozpakowane pliki.
                 */
                print "<table cellspacing=\"0\" cellpadding=\"0\">\n";
                $result_upgrade=1;
                foreach ($packer->filestruct as $file_tmp_pk=>$file_path_pk) {
                    if ((! ereg("~",$file_path_pk)) && ($file_path_pk!="ZZZZ") && ($file_path_pk!="000-config.php")) {

                        // weryfikuj sum kontroln
                        if ($upgrade->checksum($file_path_pk)) {
                            // poprawna suma kontrolna
                            print "<tr>\n";
                            print "<td>";$theme->point("g");print "</td>";
                            print "<td>";print "&nbsp;".$file_path_pk;print "</td>\n";
                            print "</tr>\n";
                        } else {
                            // bledna suma kontrolna
                            $result_upgrade=0;
                            print "<tr>\n";
                            print "<td>";$theme->point("r");print "</td>";
                            print "<td>";print "&nbsp;".$file_path_pk;print "</td>\n";
                            print "</tr>\n";

                        }
                    }
                }
                print "</table>\n";
                print "<p />\n";


                if ($result_upgrade==1) {
                    print "<form action=upgrade.php>\n";
                    print "<input type=hidden name=upgrade_pkg value=\"$file_name\">\n";
                    print "<p />\n";
                    print "<input type=submit value=\"$lang->upgrade_update\">\n";
                    print "</form>\n";
                } else {
                    print "<font color=\"red\">$lang->upgrade_update_not_allowed</font>\n";
                }

                $upgrade->legend();
            }
        } else {
            die ($lang->upgrade_error_save_pkg);
        }

        // end
    }
}

$ftp->close();

$theme->page_open_foot();

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>
