<?php
/**
* Generowanie opcji produktu. Klasa pusta.
*
* @author  krzys@sote.pl 
* @version $Id: empty.inc,v 1.1.1.1 2006/09/02 13:56:16 marek Exp $
* @package xml_options
* @subpackage xml_default
*/

/**
* Obsuga generowania opcji do produktu - opcje brak
* @package xml_options
* @subpackage xml_defualt
*/
class XML_Default {
    
    /**
    * @var string wartoc pola xml_options z tabeli main (dla danego produktu)
    */
    var $data;
    
    /**
    * Wywietl opcje produktu. Funkcja wywoywana jest w info, jako element formularza dodania do koszyka.
    * 
    * 
    * Jeli wygenerujemy element formularza o nazwie options[nazwa], to system automatycznie
    * doda warto tego elelemntu jako opcj produktu. Moemy w ten sposb generowa wiele opcji
    * dla 1 produktu. Np. kolor, rozmiar itp. stworzone z elementw text,select,radio,checkbox itp.
    *
    * @return none
    */
    function show() {
        return;
    } // end show()
    
    /**
    * Oblicz cen produktu w zalenoci od wybranych opcji
    *
    * Jeli dany modu nie zmienia ceny, to nakey zwrci warto odebrana jako parametr
    *
    * @param  float $price_brutto cena produktu 
    * @return float cena produktu z uwzgldnieniem atrybutw/opcji
    */
    function price($price_brutto) {
        return $price_brutto;
    } // end price()
    
    /**
    * 
    *    
    * @return boll   true - uproszczona edycja jest dostepna, false w p.w.
    */
    function checkSimpleEdit() {
        return true;
    } // end checkSimpleEdit()
    
} // end XML_Default

/**
* Klasa pomocnicza
* @package xml_options
* @subpackage xml_default
* @ignore
*/
class MyXMLOptions extends XML_Default {};
$my_xml_options =& new MyXMLOptions;

?>

