<?php
/**
* Wyswietl plik html z themes/_pl/_html_files
*
* @author  m@sote.pl
* @version $Id: print.php,v 1.2 2007-07-05 13:22:40 krzys Exp $
* @package    files
*/

$global_database=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
/* Nagwek skryptu */
include_once ("../../../include/head.inc");

$config->theme="print";
$config->theme_dir();
// naglowek
$theme->head();

/**
* Wyiwetlanie odpowiedniego pliku HTML
* @package files
*/
class File {

    /**
    * Funckja wyswietla zawrtosc pliku okreslonego w parametrze o ile takowy istnieje
    *
    * \@global string $file - plik znajdujacy sie w katalogu themes/_(lang)/(theme_name)/html_file
    * \@global array $_REQUEST
    * \@global object $config - konfiguracja glowna
    * \@global object $theme - obiekt klasy z tematem
    *
    * @return bool true - udao si poprawnie wywietli plik, false w p.w.
    */
    function show_file() {
        global $_REQUEST;
        global $config;
        global $theme;
        global $logs;
        global $DOCUMENT_ROOT;

        // odczytaj przekazany(e) parametr(y)
        $file="";
        if (! empty($_REQUEST["file"])) {
            $file=$_REQUEST['file'];
            
            if (! empty ($config->rewrite)){
                $file.=".html";
            }
            /**
             * Security #6
             */            
            require_once ("include/security_validate.inc");
            if (! SValidate::fileHTML($file)) return false;
            // end Security 6
        }

        if (eregi("/",$file)) {
            die ("Forbidden: file");
        }

        if (! empty($file)) {



            $theme->theme_file("file_start.html.php");

            $file_path="$DOCUMENT_ROOT/themes/_$config->lang/_html_files/$file";
            if (file_exists($file_path)) {
                $fd=fopen($file_path,"r");
                $data=fread($fd,filesize($file_path));
                print $data;
                fclose($fd);
            }

            $theme->theme_file("file_end.html.php");

            return true;
        }

        return false;
    } // end show_file()
} // end class File

// wyswietl HTML w glownym oknie
$theme->page_open("left","show_file","right","","File","","page_open_2");

// stopka
include_once ("include/foot.inc");
?>
