<?php
/**
 * Przekieruj uzytwkonika na odpowiednia strone systemu platnosci       
 * w zaleznosci od wybranej opcji, tj w zaleznosci od  wcisnietego      
 * przycisku submit. Strona ta nie jest bezposrenido wywolywana z       
 * przegladarki.                                                        
 * Zapisz transakcje w systemie rejestracji zamowien.                   
 *
 * @require bool $global_lock_register=true konieczne wczesniejsze wywolanie formularza zamowienia
 *
 * @author m@sote.pl
 * @version $Id: register3.php,v 1.3 2007-10-09 19:45:44 marcin Exp $
* @package    register
 */

// Jesli w sesji zapisany jest obiekt, to klasa tego obiektu,
// musi byc zaladowana przed otworzeniem sesji!
global $DOCUMENT_ROOT;
if (empty($DOCUMENT_ROOT)) {
    $DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
}

$global_database=true;
$global_secure_test=true;
require_once ("../../../include/head.inc");

/**
 * Oblsuga kodow do zamowienia.
 */
require_once ("include/order/main_keys.inc");
$mkeys=new MainKeys();

$shop->basket();
if ($shop->basket->isEmpty()) {
    $theme->go2main();
    exit;
}

// sprawdz, czy wczesniej wywolano strone z formularzem zmowienia
if (my(@$_SESSION['global_lock_register'])!=true) {
    // wyswietl strone z linkiem do glownej strony
    $theme->go2main();
    exit;
}

if (! empty($_SESSION['global_basket_data'])) {
    require_once ("go/_basket/include/my_ext_basket.inc.php");
    $basket=& new My_Ext_Basket();
    $basket->init();
    $my_basket=&$basket;
    $my_basket->display="text";
}
// odczytaj dane z sesji z wczesniej wypelnionych formularzy
if (! empty($_SESSION['form'])) {
    $form=&$_SESSION['form'];
}
if (! empty($_SESSION['form_cor'])) {
    $form_cor=&$_SESSION['form_cor'];
}
// odczytaj dane z sesji dotyczce polecenia produktw
if (! empty($_SESSION['recom'])) {
    $recom=&$_SESSION['recom'];
}

// naglowek
$theme->head();
$theme->page_open_head("page_open_1_head");


if (! empty($_POST['submit_post']))
{
    // platnosc za zaliczeniem pocztowym
    $global_id_pay_method=1;
}
elseif (! empty($_POST['submit_ecard'])) {
    // platnosc Ecard
    $global_id_pay_method=2;
}
elseif (! empty($_POST['submit_polcard']))
{
    // platnosc Polcard
    $global_id_pay_method=3;
}
elseif (! empty($_POST['submit_cash']))
{
    // platnosc gotowka
    $global_id_pay_method=10;
}
elseif (! empty($_POST['submit_transfer']))
{
    // platnosc przelewem
    $global_id_pay_method=11;
}
elseif (! empty($_POST['submit_przelewy24']))
{
    // platnosc Przelewy24
    $global_id_pay_method=12;
}
elseif (! empty($_POST['submit_platnoscipl']))
{
    // platnosc PlatnosciPL
    $global_id_pay_method=20;
}
elseif (! empty($_POST['submit_allpay']))
{
    // platnosc Allpay
    $global_id_pay_method=21;
}
elseif (! empty($_POST['submit_paypal']))
{
    // platnosci PayPal
    $global_id_pay_method=101;
}
else
{
    die ("Bledne okreslenie metody platnosci");
}

// zapamietaj prev_session, zeby pozniej wyswietlic kodyt wg tych danych
// @see include/order/main_keys.inc show()
$theme->bar($lang->basketForm);

require_once ("./include/order_register.inc.php");
require_once ("lib/SPayment/SOrder.inc.php");

$SOrder = new SOrder;
$SOrder->getPayment();

if ($_SESSION['global_id_pay_method'] != 1 and 
	$_SESSION['global_id_pay_method'] != 10 and 
	$_SESSION['global_id_pay_method'] != 11)
{
	$basket->step = 3;
	$basket->steps();
	$SOrder->sendOrder(true);
} 

$SOrder->payment->showForm();

$theme->page_open_foot("page_open_1_foot");

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>