// I18N constants

// LANG: "en", ENCODING: UTF-8 | ISO-8859-1
// Author: Mihai Bazon, http://dynarch.com/mishoo

// FOR TRANSLATORS:
//
//   1. PLEASE PUT YOUR CONTACT INFO IN THE ABOVE LINE
//      (at least a valid email address)
//
//   2. PLEASE TRY TO USE UTF-8 FOR ENCODING;
//      (if this is not possible, please include a comment
//       that states what encoding is necessary.)

ContextMenu.I18N = {
	// Items that appear in menu.  Please note that an underscore (_)
	// character in the translation (right column) will cause the following
	// letter to become underlined and be shortcut for that menu option.

	"Cut"                                                   : "Wytnij",
	"Copy"                                                  : "Kopiuj",
	"Paste"                                                 : "Wklej",
	"Image Properties"                                      : "Waciwoci o_brazu...",
	"Modify Link"                                           : "_Modifikuj link...",
	"Check Link"                                            : "_Sprawd link...",
	"Remove Link"                                           : "_Usu link...",
	"Cell Properties"                                       : "Waciwoci _komrki...",
	"Row Properties"                                        : "Waciwoci _wiersza...",
	"Insert Row Before"                                     : "Wstaw wiersz pow_yej",
	"Insert Row After"                                      : "Wstaw wiersz pon_iej",
	"Delete Row"                                            : "Usu wi_ersz",
	"Table Properties"                                      : "Waciwoci _tabeli...",
	"Insert Column Before"                                  : "Wstaw kolumn p_rzed",
	"Insert Column After"                                   : "Wstaw kolumn p_o",
	"Delete Column"                                         : "Usu ko_lumn",
	"Justify Left"                                          : "Wyrwnaj do lewej",
	"Justify Center"                                        : "Wyrwnaj do rodka",
	"Justify Right"                                         : "Wyrwnaj do prawej",
	"Justify Full"                                          : "Wyjustuj",
	"Make link"                                             : "Stwrz li_nk...",
	"Remove the"                                            : "Usu",
	"Element"                                               : "Element...",

	// Other labels (tooltips and alert/confirm box messages)

	"Please confirm that you want to remove this element:"  : "Potwierd, e chcesz usun ten element:",
	"Remove this node from the document"                    : "Usu ten wze z dokumentu",
	"How did you get here? (Please report!)"                : "Jak tu si znalaze? (Zaraportuj, prosz!)",
	"Show the image properties dialog"                      : "Poka okno waciwoci obrazu",
	"Modify URL"                                            : "Modyfikuj URL",
	"Current URL is"                                        : "Biecy URL to",
	"Opens this link in a new window"                       : "Otwiera ten link w nowym oknie",
	"Please confirm that you want to unlink this element."  : "Potwierd, e chcesz odlinkowa ten element.",
	"Link points to:"                                       : "Link prowadzi do:",
	"Unlink the current element"                            : "Odlinkuj biecy element",
	"Show the Table Cell Properties dialog"                 : "Poka okno waciwoci komrki tabeli",
	"Show the Table Row Properties dialog"                  : "Poka okno waciwoci wiersza tabeli",
	"Insert a new row before the current one"               : "Wstaw nowy wiersz powyej biecego",
	"Insert a new row after the current one"                : "Wstaw nowy wiersz poniej biecego",
	"Delete the current row"                                : "Usu biecy wiersz",
	"Show the Table Properties dialog"                      : "Poka okno waciwoci tabeli",
	"Insert a new column before the current one"            : "Wstaw now kolumn przed biec",
	"Insert a new column after the current one"             : "Wstaw now kolumn za biec",
	"Delete the current column"                             : "Usu biec kolumn",
	"Create a link"                                         : "Utwrz link"
};
