<?php
/**
 * Odbieranie i sprawdzanie $_REQUEST'w ze statusem zamwie od Patnoci
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SPayment
 * @version $Id: check.php,v 1.4 2007-07-24 16:02:13 marcin Exp $
 * @copyright sote 
 */

// includowanie head'a
$global_database=true;
$global_secure_test=true;

include("../../../include/head.inc");

// includowanie SOrder
require_once("lib/SPayment/SOrder.inc.php");

$SOrder = new SOrder;

// Oblsuga kodow do zamowienia.
require_once ("include/order/main_keys.inc");
$mkeys=new MainKeys();

// Sprawdzanie rodzaju patnoci
$SOrder->getPayment();

// Zapisywanie $_REQUEST'a do bazy danych 
// domyslnie zahashowane, eby nie robi mietnika z bazy danych
//$SOrder->payment->saveRequest();

// Sprawdzanie czy jest id sesji w $_REQUEST
if(isset($_REQUEST['SESSIONID']) or isset($_REQUEST['session_id']) or isset($_REQUEST['p24_session_id']) or isset($_REQUEST['control']) or isset($_REQUEST['paypal_session_id']))
{
	// Przywracanie sesji z bazy danych
	if (!empty($_REQUEST['SESSIONID']))
	{
		$session_id = $_REQUEST['SESSIONID'];
	} elseif (!empty($_REQUEST['session_id']))
	{
		$session_id = $_REQUEST['session_id'];
	} elseif (!empty($_REQUEST['p24_session_id']))
	{
		$session_id = $_REQUEST['p24_session_id'];
	} elseif (!empty($_REQUEST['control']))
	{
		$session_id = $_REQUEST['control'];
	} elseif (!empty($_REQUEST['paypal_session_id'])) {
		$session_id = $_REQUEST['paypal_session_id'];
	}
	
	$SOrder->restoreSessionFromDB($session_id);
}

// Sprawdzanie poprawnoci $_REQUEST'a i serwera z ktrego przyszed 
if ( $SOrder->payment->checkRequest() and $SOrder->payment->checkServer() )
{
	// Przetwarzanie $_REQUEST'a
	$SOrder->request = $SOrder->payment->processingRequest();
	
	// Sprawdzanie czy $SOrder->request jest array'em
	if ( !is_array( $SOrder->request ))
	{
		die();
	}
	
	// Zapisywanie statusu zamwienia
	$SOrder->savePaymentStatus();
	
	// Wywietla status odbioru REQUEST'a np. print "OK"
	$SOrder->payment->confirmRequest();
} else {
	// $_REQUEST nie przeszed sprawdzania, jakie jego parametry s ze
	die();
}

?>