<?php
/**
 * Powrt do sklepu ze strony patnoci
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SPayment - confirm 
 * @version $Id: confirm.php,v 1.6 2007-10-09 19:19:39 marcin Exp $
 * @copyright sote 
 */

// includowanie head'a
$global_database=true;
$global_secure_test=true;
include("../../../include/head.inc");

// includowanie SOrder
require_once("lib/SPayment/SOrder.inc.php");
$SOrder = new SOrder;

/**
 * Oblsuga kodow do zamowienia.
 */
require_once ("include/order/main_keys.inc");
$mkeys=new MainKeys();

$theme->head();
$theme->page_open_head("page_open_1_head");

$theme->bar($lang->basketForm);

// Sprawdzanie czy jest id sesji w $_REQUEST
if(isset($_REQUEST['SESSIONID']) || isset($_REQUEST['session_id']) || isset($_REQUEST['p24_session_id']) || isset($_REQUEST['allpay_session_id']) || isset($_REQUEST['paypal_session_id']))
{
	
	if (isset($_REQUEST['p24_session_id']))
	{
		$SOrder->getPayment();
		$SOrder->payment->confirmCheck();
	}
	
	// Przywracanie sesji z bazy danych
	if (!empty($_REQUEST['SESSIONID']))
	{
		$session_id = $_REQUEST['SESSIONID'];
	} elseif (!empty($_REQUEST['session_id']))
	{
		$session_id = $_REQUEST['session_id'];
	} elseif (!empty($_REQUEST['p24_session_id']))
	{
		$session_id = $_REQUEST['p24_session_id'];
	} elseif (!empty($_REQUEST['allpay_session_id']))
	{
		$session_id = $_REQUEST['allpay_session_id'];
	} elseif (!empty($_REQUEST['paypal_session_id'])) {
		$session_id = $_REQUEST['paypal_session_id'];

		$SOrder->getPayment();
		$SOrder->payment->ExpressCheckout();
	}
 
	if ($SOrder->restoreSessionFromDB($session_id))
	{
		if(@$_REQUEST['status'] == "FAIL") {
			// Allpay
			$theme->theme_file("_spayment/allpay_error.html.php");
		} elseif(@$_REQUEST['status'] == "ppl_FAIL") {
			// Patnosci.pl
			$theme->theme_file("_spayment/platnoscipl_error.html.php");
		} elseif(@$_REQUEST['status'] == "ppc_FAIL") {	
			// Polcard 
			$theme->theme_file("_spayment/polcard_error.html.php");
		} elseif(@$_REQUEST['status'] == "p24_FAIL") {
			// Przelewy24
			$theme->theme_file("_spayment/polcard_error.html.php");
		} elseif(@$_REQUEST['status'] == "ecFAIL") {
			// eCard
			$theme->theme_file("_spayment/ecard_error.html.php");
		} else {
			$order_send =& new OrderSend;
			$order_send->save2db($SOrder->getOrderID());
			
			$global_lock_send=true;
		    $global_lock_basket=false;
	    	$global_lock_register=false;
	    	$shop->basket();
		    $shop->basket->emptyBasket();
		    $sess->register("global_lock_send",$global_lock_send);
	    	$sess->register("global_lock_basket",$global_lock_basket);
		    $sess->register("global_lock_register",$global_lock_register);
		
			$SOrder->backFromPayment(1);
		}
	} else {
		$theme->theme_file("_spayment/spayment_error.html.php");
	}	
} else {
	$theme->theme_file("_spayment/spayment_error.html.php");
}

$theme->page_open_foot("page_open_1_foot");

// stopka
$theme->foot();
include_once ("include/foot.inc");
?>