<?php
/**
* Nagwek strony.
* The header displayed on most of the shop's pages
*
* @version    $Id: head.html.php,v 1.4 2007-09-03 13:31:21 krzys Exp $
* @package    themes
* @subpackage base_theme
*/

/**
 * Funkcje PHP zwizane head.html.php
 */
$this->theme_file('include/head.inc.php');
global $t_head;
global $lang;
global $navigationPath;
global $config_map_site;
global $base_theme_config;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $config->lang;?>" lang="<?php print $config->lang;?>">
	<head>
    	<meta http-equiv="content-type" content="text/html; <?php print $config->encoding;?>" />
      	<meta http-equiv="content-style-type" content="text/css" />
      	<title><?php $t_head->googleTitle();?></title>   
		<meta name="keywords" content="<?php $t_head->googleKeywords();?>" />
      	<meta name="description" content="<?php $t_head->googleDescription();?>" />
      	<link rel="stylesheet" href="<?php print $this->filepath("_style/style.css");?>" type="text/css" />
      	
        <!--[if IE]>
        <style type="text/css">
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: 19px;
            width: 135px; 
            left: -140px;
            z-index: 1;
            background-color: white;
        }
        </style>
        <![endif]-->
        <!--[if IE7]>
        <style type="text/css">
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: -3px;
            width: 144px; 
            left: 12px;
            z-index: 1;
            background-color: white;
        }
        </style>
        <![endif]-->
        <!--[if IE]>
<style type="text/css">

#actionAlertDiv {position: absolute; margin-left:-64px;
top:expression(eval(document.compatMode && document.compatMode=='CSS1Compat') ?
documentElement.scrollTop 
+(documentElement.clientHeight-this.clientHeight) - 300 
: document.body.scrollTop
+(document.body.clientHeight-this.clientHeight));
left: 45%;
}

</style>
<![endif]-->
      	<script type="text/javascript" src="<?php print $this->filepath("_common/javascript/script.js");?>"></script>
      	
      	<?php 
      	// ajax functions
      	global $ajax;
      	if (is_object($ajax))$ajax->xajax->printJavascript('/lib/xajax/');
		?>
     </head>

<?php $this->desktop();?>
<?php
$check_background=$this->config['box_background_site'][1];

if($check_background{0}=="#"){
	?>
<body onload="Init()" bgcolor="<?php print $this->config['box_background_site'][1]; ?>">	
<?php
}
if($check_background=="empty"){
	?>
<body onload="Init()">	
<?php
}

if($check_background{0}!="#" && $check_background!="empty"){
	?>
<body onload="Init()" background="<?php $this->desktopPathImage('box_background_site');?>">	
<?php
}

?>

<!-- start head -->
<center>

<?php
// wcz wybr tematw, jeli jest to sklep demo
if(strpos($_SERVER['HTTP_HOST'],"demo.sote.pl")!==false){
	$this->show_themes();
}
?>
<!--<div id='actionAlertDiv' name='actionAlertDiv' >-->
<div id="actionAlertDiv" class="actionAlertDiv" style="display:none;">
<?php
$this->DesktopOpen8($this->config['box8_ajax_alert'],"250");
?>
<center>
<div id='actionAlertMessage' style='font-size: 20px;'>fafsdasd</div>
</center>
<?php
$this->DesktopClose8($this->config['box8_ajax_alert']);
?>
</div>

<?php $this->DesktopOpenBox($this->config['box_top']); ?>
<table border="0" cellpadding="0" cellspacing="0" width="760">
<tr>
<td rowspan="2" width="150" height="100" align="center" valign="middle"><a href='/'><?php $this->desktopBoxImage('box_logo'); ?></a></td>
<td width="610" align="right" valign="top">
<?php
$iden=$_SERVER['HTTP_USER_AGENT'];

if(ereg("Opera","$iden")=='1'){$x='-10'; $y='0';}
if(ereg("Firefox","$iden")=='1'){$x='-10'; $y='0';}else{$x='-10'; $y='0';}
if(ereg("MSIE 7.0","$iden")=='1'){$x='-10'; $y='0';}
if(ereg("MSIE 6.0","$iden")=='1'){$x='-10'; $y='0';}
?>
<?php $this->SetOpenPosition($x,$y,"relative"); ?>
<?php $this->DesktopOpen3Horizontal($this->config['boxh3_bar_top'],"380","","middle","center"); ?>
	<a href="<?php print $this->google_url("/go/_files/?file=contact.html");?>"><?php print $lang->head_contact ?></a> - 
	<a href="<?php print $this->google_url("/go/_files/?file=about_shop.html");?>"><?php print $lang->head_about_shop;?></a> -
	<?php
    if (@$config->catalog_mode==0){
    // poka link do koszyka, gdy wyczony jest tryb katalog
 	?>
	<a href="/go/_basket/index.php"><?php print $lang->head_your_basket;?></a> - 
	<?php 
    } 
    ?>
	<a href="<?php print $this->google_url("/go/_files/?file=help.html");?>"><?php print $lang->head_help;?></a>
	<?php
	// Pokazuj jeli mapa strony jest wczona
	if ($config_map_site->map_site_on=="1"){
	?>
	- <a href="<?php echo $this->google_url("/go/_map_site/index.php",$lang->google_up_link) ?>"><?php print $lang->google_up_link;?></a> 
	<?php
	}
	?>
<?php $this->DesktopClose3Horizontal($this->config['boxh3_bar_top']); ?>
<?php $this->SetClosePosition(); ?>
    </td>
</tr>


<tr>
<td width="610" align="left" valign="middle">
<?php 
if(ereg("Opera","$iden")=='1'){$x='0'; $y='0';}
if(ereg("Firefox","$iden")=='1'){$x='0'; $y='0';}else{ $x='0'; $y='0'; }
if(ereg("MSIE 7.0","$iden")=='1'){$x='0'; $y='0';}
if(ereg("MSIE 6.0","$iden")=='1'){$x='0'; $y='0';}

$this->SetOpenPosition($x,$y,"relative"); ?>
				<table cellpadding="0" cellspacing="0" border="0">
    			<tr>
    			<td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top1'],"","","middle","center");
    $t_head->link2MainPage();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top1']);
    ?>
    </td>
    <?php
    if ($base_theme_config->show_promotion==1){
    	// poka promocje, jeli konfiguracja tematu bazowego na to pozwala
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top2'],"","","middle","center");
    $t_head->link2Promotions();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top2']);
    ?>
    </td>
    <?php } 
    if ($base_theme_config->show_new_products==1){
    	// poka nowoi, jeli konfiguracja tematu bazowego na to pozwala
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top3'],"","","middle","center");
    $t_head->link2News();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top3']);
    ?>
    </td>
    <?php }
    if ($base_theme_config->show_bestseller==1){
    	// poka bestseller, jeli konfiguracja tematu bazowego na to pozwala
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top4'],"","","middle","center");
    $t_head->link2Bestseller();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top4']);
    ?>
    </td>
    <?php } ?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top4'],"","","middle","center");
    $t_head->link2About();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top4']);
    ?>
    </td>
    
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top5'],"","","middle","center");
    $t_head->link2Terms();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top5']);
    ?>
    			</td>
    			</tr>
    			</table>
 <?php $this->SetClosePosition(); ?>
 		

</td>
</tr>
</table>
<?php $this->DesktopCloseBox($this->config['box_top']); ?>

<?php $this->DesktopOpenBox($this->config['box_hex_top_gray'],"760","","middle"); ?>
 
  <table width="100%" border="0" cellspacing="4" cellpadding="3" align="center">
    <tr> 
      <td align="left"  width="200"> 
      <?php $t_head->userRegisterLogin(); ?>
        
      </td>
      <td align="center" style="padding: 4px;"> 
        <?php $t_head->userLogin();?>
      </td>
       <td width="150">
        <?php $t_head->flags(); ?>
	   </td>
      <td align="right" width="200">
       
         <?php 
         if ($base_theme_config->show_users_online==1){
         	// poka uytkownikw on-line, jeli konfiguracja tematu bazowego na to pozwala
         	$t_head->usersOnline();
         }
         ?>
         </td>
    </tr>
  </table>
<?php $this->DesktopCloseBox($this->config['box_hex_top_gray']); ?>  
<?php $this->DesktopOpenBox($this->config['box_space1'],"760","",""); ?>
<br />

  <table width="760" border="0" cellspacing="0" cellpadding="0" align="center">
    <tr> 
      
      <td align="center"> 
     	<?php $t_head->search();?>
      </td>
       <?php
       if (@$config->catalog_mode==0){
       	// poka koszyk i przechowalnie, gdy wyczony jest tryb katalog
 		?>
      <td style="width: 2px"> 
      	<?php $this->DesktopOpenBox($this->config['box_top_dot_line'],"1"); ?>
     	<?php $this->DesktopCloseBox($this->config['box_top_dot_line']); ?>  
      </td>
            
      <td align="center"> 
      <?php $t_head->wishList(); ?>  
      </td>
     
       <td style="width: 2px"> 
      	<?php $this->DesktopOpenBox($this->config['box_top_dot_line'],"1"); ?>
     	<?php $this->DesktopCloseBox($this->config['box_top_dot_line']); ?>  
      </td>
      
      <td align="center">
      <?php $t_head->basketList();?>  
      </td>
      <?php  
       }elseif ($base_theme_config->show_currency==1){
       	// poka wybr waluty gdy wczony jest tryb katalog i wczona jest opcja poka wybr waluty w temacie bazowym
 	  ?>
 	  <td align="right">
 	   <table border="0" cellpadding="0" cellspacing="0">
 		<tr>
 		<td><?php print $lang->currency_select." ";?></td>
 		<td><?php $t_head->currencyList();?></td>
 		</tr>
 		</table>
 	  </td>
 	  <?php
       }
	  ?>
    </tr>
  </table>

<?php
if ($base_theme_config->show_bread_crumps==1){
	// poka cieki powrotu, jeli konfiguracja tematu bazowego na to pozwala
?>
	<table width="760" border="0" cellspacing="4" cellpadding="0" align="center">
	<tr>
	<td width="100%" style="padding: 7px 0px 7px 0px;"><a href="/"><?php print $lang->head_home;?></a><?php $navigationPath->showPath(); ?></td>
	</tr>
	</table>
<?php
}else{
	print "<br />";
}
?>


<?php $this->DesktopCloseBox($this->config['box_space1']); ?>
</center>

<!-- end head -->
