<?php
/**
* Nagwek strony.
* The header displayed on most of the shop's pages
*
* @version    $Id: head.html.php,v 1.5 2007-09-21 16:12:09 bartek Exp $
* @package    themes
* @subpackage base_theme
*/

/**
 * Funkcje PHP zwizane head.html.php
 */
$this->theme_file('include/head.inc.php');
global $t_head;
global $lang;
global $navigationPath;
global $config_map_site, $clouds_theme_config;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php print $config->lang;?>" lang="<?php print $config->lang;?>">
	<head>
    	<meta http-equiv="content-type" content="text/html; <?php print $config->encoding;?>" />
      	<meta http-equiv="content-style-type" content="text/css" />
      	<title><?php $t_head->googleTitle();?></title>   
		<meta name="keywords" content="<?php $t_head->googleKeywords();?>" />
      	<meta name="description" content="<?php $t_head->googleDescription();?>" />
      	<link rel="stylesheet" href="<?php print $this->filepath("_style/style.css");?>" type="text/css" />
      	
        <!--[if IE6]>
        <style type="text/css">
        #magicDiv {
        position: absolute;
        z-index: 10000000;
        }
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: 19px;
            width: 144px; 
            left: -149px;
            background-color: white;
            z-index: 10000000;
        }
        <![endif]-->
        <!--[if IE7]>
        <style type="text/css">
        div.searchDiv {
            text-align: left;
            border-left: 1px solid black; 
            border-right: 1px solid black; 
            border-bottom: 1px solid black; 
            position: relative; 
            top: -3px;
            width: 144px; 
            left: 12px;
            z-index: 1;
            background-color: white;
        }
        </style>
        <![endif]-->
      	<script type="text/javascript" src="<?php print $this->filepath("_common/javascript/script.js");?>"></script>
      	
      	<?php 
      	// ajax functions
		global $ajax;
		if (is_object($ajax))$ajax->xajax->printJavascript('/lib/xajax/');
		?>
     </head>

<?php $this->desktop();?>
<?php
$check_background=$this->config['box_background_site'][1];

if($check_background{0}=="#"){
	?>
<body onload="Init()" bgcolor="<?php print $this->config['box_background_site'][1]; ?>">	
<?php
}
if($check_background=="empty"){
	?>
<body onload="Init()">	
<?php
}

if($check_background{0}!="#" && $check_background!="empty"){
	?>
<body onload="Init()" background="<?php $this->desktopPathImage('box_background_site');?>">	
<?php
}

?>

<!-- start head -->
<center>
<?php
// wcz wybr tematw, jeli jest to sklep demo
if(strpos($_SERVER['HTTP_HOST'],"demo.sote.pl")!==false){
	$this->show_themes();
}
?>
<div id="actionAlertDiv" style="z-index: 1000; display:none; background: transparent; position: fixed; top: 30%; left: 40%;">
<?php
$this->DesktopOpen8($this->config['box8_ajax_alert'],"250");
?>
<center>
<div id="actionAlertMessage" style="font-size: 20px;"></div>
</center>
<?php
$this->DesktopClose8($this->config['box8_ajax_alert']);
?>
</div>


<?php $this->DesktopOpenBox($this->config['box_space1'],"990","",""); ?>
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="normal">
<tr>
	<?php
	if ((@$config->catalog_mode==0) || ((@$config->catalog_mode==1)&&(@$config->catalog_mode_options['users']==1))){
		// pokazuj informacje o koncie, gdy wyczona jest opcja katalog w sklepie lub gdy wczona jest opcja obsuga klientw w katalogu
	?>
	<td align="left" width="120">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
		<td align="center"><?php $this->desktopBoxImage('box_registration'); ?></td>
		<td align="center"><?php $t_head->userRegisterLogin(); ?></td>
		</tr>
		</table>
	</td>
	<td width="10"></td>
	<td align="left" width="110">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
		<td align="center"><?php $this->desktopBoxImage('box_account'); ?></td>
	
		<td align="center">   <?php $t_head->myAccount();?></td>
		</tr>
		</table>
	</td>
	<?php } ?>
	
	<td width="220"></td>
	
	<?php
	if (@$config->catalog_mode==0){
		// wywietl koszyk i przechowalnie, gdy tryb katalog jest wyczony
	?>
	<td align="right" width="160">
	<?php $t_head->wishList(); ?> 
	</td>

	<td align="right" width="200">
	<?php $t_head->basketList();?> 
	</td>
	<td width="10"></td>
	<?php }elseif ($clouds_theme_config->show_currency==1){ 
	// wywietl zmian waluty w trybie katalog, gdy ona jest wczona dla tematu clouds
		?>
	<td align="left">
	 <table border="0" cellpadding="0" cellspacing="0">
 		<tr>
 		<td><?php print $lang->currency_select." ";?></td>
 		<td><?php $t_head->currencyList();?></td>
 		</tr>
 		</table>
	</td>
	<?php }else{ ?>
	<td align="left"></td>
	<?php } ?>
	<td align="right" width="235">
	<?php $t_head->search();  ?>
	</td>
	
	
</tr>
</table>

<?php $this->DesktopCloseBox($this->config['box_space1']); ?>



<?php $this->DesktopOpenBox($this->config['box_top']); ?>
<table border="0" cellpadding="0" cellspacing="0" width="990">
<tr>
	<td rowspan="3" width="233" height="169" align="center"><a href="/"><?php $this->desktopBoxImage('box_logo'); ?></a></td>
	<td class="box_top" width="757" height="31" align="right" valign="top">
	<?php
	$iden=$_SERVER['HTTP_USER_AGENT'];
	if(ereg("Opera","$iden")=='1'){$x='-29'; $y='0';}
	if(ereg("Firefox","$iden")=='1'){$x='-29'; $y='0';}else{$x='-29'; $y='0';}
	if(ereg("MSIE 7.0","$iden")=='1'){$x='-29'; $y='0';}
	if(ereg("MSIE 6.0","$iden")=='1'){$x='-29'; $y='0';}
	?>
	<?php $this->SetOpenPosition($x,$y,"relative"); ?>
	<?php $this->DesktopOpen3Horizontal($this->config['boxh3_bar_top'],"380","","middle","center"); ?>
		<a href="<?php print $this->google_url("/go/_files/?file=contact.html");?>"><?php print $lang->head_contact ?></a> - 
	<a href="<?php print $this->google_url("/go/_files/?file=about_shop.html");?>"><?php print $lang->head_about_shop;?></a> -
	<?php
    if (@$config->catalog_mode==0){
    // poka link do koszyka, gdy wyczony jest tryb katalog
 	?>
	<a href="/go/_basket/index.php"><?php print $lang->head_your_basket;?></a> - 
	<?php 
    } 
    ?>
	<a href="<?php print $this->google_url("/go/_files/?file=help.html");?>"><?php print $lang->head_help;?></a>
	<?php
	// Polazuj jeli mapa strony jest wczona
	if ($config_map_site->map_site_on=="1"){
	?>
	- <a href="<?php echo $this->google_url("/go/_map_site/index.php",$lang->google_up_link) ?>"><?php print $lang->google_up_link;?></a> 
	<?php
	}
	?>
	<?php $this->DesktopClose3Horizontal($this->config['boxh3_bar_top']); ?>
	<?php $this->SetClosePosition(); ?>
	</td>
</tr>
<tr>
<td style="padding-right:40px;" width="717" height="98" align="right" valign="bottom">
    <table>
    <tr>
    <td class="flags" style="padding-top:2px;" valign="middle"><?php $t_head->flags(); ?></td>
    <td width="15"></td>
    <td style="color: #ffffff;" valign="middle"></td>
    </tr>
    </table>
</td>
</tr>
<tr>
<td width="757" height="40" align="right" valign="bottom" class="bar_button">
	<?php 
	if(ereg("Opera","$iden")=='1'){$x='-60'; $y='-1';}
	if(ereg("Firefox","$iden")=='1'){$x='-60'; $y='-1';}else{ $x='-60'; $y='-1'; }
	if(ereg("MSIE 7.0","$iden")=='1'){$x='-60'; $y='-1';}
	if(ereg("MSIE 6.0","$iden")=='1'){$x='-60'; $y='-1';}

	$this->SetOpenPosition($x,$y,"relative"); ?>
	<table cellpadding="0" cellspacing="0" border="0" class="button">
    <tr>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top1'],"","20","middle","center");
    $t_head->link2MainPage();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top1']);
    ?>
    </td>
    <?php
    if ($clouds_theme_config->show_promotion==1){
    // poka promocje, jeli konfiguracja tematu clouds na to pozwala	
    ?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top2'],"","20","middle","center");
    $t_head->link2Promotions();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top2']);
    ?>
    </td>
    <?php 
	}
	if ($clouds_theme_config->show_new_products==1){
    // poka nowosci, jeli konfiguracja tematu clouds na to pozwala	
	?> 
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top3'],"","20","middle","center");
    $t_head->link2News();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top3']);
    ?>
    </td>
    <?php 
	}
	if ($clouds_theme_config->show_bestseller==1){
    // poka bestseller, jeli konfiguracja tematu clouds na to pozwala	
	?> 
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top3'],"","20","middle","center");
    $t_head->link2Bestseller();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top3']);
    ?>
    </td>
    <?php
	}
	?>
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top4'],"","20","middle","center");
    $t_head->link2About();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top4']);
    ?>
    </td>
    
    <td>
    <?php 
    $this->DesktopOpen3Horizontal($this->config['boxh3_button_top5'],"","20","middle","center");
    $t_head->link2Terms();
    $this->DesktopClose3Horizontal($this->config['boxh3_button_top5']);
    ?>
    </td>
    </tr>
    </table>
    <?php $this->SetClosePosition(); ?>

</td>
</tr>
</table>
<?php $this->DesktopCloseBox($this->config['box_top']); ?>


<?php
$this->DesktopOpenBox($this->config['box_space5'],"990","","");
if (($clouds_theme_config->show_bread_crumps==1) || ($clouds_theme_config->show_users_online==1)) {

// poka cieki powrotu oraz uzytkownicy on-line, jeli konfiguracja tematu clouds na to pozwala
?>
	<table width="990" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr>
	<td width="80%" class="bread_crumbs" align="left">
	<?php 
	if($clouds_theme_config->show_bread_crumps==1){ 
	// poka cieki powrotu, jeli konfiguracja tematu clouds na to pozwala	
	?>
	<a href="/"><?php print $lang->head_home;?></a><?php $navigationPath->showPath();?>
	<?php } ?>
	</td>
	<td width="20%" class="bread_crumbs" align="right">
	<?php 
	if($clouds_theme_config->show_users_online==1){ 
	// poka cieki uzytkownicy on-line, jeli konfiguracja tematu clouds na to pozwala
	$t_head->usersOnline();
	} ?>
	</td>
	</tr>
	</table>
<?php
}else{
print "<br />";
}
$this->DesktopCloseBox($this->config['box_space5']);
?>

</center>

<!-- end head -->
