<?php
/**
 * Elementy PHP związane z foot.html.php
 *
 * @author m@sote.pl
 * @version $Id: foot.inc.php,v 1.2 2007/06/05 12:33:25 krzys Exp $
 * @package themes
 */
class T_Foot {

	function __construct() {
		$this->T_Foot();
	}
	

	function T_Foot() {
		global $__start_page,$theme,$config,$lang;
		$this->__start_page=&$__start_page;
		$this->theme=&$theme;
		$this->config=&$config;
		$this->lang=&$lang;
	}

	/**
    * Wywietl moliwo zmiany skrki dla sklepu
    */
	function choiceSkin()
	{
		if ($this->__start_page==true) {
			/* Elementy pokazywane tylko na gwnej stronie */

			print "<tr>";
			print "<td>";

			print "<table width=\"100%\">";
			print "<tr>";
			print "<td align=\"left\">";

			print "</td>";
			print "<td align=\"right\">";
			print "<div align=\"right\">";

			/* Poka liste tematw wygldu do wyboru. Elementy tej listy s edytowane w panelu sklepu.*/
			$this->theme->show_themes();

			print "</div>";
			print "</td>";
			print "</tr>";

			print "</table>";
			print "</td>";
			print "</tr>";

		}
		/* koniec elementw pokazywanych tylko na gwnej stronie */
	}

	/**
     * Funkcja wybiera kolor ta
     *
     */
	function color1(){
		print $this->config->theme_config['colors']['color_1'];
	}

	/**
     * Funkcja wybiera kolor ta
     *
     */
	function color3(){
		print $this->config->theme_config['colors']['color_3'];
	}

	/**
     * Funkcja wstawia link do strony gwnej
     *
     */
	function link2MainPage(){
		print "<a href=\"/\">";
		print $this->lang->foot_main_page;
		print "</a>";
	}

	/**
     * Funkcja wstawia link do promocji
     *
     */
	function link2Promotions(){
		print "<a href=\"".$this->theme->google_url("/go/_promotion/?column=promotion")."\">";
		print $this->lang->foot_promotions;
		print "</a>";
	}

	/**
     * Funkcja wstawia link do news
     *
     */
	function link2News(){
		print "<a href=\"".$this->theme->google_url("/go/_promotion/?column=newcol")."\">";
		print $this->lang->foot_news;
		print "</a>";
	}
	/**
     * Funkcja wstawia link do bestseller
     *
     */
	function link2Bestseller(){
		print "<a href=\"".$this->theme->google_url("/go/_promotion/?column=bestseller")."\">";
		print $this->lang->bar_title['bestseller'];
		print "</a>";
	}
	/**
     * Funkcja wstawia link do strony o firmie
     *
     */
	function link2About(){
		print "<a href=\"".$this->theme->google_url("/go/_files/?file=about_company.html")."\">";
		print $this->lang->foot_about;
		print "</a>";
	}

	/**
     * Funkcja wstawia link do strony regulaminu
     *
     */
	function link2Terms(){
		print "<a href=\"".$this->theme->google_url("/go/_files/?file=terms.html")."\">";
		print $this->lang->foot_terms;
		print "</a>";
	}

	/**
     * Funkcja wstawia link do stanu koszyka
     *
     */
	function link2BasketState(){
		if ($this->config->catalog_mode==0){
			print "<a href=\"/go/_basket/\">";
			print $this->lang->foot_basket_state;
			print "</a>";
		}
	}

	/**
     * Funkcja wstawia link do helpa
     *
     */
	function link2Help(){
		print "<a href=\"".$this->theme->google_url("/go/_files/?file=help.html")."\">";
		print $this->lang->foot_help;
		print "</a>";
	}

	/**
     * Funkcja wstawia obrazek ta
     *
     */
    function imgMask(){
        print "<img src=\"";$this->theme->img("_img/_mask.gif"); print "\"width=\"1\" height=\"1\" alt=\"\">";
    }

} // end class
global $t_foot;
$t_foot = new T_Foot();
?>