<?php 
/**
 *
 * Klasa posredniczaca w weryfikacji adresu sklepu przekazanego w procesie instalacji sklepu
 * 
 * @author marcin.butlak@sote.pl
 * @package validateShopUrl
 * @version $url: validateShopUrl.inc,v 1.2 2007/05/11 09:30:12 marek Exp $
 * @copyright sote 
 */

require_once("include/httpFileDownload.inc");

class validateShopUrl {	
	/**
	 * Weryfikuje czy przekazany adres sklepu jest poprawny
	 *
	 * @param string $url
	 * @return bool zwraca true w przypadku poprawnego adresu lub false w innym wypadku
	 */
	static public function isValid($url) {
		global $DOCUMENT_ROOT;
		
		$valid_url=true;
		
		if (empty($url)) {
			return false;
		}
		
		$file_name=md5($url);
		$local_file=$DOCUMENT_ROOT."/../htdocs/tmp/$file_name.tmp";
		
		file_put_contents($local_file,$url);
		
		$httpFile=new httpFileDownload($url);
		
		$url_id=$httpFile->getFile("/tmp","$file_name.tmp");

		if (($httpFile->getDownloadStatus() != HFD_ALL_OK) || ($url_id != $url)) {
			$valid_url=false;
		}
		
		unlink($local_file);	
		
		return $valid_url;
	}
}

?>