<?php

/**
 * Interfejs obiektow ktore beda podpinane do ajaxowego progressbara
 * Obiekty ktore beda korzystac z modulu SProgressBar _MUSZA_ implementowac ten interfejs
 * 
 * @author lukasz.andrzejak@sote.pl
 * @license sote
 * @package SProgressBar
 * @subpackage SProgressBarInterface
 * @version $Id: SProgress.interface.inc.php,v 1.1 2007/02/15 13:53:49 lukasz Exp $
 *
 */
interface SProgressInterface {
    /**
     * Funkcja liczaca wszystkie jednostki ktore sa do przetworzenia
     * 
     * @return int
     */
    public function progressCountAll();
    
    /**
     * Funkcja liczaca ile jest jednostek w pojedynczym pakiecie
     * 
     * @return int
     */
    public function progressCountPackage();
    
    /**
     * Ostatni element, ktory byl przetworzony w poprzednim wywolaniu
     *      
     * @param int $last
     * @return int
     */
    public function progressNext($last=0);
}

?>