<?php
/**
 * HTML z konfigracja modulu SEcard
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SEcard
 * @version $Id: ecard_config.html.php,v 1.1 2007/05/09 15:41:42 michal Exp $
 * @copyright sote 
 */

$theme->desktop_open("100%"); 

if($ecard_config->ecardActive == 1) $ecardActive="checked"; else $ecardActive="";
if($ecard_config->ecardStatus == 1) $ecardStatus="checked"; else $ecardStatus="";
if($ecard_config->ecardPayType == 'ALL') $selected1="selected";
elseif($ecard_config->ecardPayType == 'CARD') $selected2="selected";
else $selected3="selected";

$shop_name = true;
if ($config->www == "cvs") { $shop_name = false; $active_sn = "disabled";}
?>
<table border="0" cellpadding="3" cellspacing="0" align="center" width="100%">
 <tr align="right">
  <td><img src="<?php $theme->img("_icons/ecard.png");?>"></td>
 </tr><tr>
  <td align="center">
  <?php if ($shop_name == false) { ?>
  <font color="red"><b><?php print $lang->ecard_wrong_shop; ?></b></font><br /><br />
  <?php } ?>
  <form action="index.php" method="POST" name="ecard_config">
   <input name="item[save]" value="1" type="hidden">
   <table align="center" border="0">
    <tr>
     <td align="left" valign="top"><?php print $lang->ecard_config['ecardAccount']; ?></td>
     <td><input name="item[ecardAccount]" value="<?php print @$ecard_config->ecardAccount; ?>" size="16" type="text"></td>
    </tr><tr>
     <td align="left" valign="top"><?php print $lang->ecard_config['ecardPassword']; ?></td>
     <td><input name="item[ecardPassword]" value="<?php print @$ecard_config->ecardPassword; ?>" size="16" type="password"></td>
    </tr><tr>
     <td align="left" valign="top"><?php print $lang->ecard_config['ecardPayType']; ?></td>
     <td>
      <select name="item[ecardPayType]">
       <option value="ALL" <?php print @$selected1; ?>><?php print $lang->ecard_paytype['all']; ?></option>
       <option value="CARD" <?php print @$selected2; ?>><?php print $lang->ecard_paytype['card']; ?></option>
       <option value="TRANSFER" <?php print @$selected3; ?>><?php print $lang->ecard_paytype['transfer']; ?></option>
      </select>
     </td>
    </tr><tr>
	 <td align="left" valign="top"><?php print $lang->ecard_config['ecardActive']; ?></td>
	 <td><input name="item[ecardActive]" value="1" <?php print $ecardActive;?> <?php print @$active_sn ?> type="checkbox"></td>
	</tr><tr>
	 <td align="left" valign="top"><?php print $lang->ecard_config['ecardStatus']; ?></td>
	 <td><input name="item[ecardStatus]" value="1" <?php print $ecardStatus;?> type="checkbox"></td>
	</tr>
   </table>  
   <?php if ($shop_name == true)
   {
   	?>
   <br />
   <table border="0" cellpadding="2" cellspacing="2">
    <tr>
     <td align="left"><?php print $lang->ecard_config['ecardReturnUrl']; ?>:</td>
     <td><b>http://<?php print $config->www."/".$ecard_config->ecardReturnUrl; ?></b></td>
    </tr><tr>
     <td align="left"><?php print $lang->ecard_config['ecardCancelReturnUrl']; ?>:</td>
     <td><b>http://<?php print $config->www."/".$ecard_config->ecardCancelReturnUrl; ?></b></td>
    </tr><tr>
     <td align="left"><?php print $lang->ecard_config['ecardAddressCheck']; ?>:</td>
     <td><b>http://<?php print $config->www."/".$ecard_config->ecardAddressCheck; ?></b></td>
    </tr>
   </table>
   <?php } ?>
  </td>
 </tr>
</table>
<?php $theme->saveSubmit("ecard_config"); ?>
<?php $theme->desktop_close(); ?>