<?php
/**
 * Konfiguracja modulu Spaypal
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage Spaypal
 * @version $Id: index.php,v 1.4 2007-08-03 13:30:19 michal Exp $
 * @copyright sote 
 */

$global_database=true;
$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../../include/head.inc");
require_once ("config/auto_config/paypal_config.inc.php");

// naglowek
$theme->head();
$theme->page_open_head();

include_once ("./include/menu.inc.php");
$theme->bar($lang->paypal_title,"100%");
print "<br />";

if (! empty($_REQUEST['item'])) {
	$item=$_REQUEST['item'];
} else $item=array();

// zapisz dane w pliku konfiguracyjnym usera
if (! empty($_REQUEST['update'])) {

	require_once("include/gen_user_config.inc.php");
	$gen_config->auto_ftp=false;
	global $ftp;
	$ftp->connect();

	$config->pay_method_active;
	if(array_key_exists("101",$config->pay_method_active)) {
		if(@$item['active'] == 1) {
			$config->pay_method_active['101']=1;
		} else {
			$config->pay_method_active['101']=0;
		}
	} else {
		if($active == 1) {
			$config->pay_method_active=$config->pay_method_active+array("101"=>"1");
		} else {
			$config->pay_method_active=$config->pay_method_active+array("101"=>"0");
		}
	}

	$gen_config->gen(array(
	"pay_method_active"=>$config->pay_method_active,
	)
	);

	$gen_config->config_dir = "/config/auto_config/";
	$gen_config->config_file="paypal_config.inc.php";               // nazwa generowanego pliku
	$gen_config->classname="paypalConfig";               // nazwa klasy generowanego pliku
	$gen_config->class_object="paypal_config";                             // 1) nazwa tworzonego obiektu klasy w/w
	$gen_config->vars=$gen_config->vars=array(
	'username',
	'password',
	'signature',
	'test_mode',
	'server_url',
	'server_test_url',
	'active',
	'status',
	'ipn_server'
	);// jakie zmienne beda generowane
	$gen_config->config=&$paypal_config;                                   // przekaz aktualne wartosci obiektu 1)

	$gen_config->gen(array(
	'username'=>$item['username'],
	'password'=>$item['password'],
	'signature'=>$item['signature'],
	'test_mode'=>@intval($item['test_mode']),
	'server_url'=>$paypal_config->server_url,
	'server_test_url'=>$paypal_config->server_test_url,
	'active'=>@intval($item['active']),
	'status'=>intval($paypal_config->status),
	'ipn_server'=>$paypal_config->ipn_server
	)
	);
	$ftp->close();
	$paypal_config->username=$item['username'];
	$paypal_config->password=$item['password'];
	$paypal_config->signature=$item['signature'];
	$paypal_config->active=@intval($item['active']);
	$paypal_config->test_mode=@intval($item['test_mode']);
	
}

include_once ("./html/paypal.html.php");


$theme->page_open_foot();

// stopka
$theme->foot();

include_once ("include/foot.inc");
?>
