<?php
/**
 * Konfiguracja modulu SPlatnosciPL
 * 
 * @author michal.prochowski@sote.pl
 * @package SPayment
 * @subpackage SPlatnosciPL
 * @version $Id: index.php,v 1.2 2007-08-01 18:32:40 michal Exp $
 * @copyright sote 
 */

$global_database=true;
$global_secure_test=true;
$DOCUMENT_ROOT=$HTTP_SERVER_VARS['DOCUMENT_ROOT'];
require_once ("../../../../include/head.inc");
require_once ("config/auto_config/platnoscipl_config.inc.php");

// naglowek
$theme->head();
$theme->page_open_head();

include_once ("./include/menu.inc.php");
$theme->bar($lang->platnoscipl_title,"100%");print "<BR>";

if (! empty($_REQUEST['item'])) {
    $item=$_REQUEST['item'];
} else $item=array();


// zapisz dane w pliku konfiguracyjnym usera
if (! empty($_REQUEST['update'])) {
   
	require_once("include/gen_user_config.inc.php");
    $gen_config->auto_ftp=false;
    global $ftp;
    $ftp->connect();
    
    $config->pay_method_active;
    if(array_key_exists("20",$config->pay_method_active)) {
    	if(@$item['active'] == 1) {
    		$config->pay_method_active['20']=1;
    	} else {
    		$config->pay_method_active['20']=0;
    	}
    } else {
    	if(@$item['active'] == 1) {
    		$config->pay_method_active=$config->pay_method_active+array("20"=>"1");
    	} else {
    		$config->pay_method_active=$config->pay_method_active+array("20"=>"0");
    	}
    }
    
    $gen_config->gen(array(
                           "pay_method_active"=>$config->pay_method_active,
                           )
                     );
    
    $gen_config->config_dir = "/config/auto_config/";
    $gen_config->config_file="platnoscipl_config.inc.php";               // nazwa generowanego pliku 
    $gen_config->classname="platnosciplConfig";               // nazwa klasy generowanego pliku
    $gen_config->class_object="platnoscipl_config";                             // 1) nazwa tworzonego obiektu klasy w/w 
    $gen_config->vars=$gen_config->vars=array(
                                                "pl_pos_id",
                                                "pl_md5_one",
                                                "pl_md5_two",
                                                "pl_url_ok",
                                                "pl_url_fail",
                                                "pl_url_check",
                                                "active",
                                                "draw_type",
                                                "js_param",
                                                "pl_pos_auth_key",
                                                "payback"
                                            );// jakie zmienne beda generowane
    $gen_config->config=&$platnoscipl_config;                                   // przekaz aktualne wartosci obiektu 1)
	
    $gen_config->gen(array("pl_pos_id"=>@$item['pl_pos_id'],
                            "pl_md5_one"=>@$item['pl_md5_one'],
                            "pl_md5_two"=>@$item['pl_md5_two'],
                            "pl_url_ok"=>$platnoscipl_config->pl_url_ok,
                            "pl_url_fail"=>$platnoscipl_config->pl_url_fail,
                            "pl_url_check"=>$platnoscipl_config->pl_url_check,
                            "active"=>@$item['active'],
                            "draw_type"=>@$item['draw_type'],
                            "js_param"=>@$item['js_param'],
                            "pl_pos_auth_key"=>@$item['pl_pos_auth_key'],
                            "payback"=>@$item['payback'],
                           )
                     );
    $ftp->close();
    $platnoscipl_config->pl_pos_id=@$item['pl_pos_id'];
    $platnoscipl_config->pl_md5_one=@$item['pl_md5_one'];
    $platnoscipl_config->pl_md5_two=@$item['pl_md5_two'];

//    $platnoscipl_config->pl_url_ok=@$item['pl_url_ok'];
//    $platnoscipl_config->pl_url_fail=@$item['pl_url_fail'];
//    $platnoscipl_config->pl_url_check=@$item['pl_url_check'];

    $platnoscipl_config->active=@$item['active'];
    $platnoscipl_config->js_param=@$item['js_param'];
    $platnoscipl_config->draw_type=@$item['draw_type'];
    $platnoscipl_config->pl_pos_auth_key=@$item['pl_pos_auth_key'];
    $platnoscipl_config->payback=@$item['payback'];
}

include_once ("./html/platnoscipl.html.php");

  
$theme->page_open_foot();

// stopka
$theme->foot();

include_once ("include/foot.inc");
?>
