<?php
/**
 * Formularz edycji rekordu
 *
 * @global string $action [index.php|edit.php]
 * @global bool   $__edit true - edycja rekordu, false - dodanie rekordu
 * 
 * @author  m@sote.pl 
 * @template_version Id: edit.html.php,v 2.7 2003/08/10 22:57:20 maroslaw Exp
 * @version $Id: edit.html.php,v 1.4 2007-07-16 16:44:23 marek Exp $
 * @package lang
 */

global $__edit,$_REQUEST,$var2form;

include_once ("include/forms.inc.php");

// odczytaj dane zapisane w bazie
include_once ("./include/select.inc.php");

// jezyk ktory edytujemy
if (! empty($_REQUEST['item']['set_lang'])) $tmp_set_lang=$_REQUEST['item']['set_lang'];
else $tmp_set_lang=@$_REQUEST['set_lang'];

switch ($tmp_set_lang) {
    case "pl": $set_lang="pl"; break;
    case "en": $set_lang="en"; break;
    case "de": $set_lang="de"; break;
    case "cz": $set_lang="cz"; break;
    case "ru": $set_lang="ru"; break;
    default: $set_lang="pl";
}
// end set_lang

// ustaw kodowanie formularza
$var2form->setEncoding($config->lang_encodings[$set_lang]);
$var2form->setLang($set_lang);

$forms = new Forms;

// wygeneruj nowe ID jesli $this->id jest puste
if (@empty($this->id)) {
    include_once ("./include/next_id.inc.php");
    $this->id=NextID::next("lang");
}

$forms->open($action,@$this->id);
if (@$__edit!=true) {
    $forms->text("id",@$this->id,vutf8($lang->lang_cols["ID"]),4);
} else {
    $forms->text("id",@$this->id,vutf8($lang->lang_cols["ID"]),4,1);
    $forms->hidden("id",$this->id);
}
$forms->hidden("set_lang",$set_lang);
$forms->text("name",@$this->data["name"],vutf8($lang->lang_cols["name"]),60,1);
$forms->text("path",substr($this->data["path"],3,strlen($this->data["path"])-4)."/lang/_$set_lang/user_lang.inc.php",vutf8($lang->lang_cols["path"]),60);

//$forms->add_row(vutf8($lang->lang_cols["pl_orig"]),vutf8("<pre>".var_export($this->data[$set_lang],true)."</pre>"),"000|utf8");
$forms->add_row(vutf8(@$lang->lang_cols[$set_lang]),$var2form->dumpVar2Form(@$this->data[$set_lang]));

$forms->button_submit("submit_form",vutf8($lang->edit_submit));
$forms->close();
?>