<?php
/**
 * Przebuduj plik PHP user_lang.
 * Plik jest instalowany w lokalicacji  ./lang/_pl/user_lang.inc.php 
 * 
 * @author  m@sote.pl
 * @version $Id: rebuild_user_lang.inc.php,v 1.2 2007-07-16 16:18:07 marek Exp $
 * @package lang
 * 
 * @global string $value    (serialized) tekst lub tablica z wartosciami zmiennej przypisywanej do obiektu $lang
 * @global int    $this->id ID rekordu z tabeli "lang" ktry edytujemy
 * @global string $set_lang symbol wersji jzykowej "pl", "en", "de", "cz", "ru"
 */

global $DOCUMENT_ROOT,$enc,$var2form,$config;

// odczytaj wlasciwosci rekordu, jaki plik aktualizujemy i jaka zmienna
$query2="SELECT * FROM lang WHERE id=?";
$prepared_query2=$db->prepareQuery($query2);
if ($prepared_query2) {
    $db->querySetText($prepared_query2,1,intval($this->id));
    $result2=$db->executeQuery($prepared_query2);
    if ($result2!=0) {
        $name2=$db->fetchResult($result2,0,"name");
        $path2=preg_replace("/^\/\.\//","",dirname($db->fetchResult($result2,0,"path")));
    } else die ($db->error());
} else  die($db->error());


// print "name=$name2 <br />\n"; nazwa zmeinnej  zapisywanej w pliku
// print "path=$path2 <br />\n"; sciezka do pliku "htdocs/go/_basket"[/user_lang.inc.php]

// odczytaj zawartosc pliku user_lang z lokalizacji $path (jesli istnieje)
$file_lang=$DOCUMENT_ROOT."/../$path2/lang/_$set_lang/user_lang.inc.php";
$include_lang="$path2/lang/_$set_lang/user_lang.inc.php";
if (file_exists($file_lang)) {
    $lang2=$lang;
    $lang = new Lang();
    include_once ("$include_lang");
    $user_lang = $lang;            // aktualna zawartosc user_lang
    $lang = $lang2;
} else {
    $user_lang = new Lang();    // tworzymy pusty obiekt user_lang
}

// przypisz wartosc zmodyfikowana do obiektu user_lang
$value_utf8=unserialize($value);
$value_encoded=$var2form->convertArray($value_utf8,"utf-8",$config->lang_encodings[$set_lang]);
$user_lang->$name2=$value_encoded;

// utworz plik PHP
require_once("include/php.inc.php");
$php = new PHPFile();
$file_source=$php->genPHPFileValues("lang",$user_lang);

// zapisz wartosc w pliku tymczasowym
$salt=substr(md5(rand(1,10000).time()),0,16);
$file_tmp="$DOCUMENT_ROOT/tmp/$salt"."_user_lang.inc.php";
$fd=fopen($file_tmp,"w+");
fwrite($fd,$file_source,strlen($file_source));
fclose($fd);


//print "FTP=".$config->ftp['ftp_dir']."/$path2/lang/_$set_lang/"."<br>";

// ftpuj plik w odpowiednie miejsce
require_once("include/ftp.inc.php");
$ftp->connect();
$ftp->put($file_tmp,$config->ftp['ftp_dir']."/$path2/lang/_$set_lang/","user_lang.inc.php");
$ftp->close();

?>