<?php
/**
* Definicja klasy i funkcji obsugi rekordu prezentacji na licie grup adresw e-mail
*
* @author  rdiak@sote.pl
* @version $Id: row.inc.php,v 1.1.1.1 2006/09/02 13:39:21 marek Exp $
*
* verified 2004-03-10 m@sote.pl
* @package    newsletter
* @subpackage groups
*/

/**
* @package newsletter
* @subpackage groups
* @ignore
*/
class Rec {
    var $data=array();
}

/**
* Klasa zawierajca prezentacj rekordu.
*
* @package newsletter
* @subpackage groups
* @ignore
*/
class ModTableRow {
    
    /**
    * Wywietl rekord.
    *
    * @param mixed $result wynika zapytania z bazy danych
    * @param int   $i      numer wiersza wyniku zapytania
    * @return none
    */
    function record($result,$i) {
        global $db;
        global $theme;
        
        require_once ("include/date.inc");
        $my_date = new MyDate;
        
        $rec = new Rec;
        
        // config
        $rec->data['id']=$db->FetchResult($result,$i,"id");
        $rec->data['user_id']=$db->FetchResult($result,$i,"user_id");
        $rec->data['name']=$db->FetchResult($result,$i,"name");
        $rec->data['count']=$db->FetchResult($result,$i,"count");
        
        $theme->newsletter_groups_row($rec);
        // end
        
        
        return;
    } // end record()
    
} // end class Row
?>
