<?php
$global_database=true;
$global_secure_test=true;
global $DOCUMENT_ROOT;
$DOCUMENT_ROOT=$_SERVER['DOCUMENT_ROOT'];
require_once('../../../include/head.inc');
/**
 * Includujemy klase xajax ktra bdzie dla nas obsugiwaa zapytania i odpowiedzi ajaxowe
 */
require_once("lib/xajax/xajax.inc.php");

/**
 * includujemy klase obslugujaca galerie
 */
require_once("include/gallery.inc");

class xajaxGallery extends Gallery {

	private $xajax;

	public function __construct()
	{
		$this->xajax=new xajax();
		$this->xajax->registerFunction(array("get_gallery","xajaxGallery","xajaxResponse"));
		$this->xajax->processRequests();
	}

	public function initHeaders()
	{
		$this->xajax->printJavascript('/lib/xajax/');
	}

	public function initGallery($page, $on_page, $photo_uid, $photo_count, $in_row)
	{
		parent::__construct($page, $on_page, $photo_uid, $photo_count, true, $in_row);
	}

	function xajaxResponse($page, $on_page, $photo_uid, $photo_count, $in_row, $data)
	{
		global $lang;
		$objResponse = new xajaxResponse(); 

		$gallery=new Gallery($page, $on_page, $photo_uid,$photo_count, false, $in_row);

		$gallery->setAdditionalData($data);
		$data=implode("','",$gallery->getAdditionalData());

		if ($page > 1)
		{
			$ajax=($page-1).','.$gallery->getOnPage().',\''.$gallery->getPhotoUid().'\','.$gallery->getPhotoCount().','.$gallery->getInRow().',[\''.$data.'\']';

			$objResponse->addScript("xajax.$('prev_page').style.display='inline';");
			$objResponse->addEvent("prev_page","onclick","xajax_get_gallery($ajax)");
		}
		else
		$objResponse->addScript("xajax.$('prev_page').style.display='none'");

		if ($page < $gallery->getMaxPages())
		{
			$ajax=($page+1).','.$gallery->getOnPage().',\''.$gallery->getPhotoUid().'\','.$gallery->getPhotoCount().','.$gallery->getInRow().',[\''.$data.'\']';

			$objResponse->addScript("xajax.$('next_page').style.display='inline'");
			$objResponse->addEvent("next_page","onclick","xajax_get_gallery($ajax)");
		}
		else
		$objResponse->addScript("xajax.$('next_page').style.display='none'");

		$objResponse->addAssign("page_links","innerHTML", $lang->page.":".$gallery->pageLinksOutput());
		$objResponse->addAssign("gallery","innerHTML", $gallery->photosOutput());

		return $objResponse;
	}
}
?>