<?php
require_once('../../include/delete.inc.php');
/**
 * Usuwanie rekordow ze wskazanej tabeli
 *
 * @author m@sote.pl
 * @version $Id: delete.inc.php,v 1.2 2007-07-16 14:40:04 krzys Exp $
* @package    admin_include
 */

class MyDelete extends Delete {
    var $del="del";            // nazwa tablicy z wartosciami id przekazywanej z formularza HTML
    var $show_empty_info=true; // pokaz komunikat o pustym koszu

    /**
     * Usun rekord
     * @param int    $id     id usuwanego rekordu
     * @param string $table  nazwa tabeli, z ktorej usuwamy rekordy
     * @param string $column nazwa pola, ktorego wartosc bedzie wyswietlana jako 
     *                       dodatkowe info o usunietym rekordzie
     */
    function delete_one_record($id="",$table,$column="id") {
        global $lang,$db;

        if (empty($id)) return;

        
        $query="SELECT id,id_product,score FROM $table WHERE id=?";
        $prepared_query=$db->PrepareQuery($query);
        if ($prepared_query) {
            $db->QuerySetText($prepared_query,1,$id);
            $result=$db->ExecuteQuery($prepared_query);
            if ($result!=0) {
                $num_rows=$db->NumberOfRows($result);
                if ($num_rows>0) {
                    $column=$db->FetchResult($result,0,"$column");
                    $id_prod=$db->FetchResult($result,0,"id_product");
					$score=$db->FetchResult($result,0,"score");

					$db->Query("UPDATE scores SET score_amount=score_amount-$score, scores_number=scores_number-1 WHERE id_product=$id_prod");
                    // usun produkt
                    $query="DELETE FROM $table WHERE id=?";
                    $prepared_query=$db->PrepareQuery($query);
                    if ($prepared_query) {
                        $db->QuerySetText($prepared_query,1,$id);
                        $result=$db->ExecuteQuery($prepared_query);
                        if ($result!=0) {
                            print "&nbsp; &nbsp; $column -".$lang->deleted."<br>";
                        } else die ($db->Error());
                    } else die ($db->Error());
                } else {
                    print $lang->delete_not_found." id=$id<BR>";
                }
            } else die ($db->Error());
        } else die ($db->Error());

        return;
    } // end delete_one_record()

}; // end class Delete



?>
