<?php
/**
 * Zarzdzanie tematami wygldu sklepu
 *
 * @author     amiklosz@sote.pl
 * @version    $Id: themes.html.php,v 1.6 2007/06/01 05:57:19 krzys Exp $
* @package    themes
*/
?>

<?php require_once("HTML/Form.php"); ?>

<?php
/**
 * @param string $action akcja formularza
 * @param string $method metoda przesyania danych formularzowych
 * @param string $forName nazwa formularza
 * @param string $title tekst, ktry pojawi si w rozwijalnej liscie
 * @param array $options tablica wartoci w rozwijanej licie
 * @param string $selected domylnie wybrana warto
 */
function printSelectForm($action, $method, $formName, $title, $options, $selected) {
	global $lang, $config ;

	$htmlForm = new HTML_Form($action, $method, $formName);
	$htmlForm->addSelect("thm", $title, $options, $selected);
	$htmlForm->addHidden("update","1");
	$htmlForm->display();
}


function printTheme($name,$select){
	global $desktop;
	global $theme;
	global $lang;
	?>
<td width="225" align="center" valign="top" style="border:3px solid white;" 
<?php 
if($select==$name){
	print "bgcolor=\"#F0F0F0\"";
}else{
	print "bgcolor=\"#ffffff\"";
}
?>
>

<table cellpadding="0" cellspacing="8" width="100%">
<tr>
<td colspan="3" align="center" style="color:gray;font-weight:bold;" valign="top">
	<?php print $name;?>
</td>
</tr>
<tr>
<td colspan="3" align="center" style="height: 60px;" valign="top">
	<!-- screenshot -->
	<?php if(!ereg("user_", $name)){ ?>
	<img title="<?php $iner='<center><img src=img/'.$name.'.png border=0></center>';$desktop->hintDescription(1,$iner) ?>" src="img/<?php print $name; ?>_small.png" style="border: 1px solid gray;">
	<?php }else{ ?>
		<img title="<?php $desktop->hintDescription(1,$lang->user_theme);?>" src="<?php $theme->img('_img/empty_theme.gif');?>" style="border: 1px solid gray;">
	<?php } ?>
</td>
</tr>
<tr>
<td align="center" valign="top">
	<?php
	if(!ereg("user_", $name)){
		//poka moliwo edycji tematu, jeli to temat standardowy
	?>	
		<a title="<?php $desktop->hintDescription(2,$lang->hint_edit_buttons) ?>" href="action_edit.php?thm=<?php print $name; ?>&update=1&_fields=thm%3Aupdate"><img src="<?php $theme->img('/_img/edytuj.jpg');?>" / style="border-style:none;"></a>
	<?php } ?>
</td>
<td align="center">
<?php
if($select==$name){
	print "<b>$lang->already_set</b>";
}else{
?>
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td><img src="<?php $theme->img('_img/button_themes_left.gif');?>" style="border-style:none;"/></td>
<td background="<?php $theme->img('_img/button_themes_middle.gif');?>" width="50" align="center"><a title="<?php 
$desktop->hintDescription(1,$lang->hint_set_buttons) ?>" href="action_setdefault.php?thm=<?php print $name; ?>&update=1&_fields=thm%3Aupdate"><?php print $lang->set;?></a></td>
<td><img src="<?php $theme->img('_img/button_themes_right.gif');?>" style="border-style:none;"/></td>
</tr>
</table>
<?php
}
if((ereg("user_", $name)) && ($select!=$name)){
?>
<table border="0" cellspacing="0" cellpadding="0">
<tr>
<td style="height: 5px;"></td>
</tr>
<tr>
<td><img src="<?php $theme->img('_img/button_themes_left.gif');?>" style="border-style:none;"/></td>
<td background="<?php $theme->img('_img/button_themes_middle.gif');?>" width="50" align="center"><a title="<?php 
$desktop->hintDescription(1,$lang->hint_delete_buttons) ?>" href="action_delete.php?thm_del=<?php print $name; ?>"><?php print $lang->delete;?></a></td>
<td><img src="<?php $theme->img('_img/button_themes_right.gif');?>" style="border-style:none;"/></td>
</tr>
</table>
<?php 
}
?>
</td>
<td align="center">
	<?php
	if(!ereg("user_", $name)){
		//poka moliwo konfiguracji tematu, jeli to temat standardowy
	?>
	<a href="config.php?thm=<?php print $name; ?>"><img title="<?php $desktop->hintDescription(2,$lang->hint_config_buttons) ?>" src="/themes/base/new40/_img/config.gif" / style="border-style:none;">
	</a>
	<?php } ?>
</td>
</tr>
</table>



</td>	
<?php
}
?>
<?php
$theme->bar($lang->themes_title);
print "<br>";
?>
<center>

<?php $desktop->desktop_open("100%");?>
<div style="margin: 2px auto; width: 800;" align="center">
<table cellpadding="0" cellspacing="0" border="0" width="400">

<?php
foreach ($config->themes as $key => $value){
	@$i++;
	if ($i=="1"){
		print "<tr>";
	}
	printTheme($key,$config->theme);
	if ($i==3){
		print "</tr>";
		$i=0;
	}
}
?>
</table>

<?php $desktop->desktop_close();?>	
</center>
<br />
<?php $desktop->desktop_open("100%");?>
<form action="index.php" method="post" name="add_themes" id="add_themes"  enctype="multipart/form-data">
	<input type="hidden" name="update_themes" value="1">
	<table border="0" cellspacing="0" cellspacing="0" width="100%">
	<tr>
	<td align="center">
		<table border="0" cellspacing="0" cellpadding="2" width="550">
		<tr>
		<td style="height:30px;" colspan="3" align="center">
		<span style="color:red;"><?php print @$error_theme3.@$error_theme2.@$error_theme1;?></span>
		<span style="color:green;"><?php print @$ok_theme1."<br />".@$ok_theme2."<br />".@$ok_theme3;?></span>
		</td>
		</tr>
		<tr>
		<td align="right" width="40%"><?php print $lang->themes_enter_name;?>: </td>
		<td align="left" width="30%">user_<input type="text" name="name_theme" style="width: 120px;">
		</td>
		<td align="center" align="left" width="30%" rowspan="2"><?php $theme->new_button('',"Dodaj nowy temat","","document.getElementById('add_themes').submit()"); ?></td>
		</tr>
		<tr>
		<td align="right" width="40%"><?php print $lang->themes_set_as_default;?></td>
		<td align="left" width="30%" style="border:none;"><input type="checkbox" name="new_theme_default" value="1" style="border:none;" /></td>
		</tr>
		<tr>
		<td style="height:30px;" colspan="3"></td>
		</tr>
		</table>
	</td>
	</tr>
	</table>
</form>
<?php $desktop->desktop_close();?>	
</p>
</div>